select distinct
   null as poradi,
   null as zkratka,
  cp.psc as key,
  cp.posta as nazev
from
  cis_psc cp,
  vazby v
where
   v.CCOBIDNO = :ccobidno
   and v.PSC = cp.PSC
   and stav = 1
   and (upper(cp.posta) like upper('%'||:text||'%')
     or upper(cp.psc) like upper('%'||:text||'%')
     or upper(cp.psc||' - '||cp.posta) like upper('%'||:text||'%'))
order by cp.psc