/* vyber predmetu vyssi autorizace */
/* vstup rok, semestr, typ_dotazniku, dotaznik, prac_zkr, zkr_predm, ucitidno, ucitidno1 = prihlaseny uzivatel, vetovano = filt na pouze vetovane */
select
   dp.prac_zkr as zkr_kat
   ,dp.zkr_predm as zkr_pred
   ,pv.prac_zkr || '/'||pv.zkr_predm as zkratka
   ,dp.rok_varianty as rok
   ,dp.zverejneno
   ,pv.cz_nazev as nazev
   ,dot.SEMESTR
   ,dot.DOTAIDNO
   ,dp.DOPRIDNO
   ,st.studentu as zapsanych
   ,st.respondentu as odpovedelo
   ,'predmet' as typ_objektu,
   pg_eva.get_vyucujici_predm(dot.dotaidno, pv.prac_zkr,pv.zkr_predm,pv.rok_varianty) as vyucujici     

from
   eva_dotazniky dot
   ,eva_dot_predmet dp
   ,pred_varianty pv
   ,eva_statistiky_objekt st
where
(:p_dotaznik is null
   or :p_dotaznik =  dot.dotaidno)
   and dot.skolni_rok LIKE :p_rok
   and dot.semestr LIKE nvl(:p_semestr,'%')
   and (:p_tydoidno is null
                   or dot.tydoidno = :p_tydoidno )
   and dp.dotaidno = dot.dotaidno
   and dp.prac_zkr  LIKE nvl(:p_prac_zkr,'%')
   and dp.zkr_predm LIKE nvl(:p_zkr_predm,'%')
   and dp.rok_varianty = dot.skolni_rok
   and pv.prac_zkr = dp.prac_zkr
   and pv.zkr_predm = dp.zkr_predm
   and pv.rok_varianty = dp.rok_varianty
   and st.dotaidno = dot.dotaidno
and st.prac_zkr = dp.prac_Zkr
and st.zkr_predm = dp.zkr_predm
and st.rok_varianty  = dp.rok_varianty
and st.sluzidno is null
and st.roakidno is null
and st.ucitidno is null
and st.statut_zapisu is null
and dp.zverejneno = 'A'
order by rok, zkr_kat,zkr_pred
