select
     fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel,
     er.role,
     nvl(er.vetovano,'-') as vetovano,
     er.KOMENTAR,
     er.ucitidno,
     er.reakidno   
   from
     eva_reakce er
   where
      :p_pripidno is not null
    and er.pripidno = :p_pripidno
    or :p_reobidno is not null
    and er.reobidno = :p_reobidno
    or :p_dopridno is not null
    and er.dopridno = :p_dopridno
    or :p_roakidno is not null
    and er.roakidno = :p_roakidno
    order by decode(er.role,'VY',1,'GA',2,'VK',3,'DE',4,'RE',5)
