/* vstup dotaidno, predmet, |roak| */
-- nedelim dle statutu zapisu ... zatim 
select
	stvrz.tdtvidno,
	null doutidno,
	fn_get_ucitel(sobj.ucitidno,'PJ','N') as ucitel,
	tt.poradi poradi_1,
	null poradi_2,
	st.text_tvrzeni as nazev,
	stvrz.odpovedi,
	stvrz.prumer,
	stvrz.rozptyl,
	stvrz.sikmost,
	stvrz.spicatost,
	stvrz.mutabilita,
	stvrz.pom_vyb_chyba
from
	EVA_STATISTIKY_OBJEKT sobj,
	eva_statistiky_tvrz stvrz,
	eva_typdot_tvrzeni tt,
	eva_sady_tvrzeni st,
	eva_sady_odpovedi so
WHERE
	sobj.dotaidno = :dotaidno
	and sobj.prac_zkr = :prac_zkr
	and sobj.zkr_predm = :zkr_predm
	and sobj.rok_varianty like nvl(:rok_varianty,'%')
	and (:p_roak is NULL
       and sobj.roakidno is NULL 
       or :p_roak is not NULL 
         and sobj.roakidno = :p_roak)
	and sobj.statut_zapisu is NULL
	and stvrz.staoidno = sobj.staoidno
	and stvrz.tdtvidno = tt.tdtvidno
	and st.satvidno = tt.satvidno
	and so.saodidno = tt.saodidno
	and nvl(so.textova_odpoved,'N') = 'N'
union 
select
	null,
	stvrz.doutidno,
	fn_get_ucitel(sobj.ucitidno,'PJ','N') as ucitel,
	null,
	du.poradi poradi_2 ,
	st.text_tvrzeni as nazev,
	stvrz.odpovedi,
	stvrz.prumer,
	stvrz.rozptyl,
	stvrz.sikmost,
	stvrz.spicatost,
	stvrz.mutabilita,
	stvrz.pom_vyb_chyba
from
	EVA_STATISTIKY_OBJEKT sobj,
	eva_statistiky_tvrz stvrz,
	eva_dot_ucitel_tvrz du,
	eva_sady_tvrzeni st,
	eva_sady_odpovedi so
WHERE
	sobj.dotaidno = :dotaidno
	and sobj.prac_zkr = :prac_zkr
	and sobj.zkr_predm = :zkr_predm
	and sobj.rok_varianty like nvl(:rok_varianty,'%')
	and (:p_roak is NULL
       and sobj.roakidno is NULL 
       or :p_roak is not NULL 
         and sobj.roakidno = :p_roak)
	and sobj.statut_zapisu is NULL
	and stvrz.staoidno = sobj.staoidno
	and stvrz.doutidno = du.doutidno
	and st.satvidno = du.satvidno
	and so.saodidno = du.saodidno
	and nvl(so.textova_odpoved,'N') = 'N'
order by poradi_1 nulls LAST, poradi_2
