select
    st.satvidno,
    st.text_tvrzeni,
    odp.odpoidno,
    odp.TDTVIDNO,
    null as doutidno,
    odp.TEXT_ODPOVED,
    (select pg_eva.get_default_odpoidno(so.saodidno) from dual) as default_odpoidno,
    tt.saodidno,
    (select pg_eva.get_odpovedi(tt.saodidno,'idno')from dual) odpoidna,
    (select pg_eva.get_odpovedi(tt.saodidno)from dual) odpovedi,
    fn_get_ucitel(odp.UCITIDNO,'PJ','N') as ucitel,
    odp.UCITIDNO,
    nvl(so.textova_odpoved,'N') textova_odpoved,
    tt.poradi
from
    eva_odpovedi_resp odp,
    eva_typdot_tvrzeni tt,
    eva_sady_tvrzeni st,
    eva_resp_objekt ro,
    eva_sady_odpovedi so
where
  odp.reobidno = :reobidno
  and ro.REOBIDNO = odp.REOBIDNO
  and ro.RESPIDNO = :respidno
  and tt.tdtvidno = odp.tdtvidno
  and st.satvidno = tt.satvidno
  and so.saodidno = tt.saodidno  
union  
select
    st.satvidno,
    st.text_tvrzeni,
    odp.odpoidno,
    null as TDTVIDNO,
    du.doutidno,
    odp.TEXT_ODPOVED,
    (select pg_eva.get_default_odpoidno(so.saodidno) from dual) as default_odpoidno,
    du.saodidno,
    (select pg_eva.get_odpovedi(du.saodidno,'idno')from dual) odpoidna,
    (select pg_eva.get_odpovedi(du.saodidno)from dual) odpovedi,
    fn_get_ucitel(odp.UCITIDNO,'PJ','N') as ucitel,
    odp.UCITIDNO,
    nvl(so.textova_odpoved,'N') textova_odpoved,    
    du.poradi + 10000 -- docasny reseni
from
    eva_odpovedi_resp odp,
    eva_dot_ucitel_tvrz du,
    eva_sady_tvrzeni st,
    eva_resp_objekt ro,
    eva_sady_odpovedi so
where
  odp.reobidno = :reobidno
  and ro.REOBIDNO = odp.REOBIDNO
  and ro.RESPIDNO = :respidno
  and du.doutidno = odp.doutidno
  and st.satvidno = du.satvidno
  and so.saodidno = du.saodidno
  order by poradi
