select
			 dp.prac_zkr,
			 dp.zkr_predm,
			 dp.dopridno,
			 pv.cz_nazev as nazev,
			 st.studentu as zapsanych,
			 st.respondentu as odpovedelo,
			 pg_eva.get_vyucujici_predm(dot.dotaidno, pv.prac_zkr,pv.zkr_predm,pv.rok_varianty) as vyucujici,
			 cp.NAZEV as nazev_katedry
from
			 eva_dotazniky dot,
			 eva_dot_predmet dp,
			 pred_varianty pv,
			 eva_statistiky_objekt st,
			 cis_pracovist cp
where
			 :p_dotaznik =  dot.dotaidno
			 and dp.dotaidno = dot.dotaidno
			 and dp.PRAC_ZKR = cp.ZKR
	 and (:fakulta is null
			 or
		decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
	 and ( :prac_zkr is null
		 or   cp.zkr like nvl(:prac_zkr,'%') )
			 and dp.rok_varianty = dot.skolni_rok
			 and pv.prac_zkr = dp.prac_zkr
			 and pv.zkr_predm = dp.zkr_predm
			 and pv.rok_varianty = dp.rok_varianty
			 and st.dotaidno = dot.dotaidno
and st.prac_zkr = dp.prac_Zkr
and st.zkr_predm = dp.zkr_predm
and st.rok_varianty  = dp.rok_varianty
and st.sluzidno is null
and st.roakidno is null
and st.ucitidno is null
and st.statut_zapisu is null

order by prac_zkr, zkr_predm
