/* seznam rozvrh. akci,  vstup: dotaidno, predmet  */
select
	'akce' as typ_objektu,
	'GA' as role,
	dot.VETOVANI,
	dot.UZAVRENI,
	pv.prac_zkr as zkr_kat,
	pv.zkr_predm as zkr_pred,
	pv.prac_zkr || '/'||pv.zkr_predm as zkratka,
	ra.roakidno,
	ra.den,
	ra.hod_vyuc_od,
	ra.hod_vyuc_do,
	ra.hod_vyuc_od ||'-'||	ra.hod_vyuc_do as cas,
	ra.zkr_budovy || '-'|| ra.cislo_mist as mistnost,
	ra.typakce,
	(select fn_get_ucitele_ra(ra.roakidno, 'JP','N') from dual) vyucujici,
	st.studentu,
	st.respondentu,
	dot.dotaidno
from   eva_dotazniky dot,
       eva_dot_predmet dp, 
       pred_varianty pv,
       eva_statistiky_objekt st,
       rozvrh_akce ra
where dot.dotaidno = :dotaidno 
and dp.dotaidno = dot.dotaidno
and dp.prac_Zkr = :prac_zkr 
and dp.zkr_predm = :zkr_predm
and dp.rok_varianty like nvl(:rok_varianty,'%') 
and pv.prac_zkr = dp.prac_zkr
and pv.zkr_predm = dp.zkr_predm
and pv.rok_varianty = dp.rok_varianty
and st.dotaidno = dot.dotaidno 
and st.prac_zkr = dp.prac_Zkr
and st.zkr_predm = dp.zkr_predm 
and st.rok_varianty  = dp.rok_varianty 
and st.sluzidno is null 
and ra.roakidno = st.roakidno 
and st.ucitidno is null 
and st.statut_zapisu is null
