/* vyucovane predmety,  vstup rok, semestr, ucitidno */
select dot.dotaidno,
       td.zkr,
       pv.prac_zkr, 
       pv.zkr_predm,
       pv.rok_varianty,
       dot.semestr,
       pv.cz_nazev,       
       st1.studentu, 
       st1.respondentu,
       count(*) pocet_ra
from   eva_dotazniky dot,
       eva_typ_dotazniku td,
       eva_dot_predmet dp,
       pred_varianty pv,
       eva_statistiky_objekt st,
       eva_statistiky_objekt st1,
       vucitele_roak vr
where dot.skolni_rok = :rok
and dot.semestr like :semestr
and td.tydoidno = dot.tydoidno 
and dp.dotaidno = dot.dotaidno
and pv.prac_zkr = dp.prac_zkr
and pv.zkr_predm = dp.zkr_predm
and pv.rok_varianty = dp.rok_varianty
and st.dotaidno = dot.dotaidno 
and st.prac_zkr = dp.prac_Zkr
and st.zkr_predm = dp.zkr_predm 
and st.rok_varianty  = dp.rok_varianty 
and st.sluzidno is null 
and st.ucitidno is null 
and st.statut_zapisu is null
and vr.roakidno = st.roakidno
and vr.ucitidno = :ucitidno
and st1.dotaidno = dot.dotaidno
and st1.prac_zkr = dp.prac_Zkr
and st1.zkr_predm = dp.zkr_predm 
and st1.rok_varianty  = dp.rok_varianty 
and st1.sluzidno is null 
and st.ucitidno is null 
and st1.roakidno is null 
and st1.statut_zapisu is null 
group by dot.dotaidno,
       td.zkr,
       pv.prac_zkr, 
       pv.zkr_predm,
       pv.rok_varianty,
       dot.semestr,
       pv.cz_nazev,       
       st1.studentu, 
       st1.respondentu;
