select
  to_char(datum, 'YYYY-MM-DD') datum_char,
  datum,
  decode(to_char(datum, 'D'), 1, 'V pondělí ', 2, 'V úterý ', 3, 'Ve středu ', 4, 'Ve čtvrtek ', 5, 'V pátek ', 6, 'V sobotu ', 7, 'V neděli ') ||
        to_char(datum, 'DD. MM.') ||
        ' rozvrh jako ' ||
        decode(rozvrh_den, 'Po', 'v pondělí', 'Út', 'v úterý', 'St', 've středu', 'Čt', 've čtvrtek', 'Pá', 'v pátek', 'So', 'v sobotu', 'Ne', 'v neděli') popis
from
  kalendar
where
  rok_platnosti = :rokPlatnosti
  and rozvrh_den <> 'Sv'
  and rozvrh_den <> 'Rd'
  and decode(to_char(datum, 'D'), 1, 'Po', 2, 'Út', 3, 'St', 4, 'Čt', 5, 'Pá', 6, 'So', 7, 'Ne') <> rozvrh_den
order by datum
