SELECT
        OP.CAS_UPLOADU, OP.CESTA_UVNITR_REPOSITORY, OP.JMENO_SOUBORU, OP.OPRAVA_DATUM, OP.OPRAVA_POZNAMKA, OP.OPRAVA_SOUBOR_NAZEV, OP.OPRAVA_SOUBOR_CESTA, OP.OPRAVIL_UCIT_IDNO, OP.OS_CISLO, OP.PLAGIAT_DATUM, OP.PLAGIAT_NEJ_PODOBNOST, OP.PLAGIAT_POCET_PODOBNYCH, OP.PLAGIAT_STAV, OP.PORADOVE_CISLO_UPLOADU, OP.PRACE_IDNO, OP.PRECTENA, OP.TEMA_IDNO, OP.TYM_IDNO, OP.VELIKOST_SOUBORU, OP.VYSLEDEK_VALIDACE, OP.VYSLEDEK_VALIDACE_URL,
        ZS.*,
        O.Jmeno AS Jmeno_Studenta, O.Prijmeni AS Prijmeni_Studenta, O.osobidno osobidno_studenta,
        TEMA.TEMA_NAZEV AS TEMA_NAZEV, TEMA.TEMA_POPIS AS TEMA_POPIS,
        tema.odev_typ_validatoru tema_odev_typ_validatoru,
        blok.blok_nazev as blok_nazev, blok.blok_popis as blok_popis,
        blok.blok_simple_mode as blok_simple_mode,
        TYM.NAZEV AS TYM_NAZEV,
        null as opravil_ucitel
FROM
        ZS_ODEVZDANA_PRACE OP,
        Studenti S,
        Osoby O,
        ZS_TEMATA TEMA,
        ZS_BLOKY BLOK,
        ZS_ZADANI_SEMESTRALEK ZS,
        ZS_TYMY TYM
WHERE
        (  BITAND(OP.PLAGIAT_STAV, 1) = 1 -- mam to poslat
         OR
           (BLOK.PLAGIAT_TYP = 2 AND BITAND(OP.PLAGIAT_STAV, 4) = 0) -- kazdy den to mam poslat a jeste nemam vysledky
         OR
           (BLOK.PLAGIAT_TYP = 1 -- mam to poslat po meznim terminu odevzdani
            AND BITAND(OP.PLAGIAT_STAV, 4) = 0 -- a jeste nemam vysledky
            -- pokud neni mezni termin odevzdani urcen, poslu to po poslednim dnu SEMESTRU
            AND ( (TEMA.ODEV_DATUM_DO IS NOT NULL AND TEMA.ODEV_DATUM_DO < SYSDATE )
                OR (TEMA.ODEV_DATUM_DO IS NULL AND SYSDATE >
                  (SELECT MAX(DATUM) FROM KALENDAR WHERE ROK_PLATNOSTI = ZS.ROK_VARIANTY AND TYP_ROZVRH_DNE = ZS.SEMESTR)))
           )
        )
        AND OP.OS_CISLO = S.Os_Cislo
        AND S.OsobIDNO = O.OsobIDNO
        AND TEMA.TEMA_IDNO = OP.TEMA_IDNO
        AND TEMA.BLOK_IDNO = BLOK.BLOK_IDNO
        AND BLOK.ZS_IDNO = ZS.ZS_IDNO
        AND OP.tym_IDNO = TYM.TYM_IDNO(+)
