select distinct
    zs.ZKR_PREDM as predmet, zs.PRAC_ZKR as katedra, zs.ROK_VARIANTY AS ROK_VARIANTY, zs.semestr as semestr,
    zs.zs_IDNO as zs_IDNO
from
    ZS_ZADANI_SEMESTRALEK zs,
    ss_skupina_studentu skup,
    ss_ucitel_ve_skupine ucit
where
    ucit.ucit_idno = :ucitIdNo
    and ucit.skup_idno = skup.skup_idno
    and zs.SEMESTR = skup.SEMESTR
    and zs.PRAC_ZKR = skup.PRAC_ZKR
    and zs.ZKR_PREDM = skup.ZKR_PREDM
    and (zs.ROK_VARIANTY = skup.ROK_VARIANTY or zs.ROK_VARIANTY = skup.ROK_VARIANTY+1)
order by
    zs.ROK_VARIANTY desc, zs.SEMESTR desc, zs.PRAC_ZKR, zs.ZKR_PREDM
