select * from (
Select 0 pom, zs.*
  from ZS_ZADANI_SEMESTRALEK zs
where
  prac_zkr = :pracZkr
  and zkr_predm = :zkrPredm
  and rok_varianty = (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE))
  and semestr = 'LS'
  and sysdate >= (select MIN(DATUM) from KALENDAR where typ_rozvrh_dne = 'LS' and rok_varianty =
   (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))
union
Select 1 pom, zs.*
  from ZS_ZADANI_SEMESTRALEK zs
where
  prac_zkr = :pracZkr
  and zkr_predm = :zkrPredm
  and ( rok_varianty = (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE))
     or rok_varianty = (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE))+1 )
) x
order by x.pom, x.rok_varianty desc, x.semestr desc