SELECT  blok.blok_NAZEV as blok_nazev_sort, tema.stav as tema_stav_sort, tema.tema_NAZEV as tema_nazev_sort,
        zs.*, blok.*, tema.*,
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        ( select tema2.TEMA_IDNO from zs_studenti stud, ZS_TEMATA tema2
          where stud.os_cislo = :os_cislo and stud.TEMA_IDNO = tema2.TEMA_IDNO
          and tema2.blok_IDNO = blok.blok_IDNO ) as zapsane_tema_id,
        ( select count(distinct stud2.tym_IDNO)
            from zs_studenti stud2
            where stud2.TEMA_IDNO = tema.tema_IDNO
        ) pocet_zapsanych_zadani
FROM    ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ZS_TEMATA tema,
        ss_skupina_studentu skup,
        ss_student_ve_skupine stud
WHERE
        zs.zs_IDNO = :zs_IDNO
        and blok.ZS_IDNO = zs.zs_IDNO
        and blok.skup_idno = stud.skup_idno
        and blok.skup_idno = skup.skup_idno
        and stud.OS_CISLO = :os_cislo
        and tema.BLOK_IDNO = blok.blok_IDNO
        and (tema.stav = 0 or tema.stav = 2 or tema.navrhl_os_cislo = :os_cislo)
UNION
SELECT  blok.blok_NAZEV as blok_nazev_sort, 0 as tema_stav_sort, '' as tema_nazev_sort,
        zs.*, blok.*, tema.*,
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        0 as zapsane_tema_id,
        0 as pocet_zapsanych_zadani
FROM    ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ZS_TEMATA tema,
        ss_skupina_studentu skup,
        ss_student_ve_skupine stud
WHERE
        zs.zs_IDNO = :zs_IDNO
        and blok.MOHOU_NAVRHOVAT = 1
        and blok.skup_idno = stud.skup_idno
        and blok.skup_idno = skup.skup_idno
        and stud.OS_CISLO = :os_cislo
        and blok.ZS_IDNO = zs.zs_IDNO
        and not exists ( select * from zs_temata tem where tem.BLOK_IDNO = blok.blok_IDNO and (tem.stav = 0 or tem.stav = 2 or tem.navrhl_os_cislo = :os_cislo))
        and tema.BLOK_IDNO(+) = -blok.blok_idno
        -- finta, chci k tomu pripojit tema, ktere urcite neexistuje - prazdne tema, tj. same null
ORDER BY 1,2,3
