SELECT PV.PRAC_ZKR, -- katedra
       PV.ZKR_PREDM, -- zkratka predmetu
       PV.ROK_VARIANTY, -- varianta predmetu
       BL.STATUT, -- statut bloku, ve kterem je predmet v ramci studijniho planu zarazen (A,B,C)
       BP.DOPORROC, -- doporuceny rocnik
       BP.DOPORSEM -- doporuceny semestr
  FROM studijni_programy SP,
       obory OB,
       studijni_plany PL,
       poradi_segmentu PS,
       segmenty_st_planu SSP,
       bloky BL,
       bloky_predm BP,
       pred_varianty PV
 WHERE SP.stpridno = OB.stpridno
   AND OB.oboridno = PL.oboridno
   AND PL.STPLIDNO = PS.STPLIDNO
   AND PS.SESPIDNO = SSP.SESPIDNO
   AND SSP.SESPIDNO = BL.SESPIDNO
   AND BL.BLOKIDNO = BP.BLOKIDNO
   AND BP.PRAC_ZKR = PV.PRAC_ZKR
   AND BP.ZKR_PREDM = PV.ZKR_PREDM
   AND BP.ROK_VARIANTY = PV.ROK_VARIANTY
   AND OB.PRAC_ZKR = :zkr_kat -- parametr katadry uvedene u studijniho oboru, pozor casto se nevyplnuje
   AND PL.ROK_PLATNOSTI = SSP.ROK_PLATNOSTI
   AND PL.ROK_PLATNOSTI = BL.ROK_PLATNOSTI
   AND PL.ROK_PLATNOSTI = :rok_platnosti -- parametr pro akademicky rok
