select distinct cp.nad_prac_zkr fakulta, pv.prac_zkr, pv.zkr_predm,
  pv.rok_varianty, pv.CZ_NAZEV nazevCZ, pv.AN_NAZEV nazevEN, pv.akred, pv.ECTS_AKREDITACE,
  pv.crd,
  FN_GET_GARANT_FULL(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) garanti,
  PV.CZ_ANOTACE cileCZ, PV.AN_ANOTACE cileEN,
  pp.CZ_PREDPOKLADY predpokladyCZ, pp.AN_PREDPOKLADY predpokladyEN,
  PP.CZ_ZISKANE_ZPUSOBILOSTI zpusobilostiCZ, PP.AN_ZISKANE_ZPUSOBILOSTI zpusobilostiEN,
  PP.CZ_POZADAVKY pozadavkyCZ, PP.AN_POZADAVKY pozadavkyEN,
  pp.URL,
  pp.CZ_PREHLED_LATKY prehledLatkyCZ, pp.AN_PREHLED_LATKY prehledLatkyEN,
  FN_GET_METODY_VYUCOVACI(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'cs') metodyVyucovaciCZ,
  FN_GET_METODY_VYUCOVACI(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'en') metodyVyucovaciEN,
  FN_GET_METODY_HODNOTICI(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'cs') metodyHodnoticiCZ,
  FN_GET_METODY_HODNOTICI(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'en') metodyHodnoticiEN,
  FN_GET_CASOVA_NAROCNOST(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'cs') casovaNarocnostCZ,
  FN_GET_CASOVA_NAROCNOST(pv.prac_zkr, pv.zkr_predm, pv.rok_varianty, 'en') casovaNarocnostEN,
  (select count(*) from pred_liter pl where pl.prac_zkr = pv.prac_zkr and pl.zkr_predm = pv.zkr_predm and pl.rok_varianty = pv.rok_varianty) literaturaPocet
from
@IF(1)       studijni_plany PL,
@IF(1)       poradi_segmentu PS,
@IF(1)       segmenty_st_planu SSP,
@IF(1)       bloky BL,
@IF(1)       bloky_predm BP,
  pred_varianty pv,
@IF(0)  ucitele_predmetu up,
  cis_pracovist cp,
  pred_programy PP
where
  pv.prac_zkr like nvl(:prac_zkr, '%')
  and cp.nad_prac_zkr like nvl(:fakulta, '%')
  and cp.zkr = pv.prac_zkr
  and pv.zkr_predm like nvl(:zkr_predm, '%')
  and pv.rok_varianty = nvl(:rok, (select rok_platnosti from kalendar where datum = trunc(sysdate)))
  and pv.AKRED like nvl(:akreditace, '%')
  and pv.ECTS_AKREDITACE like nvl(:ectsAkreditace, '%')
@IF(1)   AND pl.oboridno = :oborIdno
@IF(1)   AND PL.STPLIDNO = PS.STPLIDNO
@IF(1)   AND PS.SESPIDNO = SSP.SESPIDNO
@IF(1)   AND SSP.SESPIDNO = BL.SESPIDNO
@IF(1)   AND BL.BLOKIDNO = BP.BLOKIDNO
@IF(1)   AND BP.PRAC_ZKR = PV.PRAC_ZKR
@IF(1)   AND BP.ZKR_PREDM = PV.ZKR_PREDM
@IF(1)   AND BP.ROK_VARIANTY = PV.ROK_VARIANTY
@IF(1)   AND PL.ROK_PLATNOSTI = SSP.ROK_PLATNOSTI
@IF(1)   AND PL.ROK_PLATNOSTI = BL.ROK_PLATNOSTI
@IF(1)   AND PL.ROK_PLATNOSTI = nvl(:rok, (select rok_platnosti from kalendar where datum = trunc(sysdate)))
@IF(0)  and up.prac_zkr = pv.prac_zkr
@IF(0)  and up.zkr_predm = pv.zkr_predm
@IF(0)  and up.rok_varianty = pv.rok_varianty
@IF(0)  and up.GARANT = 'A'
@IF(0)  and up.UCITIDNO = :garantUcitIdno
  and PP.prac_zkr = pv.prac_zkr
  AND PP.ZKR_PREDM = pv.ZKR_PREDM
  AND PP.ROK_VARIANTY = pv.ROK_VARIANTY
ORDER BY cp.nad_prac_zkr, pv.prac_zkr, pv.zkr_predm