select hodn.RV_LOW_VALUE as znamka_ciselne,
       hodn.RV_ABBREVIATION as znamka,
       hodn.RV_MEANING as znamka_slovne,
       hodn.poradi,
       hodn.prosel,
       nvl(sum(decode(z.zapocet_slovni_hodnoceni,hodn.RV_ABBREVIATION,1,0)),0) as pocet,
       sum((decode(z.zapocet_slovni_hodnoceni,hodn.RV_ABBREVIATION,decode(NVL(Z.zapocet_pokus,0),'0',1,0),0))) pokusu_0,
       sum((decode(z.zapocet_slovni_hodnoceni,hodn.RV_ABBREVIATION,decode(NVL(Z.zapocet_pokus,0),'1',1,0),0))) pokusu_1,
       sum((decode(z.zapocet_slovni_hodnoceni,hodn.RV_ABBREVIATION,decode(NVL(Z.zapocet_pokus,0),'2',1,0),0))) pokusu_2,
       sum((decode(z.zapocet_slovni_hodnoceni,hodn.RV_ABBREVIATION,decode(NVL(Z.zapocet_pokus,0),'3',1,'4',1,'5',1,'6',1,'7',1,0),0))) pokusu_3,
       sum(decode(to_char(z.zapocet_slovni_hodnoceni),hodn.RV_ABBREVIATION,decode(Z.zapocet_slovni_hodnoceni,null,0,1),0)) pocet_znamky_udelene,
       sum(decode(to_char(z.zapocet_slovni_hodnoceni),hodn.RV_ABBREVIATION,1,0)) pocet_znamky_vsechny
  from znamky z, studenti_v_roce svr, /*studenti st,*/
       (
        select RV_LOW_VALUE,RV_ABBREVIATION,RV_MEANING,nvl(poradi,decode(RV_LOW_VALUE,'S',1,2)) as poradi,decode(RV_LOW_VALUE,'S','A','N') as prosel
          from cg_ref_codes cg1
        where cg1.RV_DOMAIN = 'SLOVNI_HODNOCENI'
        union all
        select
        null as RV_LOW_VALUE,
        null as RV_ABBREVIATION,
        null as RV_MEANING,
        999 as poradi,
        'N' as prosel
        from dual
       ) hodn
 where z.prac_zkr = :par_prac_zkr
   and z.zkr_predm = :par_zkr_predm
   and z.semestr like nvl(:par_sem,'%')
   and z.UZNANO in ('N','O')
   and svr.rok_platnosti = :par_rok_sk
   and svr.os_cislo = z.os_cislo
   and svr.rok_platnosti = z.rok_platnosti
   --and st.os_cislo = svr.os_cislo
   --and st.stav = 'S'
   and (nvl2(svr.ukonceni,fn_meaning3(svr.ukonceni ,'UKONCENI_NEW'),'UF') in ('UF','UA'))
   and ((svr.prerus_ls = 'N' and z.SEMESTR = 'LS') OR (svr.prerus_zs = 'N' and z.SEMESTR = 'ZS'))
 group by hodn.RV_LOW_VALUE,hodn.RV_ABBREVIATION,hodn.RV_MEANING,hodn.poradi,hodn.prosel
 order by abs(nvl(hodn.poradi,0))