SELECT DISTINCT  -- garanti
decode(up.garant,'A',fn_get_ucitel(uc.UCITIDNO), null) ucitel,
pred.zkr_predm vazba_predm,
pred.prac_zkr,
up.rok_varianty,
1 poradi
FROM
pred_varianty pred, cis_pracovist prac, cis_pracovist prac1, ucitele_predmetu up, ucitele uc
WHERE
pred.zkr_predm = :zkr_predm
AND pred.prac_zkr = :prac_zkr
AND pred.rok_varianty = :rok_varianty
AND pred.zkr_predm = up.zkr_predm(+)
AND pred.prac_zkr = up.prac_zkr(+)
AND pred.rok_varianty = up.rok_varianty(+)
AND up.ucitidno = uc.ucitidno(+)
AND up.garant(+) = 'A'
AND prac.nad_prac_zkr = prac1.zkr
AND prac1.typ_prac = 'F'
AND pred.prac_zkr=prac.zkr
UNION
SELECT DISTINCT  -- prednasejici
decode(up.prednasejici,'A',fn_get_ucitel(uc.UCITIDNO), null) ucitel,
pred.zkr_predm vazba_predm,
pred.prac_zkr,
up.rok_varianty,
2 poradi
FROM
pred_varianty pred, cis_pracovist prac, cis_pracovist prac1, ucitele_predmetu up, ucitele uc
WHERE
pred.zkr_predm = :zkr_predm
AND pred.prac_zkr = :prac_zkr
AND pred.rok_varianty = :rok_varianty
AND pred.zkr_predm = up.zkr_predm(+)
AND pred.prac_zkr = up.prac_zkr(+)
AND pred.rok_varianty = up.rok_varianty(+)
AND up.ucitidno = uc.ucitidno(+)
AND up.prednasejici(+) = 'A'
AND prac.nad_prac_zkr = prac1.zkr
AND prac1.typ_prac = 'F'
AND pred.prac_zkr=prac.zkr
UNION
SELECT DISTINCT   -- cvicici
decode(up.cvicici,'A',fn_get_ucitel(uc.UCITIDNO), null) ucitel,
pred.zkr_predm vazba_predm,
pred.prac_zkr,
up.rok_varianty,
3 poradi
FROM
pred_varianty pred, cis_pracovist prac, cis_pracovist prac1, ucitele_predmetu up, ucitele uc
WHERE
pred.zkr_predm = :zkr_predm
AND pred.prac_zkr = :prac_zkr
AND pred.rok_varianty = :rok_varianty
AND pred.zkr_predm = up.zkr_predm(+)
AND pred.prac_zkr = up.prac_zkr(+)
AND pred.rok_varianty = up.rok_varianty(+)
AND up.ucitidno = uc.ucitidno(+)
AND up.cvicici(+) = 'A'
AND prac.nad_prac_zkr = prac1.zkr
AND prac1.typ_prac = 'F'
AND pred.prac_zkr=prac.zkr
UNION
SELECT DISTINCT  -- seminarici
decode(up.seminarici,'A',fn_get_ucitel(uc.UCITIDNO), null) ucitel,
pred.zkr_predm vazba_predm,
pred.prac_zkr,
up.rok_varianty,
4 poradi
FROM
pred_varianty pred, cis_pracovist prac, cis_pracovist prac1, ucitele_predmetu up, ucitele uc
WHERE
pred.zkr_predm = :zkr_predm
AND pred.prac_zkr = :prac_zkr
AND pred.rok_varianty = :rok_varianty
AND pred.zkr_predm = up.zkr_predm(+)
AND pred.prac_zkr = up.prac_zkr(+)
AND pred.rok_varianty = up.rok_varianty(+)
AND up.ucitidno = uc.ucitidno(+)
AND up.seminarici(+) = 'A'
AND prac.nad_prac_zkr = prac1.zkr
AND prac1.typ_prac = 'F'
AND pred.prac_zkr=prac.zkr
UNION
SELECT DISTINCT  -- neni zakliknuto ani garant, ani prednasejici, ani cvicici, ani seminarici
'           '||fn_get_ucitel(uc.UCITIDNO) ucitel,
pred.zkr_predm vazba_predm,
pred.prac_zkr,
up.rok_varianty,
5 poradi
FROM
pred_varianty pred, cis_pracovist prac, cis_pracovist prac1, ucitele_predmetu up, ucitele uc
WHERE
pred.zkr_predm = :zkr_predm
AND pred.prac_zkr = :prac_zkr
AND pred.rok_varianty = :rok_varianty
AND pred.zkr_predm = up.zkr_predm(+)
AND pred.prac_zkr = up.prac_zkr(+)
AND pred.rok_varianty = up.rok_varianty(+)
AND up.ucitidno = uc.ucitidno(+)
AND (up.garant(+) = 'N' and up.prednasejici(+) = 'N' and up.cvicici(+) = 'N' and up.seminarici(+) = 'N')
AND prac.nad_prac_zkr = prac1.zkr
AND prac1.typ_prac = 'F'
AND pred.prac_zkr=prac.zkr
order by 5,1