SELECT R.osob_idno osoba,
       R.uchazec_idno uchazec,
       SP.fakulta_SP fakulta,
       SP.cz_nazev program,
       decode(S.oboridno, NULL, K.zkratka, SO.cz_nazev) obor,
       install2.Fn_Meaning2(SP.typ, 'TYP_OBORU') typ,
       install2.Fn_Meaning2(SP.forma, 'FORMA_OBORU_NEW') forma,
       -- rozhodnuti
       DECODE(S.web_rozhodnuti, 'A', DECODE(R.rektor_rozhodnuti, NULL, DECODE(R.dekan_rozhodnuti,NULL,DECODE(R.komise_rozhodnuti,
       NULL, 'Zatím nerozhodnuto', install2.Fn_Meaning2(R.komise_rozhodnuti, 'ROZHODNUTI')),
       install2.Fn_Meaning2(R.dekan_rozhodnuti, 'ROZHODNUTI')), install2.Fn_Meaning2(R.rektor_rozhodnuti, 'ROZHODNUTI')),NULL) rozhodnuti,
       -- termin
       DECODE(S.web_termin, 'A', decode(R.termin_idno,NULL,'Zatím nepridelen',to_char(T.datum,'DD.MM.RRRR')||', '||to_char(T.cas,'HH24:MI')||', '||T.adresa), NULL) termin,
       S.WEB_URL
  FROM PR_SPOJOVACI S,
       PR_RIZENI R,
       PR_UCHAZECI U,
       STUDIJNI_PROGRAMY SP,
       OBORY SO,
       KOMBINACE K,
       PR_TERMINY T,
       (SELECT T2.global_idno,
              T2.rok,
              sum(T2.bodu_max) bodu_max
         FROM PR_TESTY T2
        WHERE T2.zapocitavat_s = 'A'
        GROUP BY T2.global_idno,
              T2.rok) X,  -- maximum bodu
(
SELECT DISTINCT uchazec_idno
  FROM
(
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR,
       PR_UCHAZECI UU
 WHERE UU.rod_cislo = :rc
   AND UU.osob_idno = RR.osob_idno
UNION
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR
 WHERE RR.osob_idno = :uc
UNION
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR
 WHERE RR.uchazec_idno = :oc
)
) XX
 WHERE R.rok = nvl(:rok,TO_CHAR(SYSDATE,'RRRR'))
   AND R.uchazec_idno = XX.uchazec_idno
    -- PR_UCHAZEC .. PR_RIZENI
   AND U.osob_idno = R.osob_idno
    -- PR_RIZENI .. PR_SPOJOVACI
   AND R.global_idno = S.global_idno
   AND R.rok = S.rok
    -- PR_SPOJOVACI .. STUDIJNI_PROGRAMY
   AND S.stpridno = SP.stpridno
    -- PR_SPOJOVACI .. OBORY
   AND S.oboridno = SO.oboridno(+)
    -- PR_SPOJOVACI .. KOMBINACE
   AND S.kombidno = K.kombidno(+)
    -- PR_SPOJOVACI .. X
   AND S.global_idno = X.global_idno(+)
   AND S.rok = X.rok(+)
    -- PR_RIZENI .. PR_TERMINY
   AND R.termin_idno = T.termin_idno(+)
 ORDER BY R.uchazec_idno