SELECT R.GLOBAL_IDNO,
  R.ROK,
  R.GROB_ID,
  R.MISTO,
 (select fn_meaning2(R.MISTO, 'MISTO') from dual) MISTO_TXT,
  R.KOMBIDNO,
  K.nazev KOMBINACE_nazev,
  k.identifikator kombinace_identifikator,
  k.zkratka kombinace_zkratka,
  R.OBORIDNO,
  O.cz_nazev OBOR_nazev,
  o.identifikator obor_identifikator,
  o.fakulta_oboru obor_fakulta,
  o.profil obor_profil,
  o.cz_anotace obor_anotace,
  o.cisoboru obor_cisoboru,
  o.cisspec obor_cisspec,
  R.NAZEV

FROM
PR_SPOJOVACI R,
obory O,
kombinace K

WHERE
   R.stpridno = :progridno
   and R.rok = :rok
   and k.kombidno(+) = R.kombidno
   and O.oboridno(+) = R.oboridno