SELECT
  COUNT (DISTINCT b.os_cislo) AS pocet,
  fn_meaning3(d.den,'DEN') AS poradi,
  d.den,
  cr.hodina,
  cr.kod
FROM
  rozvrh_akce a,
  zapisy b,
  zapisy c,
  rozvrh_akce d,
  casove_rady cr,
  cg_ref_codes dny
 WHERE
  a.roakidno = :roakidno
  AND a.roakidno = b.roakidno
  AND b.os_cislo = c.os_cislo
  AND b.rok_platnosti = c.rok_platnosti
  AND c.roakidno = d.roakidno
  AND ((TO_CHAR(d.skut_hod_od,'HH24:MI') >= TO_CHAR(cr.cas_od,'HH24:MI')
                                        AND TO_CHAR(d.skut_hod_od,'HH24:MI') < TO_CHAR(cr.cas_do,'HH24:MI'))
                                        OR (TO_CHAR(d.skut_hod_do,'HH24:MI') > TO_CHAR(cr.cas_od,'HH24:MI')
                                        AND TO_CHAR(d.skut_hod_do,'HH24:MI') <= TO_CHAR(cr.cas_do,'HH24:MI'))
                                        OR (TO_CHAR(cr.cas_od,'HH24:MI') >= TO_CHAR(d.skut_hod_od,'HH24:MI')
                                        AND TO_CHAR(cr.cas_od,'HH24:MI') <  TO_CHAR(d.skut_hod_do,'HH24:MI'))
                                        OR (TO_CHAR(cr.cas_do,'HH24:MI') >  TO_CHAR(d.skut_hod_od,'HH24:MI')
                                        AND TO_CHAR(cr.cas_do,'HH24:MI') <= TO_CHAR(d.skut_hod_do,'HH24:MI')))
  AND d.semestr = a.semestr
  AND d.rok_platnosti =a.rok_platnosti
  AND dny.rv_domain = 'DEN'
  AND d.den = dny.rv_low_value
  AND to_number(dny.pom_hodnota) < 6
  AND cr.kod = nvl(a.casova_rada,
             (select
                rv_low_value from
                  (select rv_low_value from cg_ref_codes where rv_domain
= 'CASOVA_RADA' order by poradi, rv_low_value)
               where rownum = 1)
               )
GROUP BY
  fn_meaning3(d.den,'DEN'),
  d.den,
  cr.hodina,
  cr.kod
ORDER BY
  fn_meaning3(d.den,'DEN'),
  cr.hodina