select
  b.BLOKIDNO,
  b.SESPIDNO as sespidno,
  decode(:lang,'cs',b.CZ_NAZEV,'sk',b.CZ_NAZEV,NVL(b.AN_NAZEV,b.CZ_NAZEV)) as nazev,
  b.STATUT,
	b.minkred min_kred,
	b.max_kred,
    b.POZNAMKA,
    b.ROK_PLATNOSTI,
	b.min_pocet_predmetu

from
  bloky b,
	poradi_segmentu ps

where
  ps.STPLIDNO = :idno
  and ps.SESPIDNO = b.SESPIDNO

order by
    STATUT,
    NAZEV,
    ps.poradi