SELECT /*+ FIRST_ROWS */
       *
  FROM (SELECT /*+ FIRST_ROWS */
               ROWNUM AS poradi, x.*
          FROM (SELECT   /*+ FIRST_ROWS */
                         st.os_cislo, st.stav, TO_CHAR (dp.dat_zadani, 'RRRR') sk_rok, os.prijmeni, os.jmeno,
                         DECODE (NVL (pg_cti_parametry.cti_retezec_oc ('DP_NAZEV', st.os_cislo), 'N'),
                                 'A', fn_tex_html (NVL (dp.nazev_dle_stud, dp.tema_hlavni)),
                                 fn_tex_html (dp.tema_hlavni)
                                ) AS nazev,
                         dp.dat_obhajoby, (SELECT fn_meaning (dp.typ_souboru, 'DIPFILE_TYP_SOUBORU')
                                             FROM DUAL) typ_souboru_short,
                           TRUNC (TO_DATE (  decode( TO_CHAR (NVL (dp.dat_odevzdani, dp.plan_dat_odevzdani), 'DD.MM.'),'29.02.','28.02.',TO_CHAR (NVL (dp.dat_odevzdani, dp.plan_dat_odevzdani), 'DD.MM.'))
                                           || TO_CHAR (TO_NUMBER (NVL (dp.zpristupnit_za_dobu, 0)) + TO_NUMBER (TO_CHAR (NVL (dp.dat_odevzdani, dp.plan_dat_odevzdani), 'RRRR'))),
                                           'DD.MM.RRRR'
                                          )
                                 )
                         - TRUNC (SYSDATE) pocet_dnu_do_zverejneni,
                         dp.adipidno adipidno, fn_get_ucitel (ado.ucitidno, 'PJ', 'N') AS vedouci, dp.zpristupnit_verejnosti zpristupnit_x,
                         DECODE (:lang, 'cs', fn_meaning2(sp.typ, 'PRACE'), 'sk', fn_meaning2(sp.typ, 'PRACE'),
                           NVL (fn_meaning_en(sp.typ, 'PRACE'), fn_meaning2(sp.typ, 'PRACE'))) AS typ_prace
                    FROM abn_diplomove_prace dp,
                         studenti st,
                         osoby os,
                         abn_dp_osoby ado,
                         studijni_programy sp
                   WHERE dp.os_cislo = st.os_cislo
@IF(0)                     AND dp.adipidno = :adipidno
                     AND st.osobidno = os.osobidno
                     AND st.stpridno = sp.stpridno
                     AND ado.adipidno(+) = dp.adipidno
                     AND ado.typ_osoby(+) = 'vedoucí'
@IF(1)                     AND fn_cs_to_upper_asc (os.prijmeni) LIKE fn_cs_to_upper_asc (:xprijmeni)
@IF(10)                     AND fn_cs_to_upper_asc (os.jmeno) LIKE fn_cs_to_upper_asc (:xjmeno)
@IF(2)                     AND st.os_cislo LIKE TRIM (UPPER (NVL (:xos_cislo, '%')))
@IF(3)                     AND dp.prac_zkr IN (SELECT zkr
@IF(3)                                           FROM cis_pracovist c
@IF(3)                                          WHERE c.nad_prac_zkr LIKE TRIM (TRANSLATE (UPPER (NVL (NVL (:xfak, '*'), '*')), '*', '%')))
@IF(4)                     AND fn_cs_to_upper_asc (dp.prac_zkr) LIKE fn_cs_to_upper_asc (:xkat)
@IF(5)                     AND fn_cs_to_upper_asc (DECODE (NVL (pg_cti_parametry.cti_retezec_oc ('DP_NAZEV', st.os_cislo), 'N'), 'A', fn_tex_text (dp.nazev_dle_stud), fn_tex_text (dp.tema_hlavni))) LIKE '%' || fn_cs_to_upper_asc (:xhl_tema)|| '%'
@IF(6)                     AND (   (ado.ucitidno IN (SELECT ucitidno
@IF(6)                                                 FROM ucitele
@IF(6)                                               WHERE  fn_cs_to_upper_asc (prijmeni) LIKE fn_cs_to_upper_asc (:xvedouci) || '%') AND NVL (TRANSLATE (NVL (:xvedouci, '*'), '*', '%'), '%') != '%')
@IF(6)                          OR (NVL (TRANSLATE (NVL (:xvedouci, '*'), '*', '%'), '%') = '%')
@IF(6)                         )
@IF(9)                     AND NVL (TO_CHAR (dp.dat_zadani, 'RRRR'), '%') LIKE NVL (:xrok, '%')
@IF(9)                     AND NVL (TO_CHAR (dp.dat_obhajoby, 'RRRR'), '%') LIKE NVL (:xrok_obhajoby, '%')
@IF(7)                     AND fn_cs_to_upper_asc (fn_tex_text (dp.klic_slova)) LIKE '%' || fn_cs_to_upper_asc (:xkey_word) || '%'
@IF(7)                     AND fn_cs_to_upper_asc (fn_tex_text (dp.klic_slova_cizi)) LIKE '%' || fn_cs_to_upper_asc (:xkey_word_cizi) || '%'
@IF(8)                     AND fn_meaning2(sp.typ, 'PRACE') LIKE NVL (:typ_prace, '%')
                ORDER BY NLSSORT (os.prijmeni, 'NLS_SORT = XCzech'), NLSSORT (os.jmeno, 'NLS_SORT = XCzech'), dp.tisknout, dp.dat_zadani DESC, dp.date_of_insert DESC) x
         WHERE ROWNUM <= NVL (:pageDo, 51)) y
 WHERE y.poradi >= NVL (:pageOd, 0)