-- jsou tu udaje navic, asi klidne nechat?
select
  m.CISLO_MIST as pk_cislo_mist,
  m.ZKR_BUDOVY as pk_zkr_budovy,
  cp.NAZEV as pracoviste,
  m.KAPACITA,
  m.PRAC_ZKR as fk_prac_zkr,
  m.PODLAZI,
  m.POZNAMKA,
  decode(m.spol_fond, 'A', 'ano', 'N', 'ne', '') spol_fond,
  DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typ,
  --DECODE(.lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS UZAVRENA,
  m.V_PROVOZU_OD as V_PROVOZU_OD,
  m.V_PROVOZU_DO as V_PROVOZU_DO,
  cd.DVERE_CISLO,
  nvl(substr(b.ulice_nazev, 1, instr(b.ulice_nazev, ',', 1) - 1), b.ulice_nazev) ulice,
  decode(b.ulice_cislo, '0', null, 'xx', null, ' '||b.ulice_cislo) cislo_popisne,
  B.ULICE_NAZEV||decode(B.ULICE_CISLO,'0',NULL,','||B.ULICE_CISLO)||', '||O.NAZEV as adresa,
  o.nazev obec,
  m.url url_mistnost,
  b.url url_budova,
  m.IDENTIFIKATOR as identifikator_mistnost,
  b.IDENTIFIKATOR as identifikator_budova,
  m.typ as fk_typ

from
  mistnosti m,
  cis_pracovist cp,
  cg_ref_codes c1,
  --cg_ref_codes c2,
  cisla_dveri cd,
  budovy b,
  cis_obci o

where
  m.ZKR_BUDOVY = upper(:zkratka)
  and m.CISLO_MIST = :cislo_mistnosti
  and m.zkr_budovy = b.zkr_budovy
  and b.misto = o.obec_idno
  and cp.ZKR = m.PRAC_ZKR
  and c1.rv_low_value = m.typ
  and c1.rv_domain = 'TYP_UCEB'
  --and c2.RV_LOW_VALUE = m.UZAVRENA
  --and c2.RV_DOMAIN = 'ANO_NE'
  and cd.ZKR_BUDOVY(+) = m.ZKR_BUDOVY
  and cd.CISLO_MIST(+) = m.CISLO_MIST