select rownum poradi, x.* from (
SELECT distinct  s.os_cislo,
        fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
        --z.statut, 
        o.jmeno, o.prijmeni,
         c1.rv_abbreviation AS titul_pred, c2.rv_abbreviation AS titul_za,
         z.semestr, sp.fakulta_sp, sp.kodsp_i,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA') FROM DUAL)) stav,
          s.stav as fk_stav,
          svor.standard_rok,
         (select fn_meaning(sp.typ,'TYP_OBORU') from dual) typ, sp.forma,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         (select  fn_meaning2(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto_nazev,
         to_char(svor.misto_vyuky) fk_misto,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) end obor_komb*/
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    FROM studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         osoby o,
         znamky z,
         cg_ref_codes c1,
         cg_ref_codes c2,
         kombinace k ,
         studenti_na_oboru_v_roce snor
         --obory ob,studijni_plany stpl
   WHERE z.prac_zkr = :zkr_kat
     AND z.zkr_predm = :zkr_pred
     AND z.rok_varianty = :xrok_varianty
     AND z.rok_platnosti = :xrok_varianty
     AND svor.rok_platnosti = z.rok_platnosti
     AND z.semestr LIKE NVL (:semestr, '%')
     AND z.uznano = 'N'
     AND s.os_cislo = z.os_cislo
     AND o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     and svor.misto_vyuky like nvl(:misto,'%')
     AND s.stav like nvl(:stavStudenta,'%')
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
     and svor.kombidno=k.kombidno(+)
     --AND stpl.oboridno = ob.oboridno
     --AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
ORDER BY z.semestr desc,fk_misto, NLSSORT(o.prijmeni, 'NLS_SORT = XCZech'),NLSSORT(o.jmeno, 'NLS_SORT = XCZech')
) x