select rownum as poradi, x.* from (
SELECT   distinct s.os_cislo, o.jmeno, o.prijmeni,
         c1.rv_abbreviation AS titul_pred, c2.rv_abbreviation AS titul_za,
         t.semestr, sp.fakulta_sp, sp.kodsp_i,snz.semestr as semestr_student,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA') FROM DUAL)) stav, svor.standard_rok,
         (select fn_meaning(sp.typ,'TYP_OBORU') from dual) typ, sp.forma,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,t.rok_platnosti) end obor_komb,*/
         fn_vsechny_obko(s.os_cislo,t.rok_platnosti) as obor_komb,
         decode(fn_nespl_podm(s.OS_CISLO,Z.prac_zkr,Z.zkr_predm),null,'A','N') as prerek_splnene,
         decode(z.zapocet_slovni_hodnoceni,'S','A','N') as zapocet_splnen,
         fn_get_predchozi_terminy(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'N') as neoml_terminy,
         fn_get_pocet_predch_terminu(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'N','N') as neoml_pocet,
         fn_get_pocet_predch_terminu(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'A','N') as oml_pocet,
         fn_get_predchozi_terminy(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'A') as oml_terminy,
         to_char(z.POKUS_CISLO) as pokus,to_char(z.DATUM,'DD.MM.RR') as datum,decode(z.hodnoceni_zk,'1',fn_meaning(z.znamka, 'ZNAMKA'),'2',z.slovni_hodnoceni) znamka,
         to_char(z.ZAPOCET_POKUS) as zapocet_pokus,to_char(z.ZAPOCET_DATUM,'DD.MM.RR') as ZAPOCET_DATUM,z.ZAPOCET_SLOVNI_HODNOCENI,
         (select FN_GET_PRAC_ZKR_KVALIF_PR(s.os_cislo) from dual) as kvalif_pr_prac_zkr
    FROM studenti s,
         studenti_v_roce svor,
         osoby o, studijni_programy sp,
         studenti_na_zkouskach snz,
         terminy t,
         cg_ref_codes c1,
         cg_ref_codes c2,
         kombinace k , studenti_na_oboru_v_roce snor,
         --obory ob,studijni_plany stpl,
         znamky z
   WHERE snz.termidno = :idno
     AND t.termidno = snz.termidno
     AND snz.os_cislo = s.os_cislo
     AND o.osobidno = s.osobidno
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
     AND svor.os_cislo = s.os_cislo
     AND svor.rok_platnosti = t.rok_platnosti
     AND s.stpridno = sp.stpridno
     and svor.kombidno=k.kombidno(+)
     --AND stpl.oboridno = ob.oboridno
     --AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     and z.os_cislo = snor.os_cislo
     and z.prac_zkr = t.prac_zkr
     and z.zkr_predm = t.zkr_predm
     and z.rok_platnosti = t.rok_platnosti
     and z.semestr = snz.SEMESTR
ORDER BY NLSSORT(o.prijmeni, 'NLS_SORT = XCZech'),NLSSORT(o.jmeno, 'NLS_SORT = XCZech')) x