	 select
	 t.limit_terminu as limit,
	 t.obsazeni_terminu as obsazeni,
	 t.datum,
	 to_char(t.hod_od,'HH24:MI') as hod_skut_od,
	 to_char(t.hod_do,'HH24:MI') as hod_skut_do,
	 DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
	 t.zkr_budovy, t.cislo_mist,
	 t.semestr,
	 fn_meaning3(p.TYP_ZK,'TYP_ZK_NEW') as skupina_zk,
	 case when :lang in ('cs','sk') then
	 (select fn_meaning2(t.TYP_TERMINU,'TYP_TERMINU') from dual)
	 else
	 (select fn_meaning_en(t.TYP_TERMINU,'TYP_TERMINU') from dual)
	 end typ,
	 (select fn_meaning(t.TYP_TERMINU,'TYP_TERMINU') from dual) typ_zkr,
	 t.prac_zkr, t.zkr_predm,t.TYP_TERMINU as fk_typ_terminu,
	 (select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual) as klasifikace_typu_term, 
	 nvl(t.blok_datum, to_date(to_char(t.DATUM, 'DD.MM.RRRR')||to_char(t.hod_od, ' HH24:MI'),'DD.MM.RRRR HH24:MI')) as blok_datum,
	 g.grupa_plan,
	 g.grupa_obsazeni,
	 n.celk_plan,
	 n.celk_obsazeni,
	 t.poznamka,
	 t.opravny_termin,
	 t.platnost,
     --fn_meaning2(t.platnost,'PLATNOST_TERMINU') as platnost_slovne,
     --DECODE(T.opravny_termin,'N','Ne','Ano') opravny_termin_slovne,
     decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) opravny_termin_slovne,
     case
     when t.platnost='N' then 'Z' -- zrusene
     when fn_zive_datum(t.datum,t.hod_od)=1 then 'A' -- aktualni
     else 'P' -- prosle
     end barva,
t.blok_datum_prihlaseni AS blok_datum_prihlaseni, -- blok datum prihlaseni
t.blok_datum AS blok_datum_odhlaseni, -- blok datum prihlaseni
t.datum_start AS datum_start,
t.rok_platnosti,
	 (select fn_get_ucitel(t.ucitidno,'JP') from dual) as ucitel,
	 t.ucitidno,
	 t.termidno,
	 t.grteidno
 from
	 terminy t,
	 GRUPY_TERMINU g,
	 nadgrupy_terminu n,
	 pred_varianty p
 where
	 t.termidno = :idno
	 and t.grteidno=g.grteidno(+)
	 and g.nateidno=n.nateidno(+)
	 and p.PRAC_ZKR = t.PRAC_ZKR
	 and p.ZKR_PREDM = t.ZKR_PREDM
	 and p.ROK_VARIANTY = t.ROK_PLATNOSTI
