select
    case
    when platnost='N' then 'Z' -- zrusene
    when fn_zive_datum(t.datum,t.hod_od)=1 then 'A' -- aktualni
    else 'P' -- prosle
    end barva,
	t.limit_terminu as limit,
	t.obsazeni_terminu as obsazeni,
	t.datum,
	to_char(t.hod_od,'HH24:MI') as hod_skut_od,
	to_char(t.hod_do,'HH24:MI') as hod_skut_do,
	t.blok_datum,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
	t.zkr_budovy, t.cislo_mist,
    t.semestr,
    t.OPRAVNY_TERMIN,
    decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) as TERMIN_KDO_SLOVNE,
    case when :lang in ('cs','sk') then
    (select fn_meaning2(t.TYP_TERMINU,'TYP_TERMINU') from dual)
    else
    (select fn_meaning_en(t.TYP_TERMINU,'TYP_TERMINU') from dual)
    end typ,
    (select fn_meaning(t.TYP_TERMINU,'TYP_TERMINU') from dual) typ_zkr,
	t.prac_zkr, t.zkr_predm,
	t.termidno,
	t.grteidno,
	p.vyuka_ls,
	p.vyuka_zs
from terminy t, pred_varianty p
where
	t.UCITIDNO = :ucitidno
	and t.rok_platnosti = :rok
    -- nechci zobrazovat blokace mistnosti
    and t.platnost!='B'
	and p.ZKR_PREDM = t.ZKR_PREDM
	and p.PRAC_ZKR = t.PRAC_ZKR
	and p.ROK_VARIANTY = t.ROK_PLATNOSTI
    -- terminy aktualniho akad. roku, vzdy ale nejmene 30 dni zpatky
    /*and (t.datum in (select datum from kalendar where rok_platnosti = (select rok_platnosti from kalendar where datum=trunc(sysdate))) or
         t.datum > trunc(sysdate)-30)*/
and ( (t.semestr is null and :semestr is null) or
		       (nvl(t.semestr,'%') like :semestr)
			 )          
@IF(0)	and t.datum >= trunc(sysdate) 
order by
	t.datum desc ,
	to_char(t.hod_od,'HH24:MI') asc,
    t.prac_zkr, t.zkr_predm, t.semestr desc