SELECT
    ID_NAME as stag_username,
	ID_ROLE,
	DECODE(:lang,'cs',fn_meaning2(id_role,'ROLE'),'sk',fn_meaning2(id_role,'ROLE'),nvl(fn_meaning_en(id_role,'ROLE'),fn_meaning2(id_role,'ROLE'))) as role,
    ucitidno,
    id_katedra,
    id_fakulta,
    aktivni,
    'N' as evaluacni_role

FROM
    id_table2

WHERE ucitidno = :ucitidno
  AND aktivni = 'A'
  AND id_role in ('VY','KA','SR', 'EI', 'EP', 'FR', 'FS', 'UR', 'FA','PR','EV')
union
select
    null,
    'PR' as id_role,
    'EVA-PROREKTOR' as role,
    erl.UCITIDNO,
    null,
    null,
    'A',
    'A' as evaluacni_role
from
        eva_role erl,
        eva_role_pristup erp
      where
        erl.ucitidno = :ucitidno
        and erl.role_uzivatele = 'PROREKTOR'
        and erp.uzroidno =  erl.uzroidno
union
select
     null,
    'DE' as id_role,
    'EVA-DĚKAN' as role,
    cp.UCITIDNO,
    null,
    cp.zkr as id_fakulta,
    'A',
    'A' as evaluacni_role
       from
        cg_ref_codes cg,
        cis_pracovist cp
       where
        cg.rv_domain = 'FAKULTA'
        and cg.rv_abbreviation = cp.zkr
        and cp.ucitidno = :ucitidno
        and cp.typ_prac = 'F'
union
select
    null,
    'DE' as id_role,
    'EVA-Z�?STUPUJÍCÍ DĚKAN' as role,
    erl.UCITIDNO,
    erp.hodnota as id_katedra,
    erp.hodnota as id_fakulta,
    'A',
    'A' as evaluacni_role
      from
        eva_role erl,
        eva_role_pristup erp
      where
        erl.ucitidno = :ucitidno
        and erl.role_uzivatele = 'DEKAN'
        and erp.uzroidno =  erl.uzroidno
union
select
    null,
    'VK' as id_role,
    'EVA-VEDOUCÍ KATEDRY' as role,
    cp.UCITIDNO,
    cp.zkr as id_katedra,
    null,
    'A',
    'A' as evaluacni_role
    from cis_pracovist cp
     where cp.ucitidno = :ucitidno
        and cp.typ_prac = 'K'
union
select
    null,
    'VK' as id_role,
    'EVA-Z�?STUPUJÍCÍ VEDOUCÍ KATEDRY' as role,
    erl.UCITIDNO,
    erp.hodnota as id_katedra,
    null,
    'A',
    'A' as evaluacni_role
      from
        eva_role erl,
        eva_role_pristup erp
      where
        erl.ucitidno = :ucitidno
        and erl.role_uzivatele = 'VEDOUCI_KATEDRY'
        and erp.uzroidno =  erl.uzroidno
ORDER BY evaluacni_role desc, id_role desc