SELECT
	OB.oboridno,
  OB.CISSPEC,
  OB.CISOBORU,
	OB.ZKRATKA,
	OB.CZ_NAZEV,
  DECODE(:lang, 'cs', oB.CZ_NAZEV, 'sk', oB.CZ_NAZEV, NVL(oB.AN_NAZEV, oB.CZ_NAZEV)) AS nazev,
  DECODE(:lang, 'cs', ob.cz_anotace, 'sk', ob.cz_anotace, NVL(ob.an_anotace, ob.an_anotace)) AS anotace,
  sp.fakulta_sp program_fakulta,
  sp.kodsp_i program_kod,
  DECODE(:lang, 'cs', sp.CZ_NAZEV, 'sk', sp.CZ_NAZEV, NVL(sp.AN_NAZEV, sp.CZ_NAZEV)) AS program_nazev,
  DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS program_typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS program_forma


FROM
	cg_ref_codes cob, cg_ref_codes cfo,
  obory OB,
	studijni_programy SP

WHERE
	SP.stpridno = OB.stpridno
  AND OB.PRAC_ZKR = :prac_zkr
  and  cob.rv_domain = 'TYP_OBORU'
   and  sp.typ = cob.rv_low_value
   and  cfo.rv_domain = 'FORMA_OBORU_NEW'
   and  sp.forma = cfo.rv_low_value
