SELECT JZ.STVYIDNO as pk_klic_jz,
       JZ.STVYIDNO||JZP.PRAC_ZKR||JZP.ZKR_PREDM as fk_klic_nahraz_predm,
       replace(JZ.ZKRATKA_PREDM,'=','') as zkratka,
       JZ.JINY_NAZEV_PREDMETU as nazev_predmetu,
       '1 S' as delka_kurzu,
       JZ.KLASIFIKACE_CIZI,
       JZ.KLASIFIKACE_ECTS,
       decode(JZ.HODNOCENI_ZK,'1',(SELECT CG.RV_ABBREVIATION FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'ZNAMKA' AND CG.RV_LOW_VALUE = JZ.ZNAMKA),(SELECT CG.ENGLISH FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'SLOVNI_HODNOCENI' AND CG.RV_LOW_VALUE = JZ.slovni_hodnoceni)) as domaci_hodnoceni,
       JZ.POC_KRED,
       JZP.PRAC_ZKR||'/'||JZP.ZKR_PREDM||'('||JZP.POC_KRED||')' as nahrazovany_predmet
  FROM studenti ST,
       studenti_vyjezdy SV,
       jedznamky_www JZ,
       install2.jedznamky_pred_www JZP
 WHERE ST.OS_CISLO = SV.OS_CISLO
   AND JZ.STVYIDNO = SV.STVYIDNO
   AND JZ.DATUM >= SV.DATUM_OD
   AND JZ.DATUM <= SV.DATUM_DO
   AND SV.STVYIDNO = :PAR_STVYIDNO
   AND JZP.JZNWIDNO(+) = JZ.JZNWIDNO