-- data studenta a jeho vyjezdu
SELECT CG_ORG.RV_MEANING as sending_univerzita_cz,
       CG_ORG.ENGLISH as sending_univerzita_an,
       CP.NAZEV as sending_fakulta_cz,
       CP.AN_NAZEV as sending_fakulta_an,
       fn_meaning2(CP.TYP_VEDOUCIHO,'TYP_VEDOUCIHO') as TYP_VEDOUCIHO,
       fn_meaning_en(CP.TYP_VEDOUCIHO,'TYP_VEDOUCIHO') as TYP_VEDOUCIHO_EN,
       fn_get_ucitel(CP.UCITIDNO,'JP') as vedouci,
       OS.PRIJMENI,
       OS.JMENO,
       ST.OS_CISLO,
       SP.KODSP_I as program_kod,
       SP.CZ_NAZEV as program_cz,
       SP.AN_NAZEV as program_an,
       CS.NAZEV_SKOLY as receiving_univerzita_nazev,
       CS.MESTO_SKOLY as receiving_univerzita_mesto,
       CSTAT.STAT as receiving_univerzita_stat_cz,
       CSTAT.ENGLISH as receiving_univerzita_stat_an,
       to_char(SV.DATUM_OD,'DD.MM.RRRR') as termin_od,
       to_char(SV.DATUM_DO,'DD.MM.RRRR') as termin_do
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cg_ref_codes CG_ORG,
       cis_pracovist CP,
       studenti_vyjezdy SV,
       cis_skol CS,
       cis_statu CSTAT
 WHERE OS.OSOBIDNO = ST.OSOBIDNO
   AND ST.STPRIDNO = SP.STPRIDNO
   AND CG_ORG.RV_DOMAIN = 'ORGANIZACE'
   AND SP.FAKULTA_SP = CP.ZKR
   AND ST.OS_CISLO = SV.OS_CISLO
   AND SV.SKOLAIDNO = CS.SKOLAIDNO
   AND CS.STATIDNO = CSTAT.STATIDNO
   AND SV.STVYIDNO = :PAR_STVYIDNO