-- ToR - cizí student vracici se domu
-- zakladní data
SELECT 'N' as nas_student,
       CSKOL.NAZEV_SKOLY as sending_institution,
       CSTAT.ENGLISH as sending_institution_country,
       SPS.FAKULTA_DOMOVSKA_SKOLA as sending_department,
       SPS.DC_CIZI as sending_DC,
       SPS.CIZI_TELEFON as sending_tel,
       SPS.CIZI_FAX as sending_fax,
       SPS.CIZI_EMAIL as sending_email,
       OS.prijmeni as student_family_name,
       OS.JMENO as student_first_name,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_from_date,
       to_char(nvl(ST.DAT_UKONCENI,sysdate),'DD.MM.RRRR') as student_to_date,
       to_char(OS.DATUM_NAROZ,'DD.MM.RRRR') as student_birth_date,
       (SELECT CS.ENGLISH FROM cis_statu CS WHERE OS.statidno_naro = CS.STATIDNO)||', '||decode(OS.statidno_naro,203,(SELECT CO.NAZEV FROM cis_obci CO WHERE CO.OBEC_IDNO = OS.obecidno_naro)) as student_birth_place,
       (SELECT fn_meaning_en(OS.POHLAVI,'POHLAVI') FROM dual) as student_sex,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_matriculation_date,
       ST.OS_CISLO as student_matriculation_number,
       CGORG.ENGLISH as receiving_institution,
       'Czech republic' as receiving_institution_country,
       CP.AN_NAZEV as receiving_department,
       fn_get_ucitel(SPS.UCITIDNO_DC_PODPIS,'PJ','N') as receiving_DC,
       SPS.ECTS_TELEFON as receiving_tel,
       SPS.ECTS_FAX as receiving_fax,
       SPS.ECTS_EMAIL as receiving_email,
       (SELECT fn_meaning_en(SP.TITUL,'TITUL') FROM dual) as diploma_degree_awarded,
       to_char(ST.DAT_UKONCENI,'DD.MM.RRRR') as signature_date,
       (SELECT fn_get_ucitel(CP.UCITIDNO,'PJ','A') FROM dual) as signature_dean
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cis_pracovist CP,
       STUDENTI_PRIJEZDY_STUDIA SPS,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG
 WHERE OS.osobidno = ST.osobidno
   AND ST.stpridno = SP.stpridno
   AND SP.FAKULTA_SP = CP.ZKR
   AND SPS.OS_CISLO = ST.OS_CISLO
   AND SPS.SKOLAIDNO_DOMOVSKA_SKOLA = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   --AND SPS.STPSIDNO = :stpsidno
   AND ST.OS_CISLO = :os_cislo