-- ToR - náš student vyjiždějící ven
-- zakladní data
SELECT 'A' as nas_student,
       CGORG.ENGLISH as sending_institution,
       'Czech republic' as sending_institution_country,
       CP.AN_NAZEV as sending_department,
       fn_get_ucitel(SV.UCITIDNO_DC_PODPIS,'PJ','N') as sending_DC,
       SV.ECTS_TELEFON as sending_tel,
       SV.ECTS_FAX as sending_fax,
       SV.ECTS_EMAIL as sending_email,
       OS.prijmeni as student_family_name,
       OS.JMENO as student_first_name,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_from_date,
       to_char(nvl(ST.DAT_UKONCENI,sysdate),'DD.MM.RRRR') as student_to_date,
       to_char(OS.DATUM_NAROZ,'DD.MM.RRRR') as student_birth_date,
       (SELECT fn_meaning_en(OS.POHLAVI,'POHLAVI') FROM dual) as student_sex,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_matriculation_date,
       ST.OS_CISLO as student_matriculation_number,
       CSKOL.NAZEV_SKOLY as receiving_institution,
       CSTAT.ENGLISH as receiving_institution_country,
       SV.FAKULTA as receiving_department,
       SV.DC_CIZI as receiving_DC,
       SV.CIZI_TELEFON as receiving_tel,
       SV.CIZI_FAX as receiving_fax,
       SV.CIZI_EMAIL as receiving_email,
       (SELECT fn_meaning_en(SP.TITUL,'TITUL') FROM dual) as diploma_degree_awarded,
       to_char(ST.DAT_UKONCENI,'DD.MM.RRRR') as signature_date,
       (SELECT fn_get_ucitel(CP.UCITIDNO,'PJ','A') FROM dual) as signature_dean
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cis_pracovist CP,
       STUDENTI_VYJEZDY SV,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG
 WHERE OS.osobidno = ST.osobidno
   AND ST.stpridno = SP.stpridno
   AND SP.FAKULTA_SP = CP.ZKR
   AND SV.OS_CISLO = ST.OS_CISLO
   AND SV.SKOLAIDNO = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SV.STVYIDNO = :stvyidno