SELECT to_char(AD.KDY,'DD.MM.RR HH24:MI:SS') as kdy,
       AD.KDO,
       AD.POLOZKA as polozka,
       ZN.OS_CISLO as student,
       AD.OLD_DATA as z,
       AD.NEW_DATA as na
  FROM audit_data AD,
       znamky ZN
 WHERE AD.TABULKA = 'ZNAMKY'
   AND ((AD.POLOZKA in ('ZNAMKA','SLOVNI_HODNOCENI','POKUS_CISLO','DATUM') AND 'ZPPZK' <> :p_typ )
        OR
        (AD.POLOZKA in ('ZAPOCET_SLOVNI_HODNOCENI','ZAPOCET_POKUS','ZAPOCET_DATUM') AND 'ZPPZK' = :p_typ))
   AND AD.PK =
ZN.OS_CISLO||'#'||ZN.ROK_PLATNOSTI||'#'||ZN.SEMESTR||'#'||ZN.ZKR_PREDM||'#'||ZN.ROK_VARIANTY||'#'||ZN.PRAC_ZKR
   AND ZN.PRAC_ZKR = :p_prac_zkr
   AND ZN.ZKR_PREDM = :p_zkr_predm
   AND ZN.ROK_VARIANTY = :p_rok_varianty
   AND ZN.SEMESTR = :p_semestr
   AND ZN.OS_CISLO = :p_os_cislo
 ORDER BY AD.KDY DESC