select /*+ FIRST_ROWS */
  distinct
  os_cislo,
  jmeno,
  prijmeni,
  titul_pred,
  titul_za,
  fakulta_sp,
  kodsp_i,
  stav,
--  standard_rok,
  typ,
  forma,
  misto,
  obor_komb
  from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS
@IF(1)  ORDERED
        */
    distinct s.os_cislo, o.jmeno, o.prijmeni,
         c1.rv_abbreviation AS titul_pred, c2.rv_abbreviation AS titul_za,
         sp.fakulta_sp, sp.kodsp_i,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA')
                   FROM DUAL)) stav, svor.standard_rok,
         (SELECT fn_meaning (sp.typ, 'TYP_OBORU') FROM DUAL) typ, sp.forma,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) end obor_komb*/
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    FROM osoby o,
         studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         studenti_na_oboru_v_roce snor,
         studijni_plany stpl,
         obory ob,
         kombinace k,
         cg_ref_codes c1,
         cg_ref_codes c2
    WHERE o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND stpl.oboridno = ob.oboridno
     AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     AND k.kombidno(+) = svor.kombidno
     --and svor.rok_platnosti = fn_rok(s.os_cislo)
     and svor.rok_platnosti = :rok_platnosti
     AND sp.fakulta_sp LIKE NVL (upper(:p_fak_sp), '%')
     AND sp.kodsp_i LIKE NVL (:p_stud_program, '%')
     AND sp.forma LIKE NVL (:p_forma, '%')
     AND sp.typ LIKE NVL (:p_typ, '%')
     AND ob.cisoboru LIKE NVL (:p_obor, '%')
     AND Svor.misto_vyuky like nvl(:p_misto,'%')
     AND (k.zkratka IS NULL OR k.zkratka LIKE NVL (:p_kombinace, '%'))
     and s.stav like nvl(:xstav,'%')
     and upper(o.prijmeni) like nvl(upper(:prijmeni),'%')
     and upper(o.jmeno) like nvl(upper(:jmeno),'%')
     and s.os_cislo like upper(nvl(:xos_cislo,'%'))
     and svor.standard_rok between nvl(:rocnik_od,1) and nvl(:rocnik_do,99)
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
     order by prijmeni, jmeno
) x
where rownum <= nvl(:do,51)
) y
where y.poradi >= nvl(:od,0)
