SELECT
	SUM(kredity_plan) AS suma_plan,
	SUM(kredity_dos) AS suma_dos,
	SUM(kredity_zaps + kredity_unbl) AS suma_uzn,
	SUM(kredity_dos) + SUM(kredity_zaps + kredity_unbl) AS celk_kred,
	SUM(DECODE(pg_cti_parametry.cti_retezec_rok_oc('ODECITAT_ZAPOCTY', snor.rok_platnosti, snor.os_cislo),'A', kredity_dos_bez_zp,kredity_dos)) + SUM(kredity_zaps + kredity_unbl) AS celk_kred_bez,
	fn_celk_prum(snor.os_cislo, :rok, '%') AS celk_prum, snor.os_cislo

FROM
	studenti_na_oboru_v_roce snor,
	studijni_plany sp1

WHERE
	snor.stplidno = sp1.stplidno
	AND  snor.rok_platnosti <= :rok
	AND  snor.os_cislo = :oscislo

GROUP  BY snor.os_cislo