SELECT
    Z.semestr znamka_semestr,
    T.prac_zkr||'/'||T.zkr_predm cela_zkr,
    T.zkr_budovy||T.cislo_mist mistnost,
    Z.zkr_predm,
    Z.prac_zkr,
    Z.rok_varianty,
    Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm) as nesplnene_prerekvizity,
    decode(fn_meaning3(T.typ_terminu,'TYP_TERMINU'),'ZPPZK','N',decode(pg_cti_parametry.CTI_RETEZEC_KAT('PODMINENY_TERMIN',z.prac_zkr),'A',decode(Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm),null,'N','A'),'N')) as nepov_zap_pri_nespl_prerek,
    Z.datum hodnoceni_datum,
    Z.hodnoceni_zk,
    Z.pokus_cislo hodnoceni_pokus,
    z.zapocet_slovni_hodnoceni,
    z.zapocet_pokus,
    z.zapocet_datum,
    Decode(:lang,'cs',(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),'sk',(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),'en',Nvl((SELECT fn_meaning_en(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual))) hodnoceni_zk_slovne,
    decode(Z.hodnoceni_zk,'2',Decode(:lang,'cs',(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),'sk',(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),Nvl((SELECT fn_meaning_en(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual))), (SELECT fn_meaning(Z.znamka,'ZNAMKA')FROM dual)) hodnoceni_znamka,
    T.datum,
    T.hod_od,
    T.hod_do,
    (SELECT fn_get_ucitel(T.ucitidno) FROM dual ) vyucujici,
    u.prijmeni vyucujici_prijmeni,
    u.email vyucujici_email,
    u.telefon vyucujici_telefon,
    trim(T.poznamka) poznamka,
    T.limit_terminu,
    T.obsazeni_terminu,
    T.zkr_budovy,
    T.cislo_mist,
    T.termidno,
    T.grteidno,
    G.nateidno,
    G.grupa_plan,
    G.grupa_obsazeni,
    N.celk_plan,
    N.celk_obsazeni,
    Decode(:lang,'cs',P.cz_nazev,'sk',P.cz_nazev,Nvl(P.an_nazev,P.cz_nazev)) nazev,
    p.predz_za,
    Decode(:lang,'cs',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'sk',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'en',Nvl((SELECT fn_meaning_en(T.typ_terminu,'TYP_TERMINU') FROM dual),(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual))) typ_terminu_popis,
    T.typ_terminu,
    (SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual) as skupina_typu_terminu,
    T.blok_datum,
    T.blok_datum_prihlaseni,
    T.datum_start,
    T.rok_platnosti,
    fn_get_pocet_predch_terminu(t.termidno,Z.os_cislo,z.SEMESTR,t.TYP_TERMINU,'N','A') as neoml_pocet,
    decode(fn_meaning3(T.typ_terminu,'TYP_TERMINU'),'ZPPZK',PG_CTI_PARAMETRY.CTI_CISLO_KAT('TERM_MAX_POCET_TERM_STUD_ZPPZK',Z.prac_zkr),PG_CTI_PARAMETRY.CTI_CISLO_KAT('TERM_MAX_POCET_TERM_STUD_ZK',Z.prac_zkr)) as MAX_POCET_TERMINU_STUDENTA,
    decode(fn_meaning3(T.typ_terminu,'TYP_TERMINU'),'ZPPZK',PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('TERM_HLAS_PRI_PREKR_TERM_ZPPZK',Z.prac_zkr),PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('TERM_HLAS_PRI_PREKR_TERM_ZK',Z.prac_zkr)) as PREKROCENI_POCTU_TERMINU,
    Decode(fn_meaning3(T.typ_terminu,'TYP_TERMINU')||pg_cti_parametry.CTI_RETEZEC_KAT('PRIHLASENI_BEZ_ZP',Z.prac_zkr)||nvl(Z.zapocet_slovni_hodnoceni,'N')||P.predz_za,'ZKNNA','A','N') pokus_prihlaseni_bez_zp,
    Decode(fn_meaning3(T.typ_terminu,'TYP_TERMINU')||pg_cti_parametry.CTI_RETEZEC_KAT('PRIHLASENI_PRI_NESPLNENI_ZP',Z.prac_zkr)||Z.zapocet_slovni_hodnoceni||P.predz_za,'ZKNNA','A','N') pokus_prihlaseni_s_nespl_zp,
    T.opravny_termin as opravny_termin,
    --DECODE(.lang,'cs',DECODE(T.opravny_termin,'N','Ne','Ano'),'sk',DECODE(T.opravny_termin,'N','Ne','Ano'),DECODE(T.opravny_termin,'N','No','Yes')) opravny_termin_text,
    decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) opravny_termin_text,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum, T.datum), NVL(T.blok_datum, T.hod_od)) FROM dual), 1, 'A', 'N') odhlasovani_zive,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum_prihlaseni, T.datum), NVL(T.blok_datum_prihlaseni, T.hod_od)) FROM dual), 1, 'A', 'N') prihlasovani_zive,
    DECODE( Nvl2(T.datum_start,( SELECT fn_zive_datum(NVL(T.datum_start, T.datum), NVL(T.datum_start, T.hod_od)) FROM dual),0), 1, 'N', 'A') start_terminu_zive,
    NVL(T.semestr, 'ZS/LS') termin_semestr,
    Nvl((SELECT 'A' FROM dual where (T.limit_terminu=T.obsazeni_terminu) OR (G.grupa_obsazeni=G.grupa_plan) OR (N.celk_obsazeni=N.celk_plan)),'N') obsazeno,
    Nvl((
        SELECT Decode(t1.platnost,'A','A','N','Z',NULL)
            FROM studenti_na_zkouskach SNZK, terminy t1
        WHERE
            snzk.termidno = t1.termidno
            AND t1.termidno <> T.termidno
            AND t1.typ_terminu = T.typ_terminu
            AND z.rok_platnosti = snzk.rok_platnosti
            AND SNZK.os_cislo = z.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND (t1.platnost = 'A' OR t1.platnost = 'N')
            AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                 from dual
            )= 1
             ),'N') zapsan_na_jinem,
    /*Nvl(( -- odstraneno a nahrazeno selectem pod nim z duvodu, ze vyucujici muze omylem vypsat vic jak 2 druhy terminu k jednomu predmetu.
        SELECT
            Decode(t1.platnost,'A','A','N','Z',NULL)
        FROM
            studenti_na_zkouskach SNZK,
            terminy t1
        WHERE
            snzk.termidno = t1.termidno
            AND t1.termidno <> T.termidno
            AND t1.typ_terminu <> T.typ_terminu
            AND z.rok_platnosti = snzk.rok_platnosti
            AND SNZK.os_cislo = z.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND (t1.platnost = 'A' OR t1.platnost = 'N')
            AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                 from dual
                             )= 1
             ),'N') zapsan_na_jinem_typu,*/
    decode((SELECT
               count(*)--Decode(t1.platnost,'A','A','N','Z',NULL)
            FROM
               studenti_na_zkouskach SNZK,
               terminy t1
            WHERE
                 snzk.termidno = t1.termidno
                 AND t1.termidno <> T.termidno
                 AND t1.typ_terminu <> T.typ_terminu
                 AND z.rok_platnosti = snzk.rok_platnosti
                 AND SNZK.os_cislo = z.os_cislo
                 AND Z.prac_zkr = SNZK.prac_zkr
                 AND Z.zkr_predm = SNZK.zkr_predm
                 AND Z.rok_varianty = SNZK.rok_varianty
                 AND Z.semestr = SNZK.semestr
                 AND (t1.platnost = 'A' OR t1.platnost = 'N')
                 AND ( select fn_zive_datum(t1.datum,t1.hod_od) from dual )= 1
            )
           ,0,'N','A') zapsan_na_jinem_typu,
    NVL( (
        SELECT 'A'
            FROM
                studenti_na_zkouskach SNZK
        WHERE
            Z.rok_platnosti = SNZK.rok_platnosti
            AND Z.os_cislo = SNZK.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND T.termidno = SNZK.termidno
            ), 'N') zapsan,
    z.stplidno,
    (SELECT count(*)
        FROM studenti_na_zkouskach SNZK,
                 terminy t1
     WHERE z.rok_platnosti = snzk.rok_platnosti
         AND Z.os_cislo = SNZK.os_cislo
         AND Z.prac_zkr = SNZK.prac_zkr
         AND Z.zkr_predm = SNZK.zkr_predm
         AND Z.rok_varianty = SNZK.rok_varianty
         AND Z.semestr = SNZK.semestr
         AND SNZK.omluven='N'
         AND snzk.termidno=t1.termidno
         AND t1.platnost = 'A'
         AND t1.typ_terminu = T.typ_terminu
         AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                         from dual
                 )= 0
    ) prihlasen --pocet predchozich prihlaseni na tomto typu terminu daneho predmetu.

FROM
    terminy T,
    grupy_terminu G,
    nadgrupy_terminu N,
    znamky Z,
    pred_varianty P,
    ucitele u

WHERE
    ( t.semestr = z.semestr OR t.semestr IS NULL)
@IF(0)     AND T.platnost = 'N'
@IFNOT(0)     AND T.platnost = 'A'
     AND T.grteidno = G.grteidno(+)
     AND G.nateidno = N.nateidno(+)
     AND ( SELECT fn_zive_datum(T.datum, T.hod_od) FROM dual) = 1
     AND Z.os_cislo = :os_cislo
     AND Z.rok_platnosti = FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(Z.prac_zkr)
     AND T.rok_platnosti = Z.rok_platnosti
     AND T.zkr_predm = Z.zkr_predm
     AND T.prac_zkr = Z.prac_zkr
     --AND NOT (( NVL(Z.slovni_hodnoceni, 'N') = 'S' )OR( ABS(NVL(z.znamka, 4)) < 4 )OR( NVL(z.pokus_cislo, 0) = 3 ))
     AND NOT (( NVL(Z.slovni_hodnoceni, 'N') = 'S' )OR(nvl((SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = Z.znamka),'N') = 'A' )OR( NVL(z.pokus_cislo, 0) >= nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',Z.prac_zkr),3) ))
     AND NOT ((z.ZAPOCET_SLOVNI_HODNOCENI = 'N') AND ( NVL(z.ZAPOCET_POKUS,0) >= nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',Z.prac_zkr),3) ))
      AND Z.uznano = 'N'
     AND Z.rok_varianty=z.rok_platnosti
     AND P.prac_zkr = Z.prac_zkr
     AND P.zkr_predm = Z.zkr_predm
     AND P.rok_varianty = Z.rok_varianty
     AND u.ucitidno = t.ucitidno
@IF(1) AND EXISTS(SELECT 'A' FROM studenti_na_zkouskach SNZK WHERE Z.rok_platnosti = SNZK.rok_platnosti AND Z.os_cislo = SNZK.os_cislo AND Z.prac_zkr = SNZK.prac_zkr AND Z.zkr_predm = SNZK.zkr_predm AND Z.rok_varianty = SNZK.rok_varianty AND Z.semestr = SNZK.semestr AND T.termidno = SNZK.termidno)
@IF(2) AND NOT EXISTS(SELECT 'A' FROM studenti_na_zkouskach SNZK WHERE Z.rok_platnosti = SNZK.rok_platnosti AND Z.os_cislo = SNZK.os_cislo AND Z.prac_zkr = SNZK.prac_zkr AND Z.zkr_predm = SNZK.zkr_predm AND Z.rok_varianty = SNZK.rok_varianty AND Z.semestr = SNZK.semestr AND T.termidno = SNZK.termidno)

ORDER BY
    Z.semestr DESC,
    Z.prac_zkr,
    Z.zkr_predm,
    Z.rok_varianty,
    T.datum,
    T.hod_od