--Nesplnen min. pocet B-bloku segmentu
SELECT   '1' as typ,
         y.os_cislo,
            /*'Nesplnen min. pocet B-bloku segmentu '
         ||*/ NVL (sesp.cz_nazev_modulu, sesp.nazev) nazev,
         /*|| ' - minimum/splneno '
         ||*/ sesp.min_pocet_abs_b_bloku minimum,
         sesp.sespidno,
         /*|| '/'

         ||*/ COUNT (*) as splneno
    FROM segmenty_st_planu sesp,
         (SELECT   x.obor bobor, x.apr bapr, x.os_cislo, x.cz_nazev bnazev,
                   x.blokidno, NVL (x.minkred, x.min_pocet_predmetu) bminkred,
                   DECODE (x.minkred,
                           NULL, MAX (x.spl_predmetu),
                           MAX (x.ziskano)
                          ) bzisk,
                   /*x.oboridno,*/ x.sespidno
              FROM (SELECT   o.cisoboru || '/' || o.cisspec obor,
                             DECODE (o.je_aprobace,
                                     'A', o.cislo_a || '-' || o.zkratka,
                                     o.zkratka
                                    ) apr,
                             snor.os_cislo, b.cz_nazev, b.minkred, b.blokidno,
                             NVL (SUM (z.poc_kred), 0) AS ziskano,
                             COUNT (*) AS spl_predmetu,
                             /*DECODE (.p_vyber_komb,
                                     'K', -1,
                                     o.oboridno
                                    ) oboridno,*/
                             b.min_pocet_predmetu, sesp.sespidno
                        FROM studenti_na_oboru_v_roce snor,
                             studenti_v_roce s,
                             bloky_predm bp,
                             bloky b,
                             studijni_plany stpl,
                             poradi_segmentu pose,
                             segmenty_st_planu sesp,
                             zn_jezn_predm z,
                             obory o,
                             studijni_programy sp
                       WHERE b.statut = 'B'
                         AND sesp.min_pocet_abs_b_bloku IS NOT NULL
                         /*AND (   (    .p_kontrola = 'A'
                                  AND s.standard_rok >= sp.stand_delka
                                 )
                              OR .p_kontrola = 'V'
                             )*/
                         AND s.rok_platnosti = snor.rok_platnosti
                         AND s.os_cislo = snor.os_cislo
                         AND sp.stpridno = o.stpridno
                         AND o.oboridno = stpl.oboridno
                         AND stpl.stplidno = snor.stplidno
                         AND stpl.stplidno = pose.stplidno
                         AND pose.sespidno = sesp.sespidno
                         AND sesp.sespidno = b.sespidno
                         AND b.blokidno = bp.blokidno
                         AND z.rok_platnosti <= :par_rok_sk
                         AND (   z.uznano = 'A'
                              OR (    z.uznano = 'N'
                                  AND (   NVL (z.slovni_hodnoceni, 'N') = 'S'
                                       OR NVL (ABS (z.znamka), 4) < 4
                                      )
                                 )
                             )
                         AND (z.prac_zkr, z.zkr_predm) IN (
                                SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                           FROM pred_hlavicky ph
                                     START WITH ph.prac_zkr = bp.prac_zkr
                                            AND ph.zkr_predm = bp.zkr_predm
                                     CONNECT BY PRIOR ph.prac_zkr_pred =
                                                                   ph.prac_zkr
                                            AND PRIOR ph.zkr_predm_pred =
                                                                  ph.zkr_predm)
                         AND z.os_cislo = snor.os_cislo
                         AND s.rok_platnosti LIKE :par_rok_sk
                         AND s.os_cislo LIKE UPPER (:p_os_cislo)
                    GROUP BY o.cisoboru || '/' || o.cisspec,
                             DECODE (o.je_aprobace,
                                     'A', o.cislo_a || '-' || o.zkratka,
                                     o.zkratka
                                    ),
                             snor.os_cislo,
                             b.cz_nazev,
                             b.minkred,
                             b.min_pocet_predmetu,
                             b.blokidno,
                             /*DECODE (.p_vyber_komb, 'K', -1, o.oboridno),*/
                             sesp.sespidno
                    UNION
                    SELECT o.cisoboru || '/' || o.cisspec obor,
                           DECODE (o.je_aprobace,
                                   'A', o.cislo_a || '-' || o.zkratka,
                                   o.zkratka
                                  ),
                           snor.os_cislo, b.cz_nazev, b.minkred, b.blokidno,
                           0 AS ziskano, 0 AS spl_predmetu,
                           /*DECODE (.p_vyber_komb,
                                   'K', -1,
                                   o.oboridno
                                  ) oboridno,*/ b.min_pocet_predmetu,
                           sesp.sespidno
                      FROM studenti_na_oboru_v_roce snor,
                           studenti_v_roce s,
                           bloky_predm bp,
                           bloky b,
                           studijni_plany stpl,
                           poradi_segmentu pose,
                           segmenty_st_planu sesp,
                           obory o,
                           studijni_programy sp
                     WHERE b.statut = 'B'
                       AND sesp.min_pocet_abs_b_bloku IS NOT NULL
                       /*AND (   (    .p_kontrola = 'A'
                                AND s.standard_rok >= sp.stand_delka
                               )
                            OR .p_kontrola = 'V'
                           )*/
                       AND s.rok_platnosti = snor.rok_platnosti
                       AND s.os_cislo = snor.os_cislo
                       AND sp.stpridno = o.stpridno
                       AND o.oboridno = stpl.oboridno
                       AND stpl.stplidno = snor.stplidno
                       AND stpl.stplidno = pose.stplidno
                       AND pose.sespidno = sesp.sespidno
                       AND sesp.sespidno = b.sespidno
                       AND b.blokidno = bp.blokidno
                       AND s.rok_platnosti LIKE :par_rok_sk
                       AND s.os_cislo LIKE UPPER (:p_os_cislo)) x
          GROUP BY x.obor,
                   x.apr,
                   x.os_cislo,
                   x.cz_nazev,
                   x.minkred,
                   x.min_pocet_predmetu,
                   x.blokidno,
                   --x.oboridno,
                   x.sespidno
            HAVING (    /*DECODE (.p_splnene_b, 'A', 99999,*/ NVL (x.minkred, 0)/*)*/ <=
                                                               MAX (x.ziskano)
                    AND x.minkred IS NOT NULL
                   )
                OR (    /*DECODE (.p_splnene_b,
                                'A', 99999,*/
                                NVL (x.min_pocet_predmetu, 0)
                               /*)*/ <= MAX (x.spl_predmetu)
                    AND x.min_pocet_predmetu IS NOT NULL
                   )) y
   WHERE (y.sespidno = sesp.sespidno) AND (:p_os_cislo = y.os_cislo)
GROUP BY '1',
         y.os_cislo,
         NVL (sesp.cz_nazev_modulu, sesp.nazev),
         sesp.min_pocet_abs_b_bloku,
         sesp.sespidno,
         sesp.sespidno
  HAVING COUNT (*) < sesp.min_pocet_abs_b_bloku
UNION
SELECT   '2' as typ,
         snor.os_cislo,
            /*'Nesplnen min. pocet kreditu z B-bloku segmentu '
         ||*/ NVL (sesp.cz_nazev_modulu, sesp.nazev) as nazev,
         /*|| ' - minimum/splneno '
         ||*/ sesp.min_crd_b_bloku minimum,
         sesp.sespidno,
         /*|| '/'

         ||*/ NVL (SUM (z.poc_kred), 0) as splneno
    FROM studenti_na_oboru_v_roce snor,
         studenti_v_roce s,
         bloky_predm bp,
         bloky b,
         studijni_plany stpl,
         poradi_segmentu pose,
         segmenty_st_planu sesp,
         zn_jezn_predm z,
         obory o,
         studijni_programy sp
   WHERE (    b.statut = 'B'
          AND sesp.min_crd_b_bloku IS NOT NULL
          /*AND (   (.p_kontrola = 'A' AND s.standard_rok >= sp.stand_delka)
               OR .p_kontrola = 'V'
              )*/
          AND s.rok_platnosti = snor.rok_platnosti
          AND s.os_cislo = snor.os_cislo
          AND sp.stpridno = o.stpridno
          AND o.oboridno = stpl.oboridno
          AND stpl.stplidno = snor.stplidno
          AND stpl.stplidno = pose.stplidno
          AND pose.sespidno = sesp.sespidno
          AND sesp.sespidno = b.sespidno
          AND b.blokidno = bp.blokidno
          AND z.rok_platnosti <= :par_rok_sk
          AND (   z.uznano = 'A'
               OR (    z.uznano = 'N'
                   AND (   NVL (z.slovni_hodnoceni, 'N') = 'S'
                        OR NVL (ABS (z.znamka), 4) < 4
                       )
                  )
              )
          AND (z.prac_zkr, z.zkr_predm) IN (
                 SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                            FROM pred_hlavicky ph
                      START WITH ph.prac_zkr = bp.prac_zkr
                             AND ph.zkr_predm = bp.zkr_predm
                      CONNECT BY PRIOR ph.prac_zkr_pred = ph.prac_zkr
                             AND PRIOR ph.zkr_predm_pred = ph.zkr_predm)
          AND z.os_cislo = snor.os_cislo
          AND s.rok_platnosti LIKE :par_rok_sk
          AND s.os_cislo LIKE UPPER (:p_os_cislo)
         )
     AND (:p_os_cislo = snor.os_cislo)
GROUP BY '2',
         snor.os_cislo,
         NVL (sesp.cz_nazev_modulu, sesp.nazev),
         sesp.min_crd_b_bloku,
         sesp.sespidno
  HAVING sesp.min_crd_b_bloku > NVL (SUM (z.poc_kred), 0)