--Orientacní prehled plnení skupin segmentu
SELECT DISTINCT /*'Orientacní prehled plnení skupin segmentu' moduly_hl,
                'A kred. celk.' a_celkem_hl, 'Zisk' a_zisk_hl,
                'Chybí' a_chybi_hl, 'B kred. celk.' b_celkem_hl,
                'Zisk' b_zisk_hl, 'Chybí' b_chybi_hl,*/
                x.os_cislo, x.oridno,x.stplidno,
                x.a_zisk, x.b_zisk, decode(:lang,'cs',sesp.cz_nazev_modulu,'sk',sesp.cz_nazev_modulu,nvl(sesp.AN_NAZEV_MODULU ,sesp.cz_nazev_modulu)) as nazev_modulu,
                fn_segm_kredity (x.oridno, x.stplidno, 'A') AS a_celkem,
                fn_segm_kredity (x.oridno, x.stplidno, 'B') AS b_celkem
           FROM segmenty_st_planu sesp,
                skupiny_segmentu skse,
                (SELECT   s.os_cislo, skse.oridno, stpl.stplidno,
                          NVL
                             (SUM
                                 (DECODE
                                     (b.statut,
                                      'A', DECODE
                                         (z.uznano,
                                          'A', z.poc_kred,
                                          DECODE (NVL (z.slovni_hodnoceni,
                                                       'N'),
                                                  'S', z.poc_kred,
                                                  DECODE (NVL (ABS (z.znamka),
                                                               4
                                                              ),
                                                          4, 0,
                                                          z.poc_kred
                                                         )
                                                 )
                                         ),
                                      0
                                     )
                                 ),
                              0
                             ) AS a_zisk,
                          NVL
                             (SUM
                                 (DECODE
                                     (b.statut,
                                      'B', DECODE
                                         (z.uznano,
                                          'A', z.poc_kred,
                                          DECODE (NVL (z.slovni_hodnoceni,
                                                       'N'),
                                                  'S', z.poc_kred,
                                                  DECODE (NVL (ABS (z.znamka),
                                                               4
                                                              ),
                                                          4, 0,
                                                          z.poc_kred
                                                         )
                                                 )
                                         ),
                                      0
                                     )
                                 ),
                              0
                             ) AS b_zisk
                     FROM studenti_na_oboru_v_roce snor,
                          studenti_v_roce s,
                          studenti st,
                          bloky_predm bp,
                          bloky b,
                          studijni_plany stpl,
                          poradi_segmentu pose,
                          segmenty_st_planu sesp,
                          zn_jezn_predm z,
                          studijni_programy sp,
                          skupiny_segmentu skse
                    WHERE b.statut IN ('A', 'B')
                      /*AND (   (    .p_kontrola = 'A'
                               AND s.standard_rok >= sp.stand_delka
                              )
                           OR .p_kontrola = 'V'
                          )*/
                      AND s.rok_platnosti = snor.rok_platnosti
                      AND s.os_cislo = snor.os_cislo
                      AND st.os_cislo = s.os_cislo
                      AND sp.stpridno = st.stpridno
                      AND stpl.stplidno = snor.stplidno
                      AND stpl.stplidno = pose.stplidno
                      AND pose.sespidno = sesp.sespidno
                      AND sesp.sespidno = b.sespidno
                      AND b.blokidno = bp.blokidno
                      AND sesp.sespidno = skse.sespidno
                      AND stpl.stplidno = skse.stplidno
                      AND z.rok_platnosti <= :par_rok_sk
                      AND (z.prac_zkr, z.zkr_predm) IN (
                             SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                        FROM pred_hlavicky ph
                                  START WITH ph.prac_zkr = bp.prac_zkr
                                         AND ph.zkr_predm = bp.zkr_predm
                                  CONNECT BY PRIOR ph.prac_zkr_pred =
                                                                   ph.prac_zkr
                                         AND PRIOR ph.zkr_predm_pred =
                                                                  ph.zkr_predm)
                      AND z.os_cislo = snor.os_cislo
                      AND s.rok_platnosti LIKE :par_rok_sk
                      AND s.os_cislo LIKE UPPER (:p_os_cislo)
                 GROUP BY s.os_cislo, skse.oridno, stpl.stplidno) x
          WHERE (x.oridno = skse.oridno AND skse.sespidno = sesp.sespidno)
            AND (:p_os_cislo = x.os_cislo)
       ORDER BY 1 ASC,
                2 ASC,
                7 ASC,
                8 ASC,
                4 ASC,
                5 ASC,
                x.oridno,
                nazev_modulu