SELECT zameidno,
		       osoba,
		       linky,
		       prime,
		       osoba_email,
		       pracoviste,
		       funkce,
		       funkce_sort,
		       typ_funkce,
		       mistnost,
		       ucitidno,
		       TSADMIN.FN_get_opravneni(pracoviste) opravneni
		  FROM
		 (
		 SELECT distinct TSZ.zameidno,
		       decode(TSZ.ucitidno,NULL,NULL, prijmeni||' '||jmeno||decode(U.titul_pred,null,null,', '||tsadmin.fn_meaning(U.titul_pred, 'TITUL_PRED'))||decode(titul_za, NULL, NULL, decode(titul_pred, NULL,', '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA'), ' '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA')))) osoba,
		       TSADMIN.fn_get_pobocky_linky(TSZ.zameidno,TSZ.prac_zkr,TSZ.typ_funkce,TSL.zkr_budovy,TSL.cislo_mist,TSZ.ucitidno) linky,
		       TSADMIN.fn_get_pevne_linky(TSZ.zameidno,TSZ.prac_zkr,TSZ.typ_funkce,TSL.zkr_budovy,TSL.cislo_mist,TSZ.ucitidno) prime,
		       U.email osoba_email,
		       TSZ.prac_zkr pracoviste,
		       nvl(TSZ.popis_funkce,TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE')) funkce,
		       DECODE(TSZ.typ_funkce,NULL,'0','1') funkce_sort,
		       TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE') typ_funkce,
		       u.ucitidno ucitidno,
		       TSL.zkr_budovy||TSL.cislo_mist mistnost
		  FROM TSADMIN.TS_ZAMESTNANCI TSZ,
		       TSADMIN.TS_OSOBY U,
		       TSADMIN.TS_LINKY_ZAMESTNANCE TSLZ,
		       TSADMIN.TS_LINKY TSL
		 WHERE U.ucitidno = TSZ.ucitidno
		   AND TSZ.zameidno = TSLZ.zameidno
		   AND TSLZ.linkidno = TSL.linkidno
		   AND TSL.telefon_AN = 'A'
		   AND TSZ.ucitidno IS NOT NULL
		   AND UPPER(cstoasc(TSZ.prac_zkr)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.jmeno)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.prijmeni)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.email)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(TSL.ZKR_BUDOVY||TSL.cislo_mist)) LIKE UPPER(cstoasc(?))
		 UNION
		 SELECT TSZ.zameidno,
		       decode(TSZ.ucitidno,NULL,NULL, prijmeni||' '||jmeno||decode(U.titul_pred,null,null,', '||tsadmin.fn_meaning(U.titul_pred, 'TITUL_PRED'))||decode(titul_za, NULL, NULL, decode(titul_pred, NULL,', '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA'), ' '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA')))) osoba,
		       TSADMIN.fn_get_pobocky_linky(TSZ.zameidno,TSZ.prac_zkr,TSZ.typ_funkce,TSMS.zkr_budovy,TSMS.cislo_mist,TSZ.ucitidno) linky,
		       TSADMIN.fn_get_pevne_linky(TSZ.zameidno,TSZ.prac_zkr,TSZ.typ_funkce,TSMS.zkr_budovy,TSMS.cislo_mist,TSZ.ucitidno) prime,
		       U.email osoba_email,
		       TSZ.prac_zkr pracoviste,
		       nvl(TSZ.popis_funkce,TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE')) funkce,
		       DECODE(TSZ.typ_funkce,NULL,'0','1') funkce_sort,
		       TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE') typ_funkce,
		       u.ucitidno ucitidno,
		       TSMS.zkr_budovy||TSMS.cislo_mist mistnost
		  FROM TSADMIN.TS_ZAMESTNANCI TSZ,
		       TSADMIN.TS_OSOBY U   ,
		       TSADMIN.TS_MOBILY_NEBO_STATNI TSMS
		 WHERE U.ucitidno = TSZ.ucitidno
		   AND TSZ.zameidno = TSMS.zameidno
		   AND TSZ.ucitidno IS NOT NULL
		   AND (TSMS.telefon_AN = 'A' OR TSMS.mobil_AN = 'A')
		   AND UPPER(cstoasc(TSZ.prac_zkr)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.jmeno)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.prijmeni)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.email)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(TSMS.ZKR_BUDOVY||TSMS.cislo_mist)) LIKE UPPER(cstoasc(?))
		 UNION
		 SELECT TSZ.zameidno,
		       decode(TSZ.ucitidno,NULL,NULL,prijmeni||' '||jmeno||decode(U.titul_pred,null,null,', '||tsadmin.fn_meaning(U.titul_pred, 'TITUL_PRED'))||decode(titul_za, NULL, NULL, decode(titul_pred, NULL,', '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA'), ' '||tsadmin.fn_meaning(U.titul_za, 'TITUL_ZA')))) osoba,
		       NULL linky,
		       NULL prime,
		       U.email osoba_email,
		       TSZ.prac_zkr pracoviste,
		       nvl(TSZ.popis_funkce,TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE')) funkce,
		       DECODE(TSZ.typ_funkce,NULL,'0','1') funkce_sort,
		       TSADMIN.fn_meaning2(TSZ.typ_funkce,'TYP_FUNKCE') typ_funkce,
		       u.ucitidno ucitidno,
		       NULL mistnost
		  FROM TSADMIN.TS_ZAMESTNANCI TSZ,
		       TSADMIN.TS_OSOBY U
		 WHERE U.ucitidno = TSZ.ucitidno
		   AND TSZ.ucitidno IS NOT NULL
		   AND UPPER(cstoasc(TSZ.prac_zkr)) = UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.jmeno)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.prijmeni)) LIKE UPPER(cstoasc(?))
		   AND UPPER(cstoasc(U.email)) LIKE UPPER(cstoasc(?))
		   AND ( ? = '%' )
		   AND NOT EXISTS (SELECT * FROM TSADMIN.TS_MOBILY_NEBO_STATNI TSMS WHERE TSZ.zameidno = TSMS.zameidno)
		   AND NOT EXISTS (SELECT * FROM TSADMIN.TS_LINKY_ZAMESTNANCE TSLZ WHERE TSZ.zameidno = TSLZ.zameidno)
		 ) ORDER BY nlssort(osoba, 'NLS_SORT = XCzech'),
		          nlssort(pracoviste, 'NLS_SORT = XCzech'),
		          funkce_sort,
		          nlssort(mistnost,  'NLS_SORT = XCzech') DESC
 
