select o.prijmeni||' '||o.jmeno||decode(o.TITUL_PRED,null,'',', '||fn_meaning2(o.TITUL_PRED,'TITUL_PRED'))||decode(o.TITUL_ZA,null,'',', '||fn_meaning2(o.TITUL_ZA,'TITUL_ZA')) as student,
       o.prijmeni,o.jmeno,
       fn_email_studenta(s.os_cislo) as email,
       o.TELEFON as telefon_pevna,
       o.MOBIL as telefon_mobil,
       fn_meaning2(o.TITUL_PRED,'TITUL_PRED') as titul_pred,
       fn_meaning2(o.TITUL_ZA,'TITUL_ZA') as titul_za,
       s.os_cislo,
       s.stav as fk_stav,
       sp.fakulta_sp,
       sp.kodsp_i,
       sp.forma as fk_forma,
       sp.typ as fk_typ,
       (SELECT fn_meaning (sp.typ, 'TYP_OBORU') FROM DUAL) as zkr_typ,
       decode(:lang,'cs',fn_meaning2(sp.forma, 'FORMA_OBORU_NEW'),'sk',fn_meaning2(sp.forma, 'FORMA_OBORU_NEW'),nvl(fn_meaning_en(sp.forma, 'FORMA_OBORU_NEW'),fn_meaning2(sp.forma, 'FORMA_OBORU_NEW'))) as forma,
       decode(:lang,'cs',fn_meaning2(s.stav, 'STAV_STUDENTA'),'sk',fn_meaning2(s.stav, 'STAV_STUDENTA'),nvl(fn_meaning_en(s.stav, 'STAV_STUDENTA'),fn_meaning2(s.stav, 'STAV_STUDENTA'))) as stav,
       decode(:lang,'cs',fn_meaning2(sp.typ, 'TYP_OBORU'),'sk',fn_meaning2(sp.typ, 'TYP_OBORU'),nvl(fn_meaning_en(sp.typ, 'TYP_OBORU'),fn_meaning2(sp.typ, 'TYP_OBORU'))) as typ,
       (select  fn_meaning2(svor.misto_vyuky, 'MISTO_VYUKY') from dual) as misto,
       fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    from studenti s, osoby o, studijni_programy sp,studenti_v_roce svor
    where s.UCITIDNO = :ucitidno
      AND s.OS_CISLO like nvl(upper(:os_cislo)||'%','%')
      AND s.STAV like nvl(:stav,'%')
      AND s.OSOBIDNO = o.OSOBIDNO
      AND upper(o.PRIJMENI) like nvl(upper(:prijmeni)||'%','%')
      AND upper(o.JMENO) like nvl(upper(:jmeno)||'%','%')
      AND s.stpridno = sp.stpridno
      AND sp.fakulta_sp LIKE NVL (upper(:fakulta), '%')
      AND s.os_cislo = svor.os_cislo
      and svor.rok_platnosti = fn_rok(s.os_cislo)
    order by NLSSORT(o.prijmeni, 'NLS_SORT = XCZech'),NLSSORT(o.jmeno, 'NLS_SORT = XCZech'),s.os_cislo 