select
	DISTINCT t.prac_zkr||'/'||t.zkr_predm as zkratka,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
	t.prac_zkr as fk_prac_zkr,
	t.zkr_predm as fk_zkr_predm

from
	terminy t,
	pred_varianty p

where
	t.UCITIDNO = :ucitidno
	AND t.prac_zkr like  RTRIM(LTRIM(TRANSLATE(UPPER(nvl(:pracoviste, '%')), '*', '%'),' '),' ')
	AND (t.semestr LIKE RTRIM(LTRIM(TRANSLATE(UPPER(nvl(:semestr, '%')), '*', '%'),' '),' ') OR t.semestr IS NULL)
	and  t.platnost  = 'A'
	and  ((trunc(t.datum) > trunc(sysdate)) or (trunc(t.datum) = trunc(sysdate))
@IF(0) AND (to_char(t.hod_od,'HH24:MI') >  '0:00'))
@IFNOT(0) AND (to_char(t.hod_od,'HH24:MI') >  (to_char(sysdate ,'HH24:MI'))))
	AND p.ZKR_PREDM = t.ZKR_PREDM
	AND p.PRAC_ZKR = t.PRAC_ZKR
	AND p.ROK_VARIANTY = t.ROK_PLATNOSTI
		
order by
	t.prac_zkr,
	t.zkr_predm