select distinct t2.termidno pk_termidno,
				          t2.datum as datum,					
				 		   t2.hod_od hod_od, 
						   to_char(t2.hod_od,'HH24:MI') od_char,
				 		   t2.hod_do hod_do, 		
				         t2.zkr_budovy||'-'||t2.cislo_mist mistnost,
				         m.prac_zkr as mistnost_prac,
				         m.kapacita as mistnost_kapacita,
				         m.spol_fond as mistnost_spol_fond,
				         t2.prac_zkr fk_prac_zkr,
				         t2.zkr_predm fk_zkr_predm,
				         t2.rok_platnosti,
				         t2.semestr semestr,	
				         t2.obsazeni_terminu obsaz_termin,
				         t2.limit_terminu plan_termin,
				         t2.platnost platnost, 
				         t2.opravny_termin opravny_termin,
				         decode(:lang,'cs',fn_meaning2(t2.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t2.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t2.opravny_termin,'TERMINY_KDO'),fn_meaning2(t2.opravny_termin,'TERMINY_KDO'))) kdo_slovne,
				         fn_meaning2(t2.typ_terminu,'TYP_TERMINU') typ_terminu_slovne, 
				         fn_get_ucitel(t2.UCITIDNO) ucitel,  
				         t2.poznamka poznamka, 
				         t2.blok_datum_prihlaseni blok_datum_prihlaseni, 
				         t2.blok_datum blok_datum_odhlaseni, 
				         t2.datum_start datum_start, 
						   t2.owner vlastnik, 
				         n.celk_plan celk_plan, 
				         n.celk_obsazeni celk_obsazeni, 
				         g2.grupa_plan grupa_plan, 
				         g2.grupa_obsazeni grupa_obsazeni, 								
				         t2.grteidno fk_grteidno, 
				         g2.nateidno fk_nateidno,
				         CASE WHEN (trunc(t2.datum) < trunc(sysdate)) THEN to_char(1) 
				              WHEN ( 
				                     (trunc(t2.datum) = trunc(sysdate)) 
				                     AND 
				                     (to_char(t2.hod_od,'HH24:MI') < to_char(sysdate,'HH24:MI')) 
				                   ) THEN to_char(1) 
				              ELSE to_char(0) 
				         END prosly_termin, 
				         CASE WHEN ((select count(tt.termidno) 
				                      from terminy  tt 
				                        where tt.grteidno = t2.grteidno 
										    group by tt.grteidno) = 3
				                   ) then to_char(1)
				              ELSE to_char(0) 
				         END plna_grupa,				 
				         CASE WHEN ( :userRole = 'VY') THEN
						   			decode(pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_TERMINY',t2.prac_zkr),'A',decode(up.ucitidno, NULL, decode(upper(t2.owner), upper(:userr), 1,0), 1),0)
						      ELSE
						   			decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t2.prac_zkr),'N'),'N',1,decode(t2.prac_zkr,:userKatedra,1,decode(upper(t2.owner), upper(:userr), 1,0)))
						 END ma_pravo,
						 CASE WHEN (:userRole = 'VY') THEN
						            decode(t2.UCITIDNO,:userIdno,1,decode(upper(t2.owner), upper(:userr), 1,0))
						      ELSE
						   			decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t2.prac_zkr),'N'),'N',1,decode(t2.prac_zkr,:userKatedra,1,decode(upper(t2.owner), upper(:userr), 1,0)))
						 END ma_pravo_poslat_email,
						 CASE WHEN ((select rok_platnosti from kalendar where datum = trunc(sysdate)) > t2.rok_platnosti /*|| pg_cti_parametry.CTI_DATUM_KAT('KONEC_ZKOUSENI',t2.prac_zkr) < sysdate*/) THEN
						    0
						 ELSE
						    decode(:userRole,'VY',decode(pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_TERMINY',t2.prac_zkr),'A',1,0),decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t2.prac_zkr),'N'),'N',1,decode(t2.prac_zkr,:userKatedra,1,decode(upper(t2.owner), upper(:userr), 1,0))))
						 END ma_pravo_kopie
				  from terminy t1, terminy t2, grupy_terminu g1, grupy_terminu g2, nadgrupy_terminu n, ucitele_predmetu up,mistnosti m
				  where 
				    t1.grteidno is not null 				
				    and t1.prac_zkr like upper(:katedra)
				    and t1.zkr_predm like  upper(:predmet)
				    and decode(:ucitidno, 0, '%', t1.ucitidno) = decode(:ucitidno, 0, '%', :ucitidno)
				    and ( 
				          (to_char(t1.date_of_insert, 'DD.MM.RRRR') like :dnesni)
				          or 
				          (trunc(t1.date_of_insert) = trunc(sysdate)) 
				        ) 
				    and ( 
				          ( 
				            ( NVL(:stare, '0') = '1' )
				          )
				          or
				            ( 
				              (trunc(t1.datum) > trunc(sysdate)) 
				              or 
				              ( 
				                (trunc(t1.datum) = trunc(sysdate)) 
				                and 
				                (to_char(t1.hod_od,'HH24:MI') > to_char(sysdate,'HH24:MI')) 
				              ) 
				            )
				          )
				    and t1.rok_platnosti = :rokPlatnosti
				    and t1.grteidno = g1.grteidno 
				    and g1.nateidno = n.nateidno 	
				    and g2.nateidno = n.nateidno			
				    and t2.grteidno = g2.grteidno 
					  and t2.prac_zkr = up.prac_zkr (+) 
					  and t2.zkr_predm = up.zkr_predm (+) 
				    and t2.rok_platnosti = up.rok_varianty (+) 
					  and up.ucitidno (+) = :userIdno
					and m.zkr_budovy = t1.zkr_budovy
					and m.cislo_mist = t1.cislo_mist
union
				  select t.termidno pk_termidno, 
				         t.datum as datum,
				 		   t.hod_od hod_od, 				
						   to_char(t.hod_od,'HH24:MI') od_char, 
				 		   t.hod_do hod_do, 
				        t.zkr_budovy||'-'||t.cislo_mist mistnost,
				        m.prac_zkr as mistnost_prac,
				         m.kapacita as mistnost_kapacita,
				         m.spol_fond as mistnost_spol_fond,
				         t.prac_zkr fk_prac_zkr, 	
				         t.zkr_predm fk_zkr_predm,
				         t.rok_platnosti,
				         t.semestr semestr, 
				         t.obsazeni_terminu obsaz_termin, 
				         t.limit_terminu plan_termin, 	
				         t.platnost platnost, 	
				         t.opravny_termin opravny_termin,
				         decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) kdo_slovne,
				         fn_meaning2(t.typ_terminu,'TYP_TERMINU') typ_terminu_slovne, 
				         fn_get_ucitel(t.UCITIDNO) ucitel, 	
				         t.poznamka poznamka, 	
				         t.blok_datum_prihlaseni blok_datum_prihlaseni, 
				         t.blok_datum blok_datum_odhlaseni, 
				         t.datum_start datum_start, 
						   t.owner vlastnik, 				
				         to_number(null) celk_plan, 
						   to_number(null) celk_obsazeni, 
				         to_number(null) grupa_plan, 
						   to_number(null) grupa_obsazeni, 
				
						   t.grteidno fk_grteidno,	
				         to_number(null) fk_nateidno,
				         CASE WHEN (trunc(t.datum) < trunc(sysdate)) THEN to_char(1) 
				              WHEN ( 
				                     (trunc(t.datum) = trunc(sysdate)) 
				                     AND 
				                     (to_char(t.hod_od,'HH24:MI') < to_char(sysdate,'HH24:MI')) 
				                   ) THEN to_char(1) 
				              ELSE to_char(0) 
				         END prosly_termin, 
						   to_char(0) plna_grupa, 
				 		 CASE WHEN (:userRole = 'VY') THEN
						   			decode(pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_TERMINY',t.prac_zkr),'A',decode(up.ucitidno, NULL, decode(upper(t.owner), upper(:userr), 1,0), 1),0)
						      ELSE
						   			decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t.prac_zkr),'N'),'N',1,decode(t.prac_zkr,:userKatedra,1,decode(upper(t.owner), upper(:userr), 1,0)))
						 END ma_pravo,
						 CASE WHEN (:userRole = 'VY') THEN
						            decode(t.UCITIDNO,:userIdno,1,decode(upper(t.owner), upper(:userr), 1,0))
						      ELSE
						   			decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t.prac_zkr),'N'),'N',1,decode(t.prac_zkr,:userKatedra,1,decode(upper(t.owner), upper(:userr), 1,0)))
						 END ma_pravo_poslat_email,
						 CASE WHEN ((select rok_platnosti from kalendar where datum = trunc(sysdate)) > t.rok_platnosti /*|| pg_cti_parametry.CTI_DATUM_KAT('KONEC_ZKOUSENI',t.prac_zkr) < sysdate*/) THEN
						    0
						 ELSE
						    decode(:userRole,'VY',decode(pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_TERMINY',t.prac_zkr),'A',1,0),decode(NVL(PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('KATEDRA_TERMINY_JEN_PRAC',t.prac_zkr),'N'),'N',1,decode(t.prac_zkr,:userKatedra,1,decode(upper(t.owner), upper(:userr), 1,0))))
						 END ma_pravo_kopie
				  from terminy t, ucitele_predmetu up,mistnosti m
				  where 
				    t.grteidno is null
				    and t.prac_zkr like upper(:katedra)
				    and t.zkr_predm like  upper(:predmet)
				    and decode(:ucitidno, 0, '%', t.ucitidno) = decode(:ucitidno, 0, '%', :ucitidno)
				    and ( 
				          (to_char(t.date_of_insert, 'DD.MM.RRRR') like :dnesni)
				          or 
				          (trunc(t.date_of_insert) = trunc(sysdate)) 
				        ) 
				    and ( 
				          ( 
				            ( NVL(:stare, '0') = '1' )
				          )
				          or
				            ( 
				              (trunc(t.datum) > trunc(sysdate)) 
				              or 
				              ( 
				                (trunc(t.datum) = trunc(sysdate)) 
				                and 
				                (to_char(t.hod_od,'HH24:MI') > to_char(sysdate,'HH24:MI')) 
				              ) 
				            )
				          )
				    and t.rok_platnosti = :rokPlatnosti
				    and t.prac_zkr = up.prac_zkr (+) 
					  and t.zkr_predm = up.zkr_predm (+) 
				    and t.rok_platnosti = up.rok_varianty (+) 
					  and up.ucitidno (+) = :userIdno
					and m.zkr_budovy = t.zkr_budovy
					and m.cislo_mist = t.cislo_mist
				    ORDER BY datum ASC, od_char ASC, fk_nateidno, fk_grteidno