SELECT
	a.zkr_budovy pk_zkr_budovy,
	a.cislo_mist pk_cislo_mist,
	a.kapacita kapacita,
	a.PRAC_ZKR,
	c.rv_meaning typ,
	decode(a.spol_fond, 'A', '*',null) fond
 FROM mistnosti a,mistnosti b, inventar_mistnosti v, cg_ref_codes c
WHERE c.rv_low_value = a.typ
  AND c.rv_domain = 'TYP_UCEB'
  AND a.zkr_budovy = b.zkr_budovy
  --and a.UZAVRENA = 'N'
  and nvl(a.v_provozu_od,sysdate-1) <= sysdate
  and nvl(a.v_provozu_do,sysdate+1) > sysdate
  and upper(b.zkr_budovy||b.cislo_mist) = upper(:mistnost)
  AND a.zkr_budovy||a.cislo_mist = v.zkr_budovy(+)||v.cislo_mist(+)
  AND not exists (
		SELECT c.capridno
		  FROM casoprostor c
		 WHERE (c.datum >= to_date(:datum,'DD.MM.RRRR') AND (c.datum < to_date(:datum,'DD.MM.RRRR')+1))
			AND ((to_char(c.skut_hod_od,'HH24:MI') >= :casOd and to_char(c.skut_hod_od,'HH24:MI') < :casDo)
				OR (to_char(c.skut_hod_do,'HH24:MI') > :casOd and to_char(c.skut_hod_do,'HH24:MI') <= :casDo)
				OR (:casOd >= to_char(c.skut_hod_od,'HH24:MI') and :casOd < to_char(c.skut_hod_do,'HH24:MI'))
				OR (:casDo > to_char(c.skut_hod_od,'HH24:MI') and :casDo <= to_char(c.skut_hod_do,'HH24:MI'))
			)
			--AND upper(c.zkr_budovy||c.cislo_mist) = upper(:mistnost)
			AND a.CISLO_MIST = c.cislo_mist
			AND ( (c.rezervovano is null)
				or not ((:role in ('FA','KA')
				and
				( c.rezervovano IN (
				select distinct t.prac_zkr prac_zkr
				  from terminy t, grupy_terminu g
				 where t.GRTEIDNO = g.GRTEIDNO
				   and g.NATEIDNO = :nateidno
				)
				)
				)
				or
				(:ucitidno in (SELECT ucitidno
				FROM povoleni_vyuc pv
				WHERE pv.jedaidno=c.jedaidno)
				)
				)
				)
				)
order by pk_zkr_budovy||pk_cislo_mist