select x.*,
       m.kapacita kapacita,
       fn_meaning2(m.typ,'TYP_UCEB'),
       decode(m.spol_fond, 'A', '*',null) fond,
       m.PRAC_ZKR
from (
    select
        a.zkr_budovy pk_zkr_budovy,
        a.cislo_mist pk_cislo_mist
    from  mistnosti a, mistnosti b
    where a.zkr_budovy = b.zkr_budovy
    and upper(b.zkr_budovy||b.cislo_mist) = upper(:mistnost)
    minus
    select zkr_budovy, cislo_mist from casoprostor c
                 where (c.datum >= to_date(:datum,'DD.MM.RRRR') AND (c.datum < to_date(:datum,'DD.MM.RRRR')+1))
                   and ((to_char(c.skut_hod_od,'HH24:MI') >= :casOd and to_char(c.skut_hod_od,'HH24:MI') < :casDo)
                        or (to_char(c.skut_hod_do,'HH24:MI') > :casOd and to_char(c.skut_hod_do,'HH24:MI') <= :casDo)
                        or (:casOd >= to_char(c.skut_hod_od,'HH24:MI') and :casOd < to_char(c.skut_hod_do,'HH24:MI'))
                        or (:casDo > to_char(c.skut_hod_od,'HH24:MI') and :casDo <= to_char(c.skut_hod_do,'HH24:MI')))
                   and ((c.rezervovano is null) or not((:role in ('FA','KA') and c.rezervovano= :pracoviste)
                       or
                       (:ucitidno in (select ucitidno from povoleni_vyuc pv where pv.jedaidno=c.jedaidno))) )
   ) x, mistnosti m
   where x.pk_zkr_budovy = m.zkr_budovy
     and x.pk_cislo_mist = m.cislo_mist
     --and m.UZAVRENA = 'N'
     and nvl(m.v_provozu_od,sysdate-1) <= sysdate
     and nvl(m.v_provozu_do,sysdate+1) > sysdate
   order by x.pk_zkr_budovy||x.pk_cislo_mist

/*
select
    a.zkr_budovy pk_zkr_budovy,
    a.cislo_mist pk_cislo_mist,
    a.kapacita kapacita,
    c.rv_meaning typ,
    decode(a.spol_fond, 'A', '*',null) fond
from  mistnosti a,mistnosti b, inventar_mistnosti v, cg_ref_codes c
where  c.rv_low_value = a.typ
    and  c.rv_domain = 'TYP_UCEB'
    AND a.zkr_budovy = b.zkr_budovy
    and upper(b.zkr_budovy||b.cislo_mist) = upper(:mistnost)
    and  a.zkr_budovy||a.cislo_mist = v.zkr_budovy(+)||v.cislo_mist(+)
    and  not exists (
            select c.capridno
              from   casoprostor c
             where c.datum = to_date(:datum,'DD.MM.RRRR')
               and ((to_char(c.skut_hod_od,'HH24:MI') >= :casOd and to_char(c.skut_hod_od,'HH24:MI') < :casDo)
                    or (to_char(c.skut_hod_do,'HH24:MI') > :casOd and to_char(c.skut_hod_do,'HH24:MI') <= :casDo)
                    or (:casOd >= to_char(c.skut_hod_od,'HH24:MI') and :casOd < to_char(c.skut_hod_do,'HH24:MI'))
                    or (:casDo > to_char(c.skut_hod_od,'HH24:MI') and :casDo <= to_char(c.skut_hod_do,'HH24:MI')))
               --AND upper(c.zkr_budovy||c.cislo_mist) = upper(:mistnost)
               and a.CISLO_MIST = c.cislo_mist
               and ((c.rezervovano is null) or not((:role in ('FA','KA') and c.rezervovano= :pracoviste)
                   or
                   (:ucitidno in (select ucitidno from povoleni_vyuc pv where pv.jedaidno=c.jedaidno))) ) )
order by pk_zkr_budovy||pk_cislo_mist
*/
