select
	to_char(X.ucitidno) as low_value,
	(select  fn_get_ucitel(X.ucitidno,'PJ','N') from dual)  as meaning
from (
	select
		distinct nvl(t2.UCITIDNO,t.ucitidno)ucitidno
	from
		TERMINY t,
		terminy t2,
		GRUPY_TERMINU gt,
		GRUPY_TERMINU gt2,
		NADGRUPY_TERMINU ngt
	where
		t.GRTEIDNO=gt.GRTEIDNO(+)
		and  gt.NATEIDNO = ngt.NATEIDNO(+)
		and t.TERMIDNO = :termidno
		and gt2.NATEIDNO(+)= ngt.NATEIDNO
		and t2.GRTEIDNO (+)= gt2.GRTEIDNO) X,
	ucitele u

where
	X.ucitidno = u.ucitidno
	
order by
	nlssort(u.PRIJMENI, 'NLS_SORT = XCzech'), nlssort(u.JMENO, 'NLS_SORT = XCzech') 