SELECT
 ra.roakidno,
 ra.semestr,
 fn_meaning(ra.typakce,'TYP_AKCE') as typakce,
 ra.grupidno,
 ra.ma_nadrazenou,
 ra.je_nadrazena,
 fn_ma_zapis(:os_cislo, ra.rok_platnosti, ra.roakidno) AS ma_zapis,
 fn_ra_pristupna(ra.roakidno,:os_cislo) as pristupna,
 substr(DECODE(:lang, 'cs', cg1.rv_meaning, 'sk', cg1.rv_meaning, NVL(cg1.english, cg1.rv_meaning)),1,2) AS den,
 cg1.poradi as den_poradi,
 ra.tyden, ra.tyden_od, ra.tyden_do, ra.skut_hod_od HOD_SKUT_OD, ra.skut_hod_do HOD_SKUT_DO, ra.hod_vyuc_od, ra.hod_vyuc_do,
 ra.zkr_budovy, ra.cislo_mist,
 ra.plan, ra.obsazeni, ra.kontakt,
 uc.prijmeni AS vyuc_prijmeni,
 ra.poznamka,
 nvl(fn_get_ucitel(uc.ucitidno),'-') vyuc,
 svp.prac_zkr,
 svp.zkr_predm,
 svr.rastidno,
 svr.vybrana
FROM
 rozvrh_akce ra,
 cg_ref_codes cg1,
 ucitele uc,
 studentem_vybrane_RA svr,
 studentem_vybrane_predmety svp
WHERE
 svp.os_cislo = :os_cislo
 and svp.svpridno = svr.svpridno
 and ra.roakidno = svr.roakidno
 and svp.semestr = :semestr
 AND ra.semestr  = svp.semestr
 --    AND ra.platnost = 'A'
 and cg1.rv_domain(+) = 'DEN'
 and cg1.rv_low_value(+) = ra.den
 and ra.ucitidno = uc.ucitidno
ORDER BY
 cg1.poradi,
 ra.hod_vyuc_od,
 ra.hod_vyuc_do
