SELECT decode(PZDP.vyrovnano,'A',6,
            decode(PZDP.stornovano,'A',7,
            decode(greatest(PZDP.datum,trunc(sysdate)),PZDP.datum,1,
            decode(PZDP.castka,PZDP.castka_vyrovnano,2,
			decode(PZDP.castka_vyrovnano,0,3,
			decode(greatest(PZDP.castka,PZDP.castka_vyrovnano),PZDP.castka,4,5)))))) stav,
       PZP.ucet_pred||decode(PZP.ucet_pred,NULL,NULL,'-')||PZP.ucet_za||decode(PZP.ucet_za,NULL,NULL,'/')||PZP.ucet_banka na_ucet,
       to_char(PZDP.datum,'dd.mm.rrrr') datum,
       PZDP.castka,
       PZDP.castka_vyrovnano,
       PZD.var_symbol,
       PZD.spec_symbol,
       decode(:lang, 'cs', fn_meaning2(PZP.DRUH_PREDPISU,'PLATBA_DRUH_PREDPISU'),
         'sk', fn_meaning2(PZP.DRUH_PREDPISU,'PLATBA_DRUH_PREDPISU'),
         nvl( fn_meaning_en(PZP.DRUH_PREDPISU,'PLATBA_DRUH_PREDPISU'), fn_meaning2(PZP.DRUH_PREDPISU,'PLATBA_DRUH_PREDPISU'))) nazev,
       pzp.nazev pzp_nazev,
       pzp.stredisko pzp_stredisko,
       pzp.zakazka pzp_zakazka,
       pzp.cinnost pzp_cinnost
  FROM pz_doklady PZD,
       pz_predpisy PZP,
       pz_doklady_platby PZDP
 WHERE PZP.predpis_idno = PZD.predpis_idno
   AND PZD.doklad_idno = PZDP.doklad_idno
   AND PZP.typ_predpisu = 'P'
   AND upper(PZD.os_cislo) = upper(:os_cislo)
 ORDER BY PZDP.datum desc