SELECT pc.ucpcidno, pc.rok_platnosti, pc.semestr, pc.den, pc.tyden, pc.cas_od, pc.cas_do, pc.typ_omezeni,
  decode(nvl(pc.tyden_od,0), 0, (select min(kal.cislo_tydne) from kalendar kal where kal.rok_platnosti = pc.rok_platnosti and kal.ROZVRH_DEN = pc.den and kal.typ_rozvrh_dne = pc.semestr and (pc.tyden in ('J','K') or pc.tyden = kal.typ_tydne)), pc.tyden_od) tyden_od,
  decode(nvl(pc.tyden_do,0), 0, (select max(kal.cislo_tydne) from kalendar kal where kal.rok_platnosti = pc.rok_platnosti and kal.ROZVRH_DEN = pc.den and kal.typ_rozvrh_dne = pc.semestr and (pc.tyden in ('J','K') or pc.tyden = kal.typ_tydne)), pc.tyden_do) tyden_do,
  pc.tyden_do,
  pc.poznamka, pc.ucitidno, pc.akceptovano, pc.autorizovano,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = pc.rok_platnosti and kal.ROZVRH_DEN = pc.den and kal.typ_rozvrh_dne = pc.semestr and kal.cislo_tydne >= decode(nvl(pc.tyden_od, 0), 0, 0, pc.tyden_od) and (pc.tyden in ('J','K') or pc.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = pc.rok_platnosti and kal.ROZVRH_DEN = pc.den and kal.typ_rozvrh_dne = pc.semestr and kal.cislo_tydne <= decode(nvl(pc.tyden_do, 0), 0, 99, pc.tyden_od) and (pc.tyden in ('J','K') or pc.tyden = kal.typ_tydne)) as datum_do
from
  UC_POZADOVANE_CASY pc,
  ucitele u
where
  pc.rok_platnosti = :rokPlatnosti
  and pc.semestr = :semestr
  and pc.ucitIdno = :ucitIdno
  and pc.ucitidno = u.ucitidno
  and pc.den like nvl(:den, '%')
@IF(0)  and pc.typ_omezeni = :typOmezeni
order by
  pc.den,
  pc.cas_od,
  pc.tyden_od