SELECT c.*,
  case
    when obsadil = 'R' then (select ra.typakce||': '||ra.prac_zkr||'/'||ra.zkr_predm from rozvrh_akce ra where ra.roakidno = c.ROAKIDNO)
    else null
  end as additional_info
FROM   CASOPROSTOR c
WHERE
    c.DATUM >= :datumOd
and c.datum <= :datumDo
AND c.zkr_budovy = :zkrBudovy
AND c.cislo_mist = :cisloMistnosti
and c.obsadil <> 'B'
ORDER BY c.datum, TO_CHAR(c.skut_hod_od,'HH24:MI')