SELECT c.*,
  case
    when obsadil = 'R' then (select ra.typakce||': '||ra.prac_zkr||'/'||ra.zkr_predm from rozvrh_akce ra where ra.roakidno = c.ROAKIDNO)
    else null
  end as additional_info
FROM   CASOPROSTOR c, mistnosti m
WHERE
    c.DATUM >= :datumOd
and c.datum <= :datumDo
AND m.zkr_budovy||'-'||m.cislo_mist in ( :celeMistnosti )
and c.zkr_budovy = m.zkr_budovy
and c.cislo_mist = m.cislo_mist
and c.obsadil <> 'B'
ORDER BY c.zkr_budovy, c.cislo_mist, c.datum, TO_CHAR(c.skut_hod_od,'HH24:MI')