select ra.roakidno, dm.dmraidno, ra.prac_zkr, ra.zkr_predm, ra.rok_varianty, ra.semestr, dm.typ_akce, dm.lokalita,
  dm.zkr_budovy, dm.typ_mist, dm.cislo_mist, dm.autorizovano, dm.akceptovano, dm.poznamka,
  'ID:'||dm.roakidno identifikator from dop_mist_pro_ra dm, rozvrh_akce ra
where
  ra.roakidno in (:roakIdno)
  and dm.roakidno = ra.roakidno
union
select null roakidno, dm.dmraidno, dm.prac_zkr, dm.zkr_predm, dm.rok_varianty, dm.semestr, dm.typ_akce, dm.lokalita,
  dm.zkr_budovy, dm.typ_mist, dm.cislo_mist, dm.autorizovano, dm.akceptovano, dm.poznamka,
  'ID:X,'||dm.prac_zkr||'-'||dm.zkr_predm identifikator from dop_mist_pro_ra dm, rozvrh_akce ra
where
  ra.roakidno in (:roakIdno)
  and dm.prac_zkr = ra.prac_zkr
  and dm.zkr_predm = ra.zkr_predm
  and dm.rok_varianty = ra.rok_varianty
  and dm.semestr = ra.semestr
order by
  roakidno nulls first, prac_zkr, zkr_predm, typ_akce, lokalita, zkr_budovy, typ_mist, cislo_mist