SELECT DISTINCT RA.PRAC_ZKR, RA.ZKR_PREDM, PS.STPLIDNO STPLIDNO, BL.STATUT STATUT, BP.DOPORROC DOPORROC, BP.DOPORSEM DOPORSEM
  FROM
       poradi_segmentu PS,
       segmenty_st_planu SSP,
       bloky BL,
       bloky_predm BP,
       rozvrh_akce ra
 WHERE
   RA.roakidno in ( :roakIdno )
   AND BP.PRAC_ZKR = RA.PRAC_ZKR
   AND BP.ZKR_PREDM = RA.ZKR_PREDM
   AND BP.rok_varianty = :rokPlatnosti
   AND PS.SESPIDNO = SSP.SESPIDNO
   AND SSP.SESPIDNO = BL.SESPIDNO
   AND BL.BLOKIDNO = BP.BLOKIDNO
   AND SSP.ROK_PLATNOSTI = :rokPlatnosti
   AND BL.ROK_PLATNOSTI = :rokPlatnosti
ORDER BY RA.PRAC_ZKR, RA.ZKR_PREDM