select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
  ra.*, decode(ra.den, 'Po', 1, 'Út', 2, 'St', 3, 'Ct', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8) den_poradi from rozvrh_akce ra
where
   ra.rok_platnosti = :rokPlatnosti
   AND RA.prac_zkr LIKE nvl(:pracZkr, '%')
   AND RA.prac_zkr IN (SELECT zkr FROM cis_PRACOVIST WHERE nad_prac_zkr LIKE nvl(:fakulta, '%'))
   AND RA.owner LIKE :owner
   and RA.semestr = :semestr
order by ra.prac_zkr, ra.zkr_predm, den_poradi, ra.hod_vyuc_od, ra.hod_vyuc_do
) x
where rownum <= nvl(:itemDo,51)) y
where y.poradi >= nvl(:itemOd,0)