select ra.*, decode(ra.den, 'Po', 1, 'Út', 2, 'St', 3, 'Ct', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8) den_poradi from rozvrh_akce ra, kalendar kal, krouzek_akce ka
where
  kal.ROK_PLATNOSTI = :rokPlatnosti
  and kal.DATUM = :datumDate
  and kal.ROZVRH_DEN = ra.den
  and ra.PLATNOST <> 'Z'
  and (ra.TYDEN = 'J' OR ra.TYDEN = 'K' or ra.TYDEN = kal.TYP_TYDNE)
  and kal.CISLO_TYDNE >= ra.TYDEN_OD
  and kal.CISLO_TYDNE <= ra.TYDEN_DO
  and ra.rok_platnosti = :rokPlatnosti
  and ra.semestr = :semestr
  and ra.roakidno = ka.roakidno
  and ka.kod in ( :krouzky )