select ZN.prac_zkr as "PRAC_ZKR",
       ZN.ZKR_PREDM as "ZKR_PREDM",
       ZN.ROK_VARIANTY as "ROK_VARIANTY",
       ZN.SEMESTR as "SEMESTR",
       decode(zn.date_of_insert,zn.date_of_update,'N','A') as zmena_hodnoceni,
       pv.PREDZ_ZA as "MA_ZP_PRED_ZK",
       ZN.os_cislo as "OS_CISLO",
       zn.uznano as "UZNANO",
       (select Fn_nespl_podm(zn.os_cislo, zn.prac_zkr, zn.zkr_predm) from dual) as nesplnene_prerekvizity,
       ZN.UCITIDNO as "ZKOUSKA_UCITIDNO",
       FN_GET_UCITEL(ZN.UCITIDNO,'PJ','N') as "ZKOUSKA_UCITEL",
       FN_GET_UCITEL(ZN.UCITIDNO,'PJ','A') as "ZKOUSKA_UCITEL_TIT",
       OS.prijmeni as "PRIJMENI",
       OS.jmeno as "JMENO",
       (SELECT fn_meaning(OS.titul_pred,'TITUL_PRED') FROM dual)||decode(OS.titul_pred,NULL,NULL,', ')||(SELECT fn_meaning(OS.titul_za,'TITUL_ZA') FROM dual) as "TITUL",
       OS.PRIJMENI||' '||OS.JMENO||decode(OS.titul_pred,NULL,NULL,', ')||(SELECT fn_meaning(OS.titul_pred,'TITUL_PRED') FROM dual)|| decode(OS.titul_za,NULL,NULL,', ')|| (SELECT fn_meaning(OS.titul_za,'TITUL_ZA') FROM dual) as student,
       ZN.HODNOCENI_ZK as "ZKOUSKA_TYP_HODNOCENI",
       ZN.DATUM as "ZKOUSKA_DATUM",
       decode(ZN.hodnoceni_zk,1,''||ZN.znamka,ZN.SLOVNI_HODNOCENI) as "ZKOUSKA_HODNOCENI",
       ZN.POKUS_CISLO as "ZKOUSKA_POKUS",
       ZN.ZAPOCET_DATUM as "ZAPOCET_DATUM",
       ZN.ZAPOCET_SLOVNI_HODNOCENI as "ZAPOCET_HODNOCENI",
       ZN.ZAPOCET_POKUS as "ZAPOCET_POKUS",
       ZN.ZAPOCET_UCITIDNO as "ZAPOCET_UCITIDNO",
       FN_GET_UCITEL(ZN.ZAPOCET_UCITIDNO,'PJ','N') as "ZAPOCET_UCITEL",
       FN_GET_UCITEL(ZN.ZAPOCET_UCITIDNO,'PJ','A') as "ZAPOCET_UCITEL_TIT",
       ZN.JAZYK as "JAZYK",
       /*decode((SELECT count(*) FROM vpredmety_pristup VPP WHERE nvl(VPP.ZKOUSKA_NEBO_ZP_PRED_ZK,'ZppZk') = 'ZppZk' AND VPP.PRAC_ZKR = ZN.PRAC_ZKR AND VPP.ZKR_PREDM = ZN.ZKR_PREDM AND VPP.ROK_VARIANTY = ZN.ROK_VARIANTY AND nvl(VPP.SEMESTR,ZN.SEMESTR) = ZN.SEMESTR
        AND (VPP.roakidno IS NULL*/
        /*OR (VPP.roakidno IS NOT NULL AND VPP.roakidno in (SELECT ZA.roakidno FROM zapisy ZA WHERE ZA.os_cislo = ZN.os_cislo AND ZA.prac_zkr = ZN.prac_zkr AND ZA.zkr_predm = ZN.zkr_predm AND ZA.rok_varianty = ZN.rok_varianty AND ZA.semestr = ZN.semestr))*//*)),0,'N','A')*/
        decode(idt2.id_role,'VY',FN_UCITEL_PRISTUP_ZP_PRED_ZK(ZN.prac_zkr, ZN.ZKR_PREDM, ZN.ROK_VARIANTY, ZN.SEMESTR, ZN.os_cislo,idt2.ucitidno),'KA',decode(idt2.id_katedra,ZN.prac_zkr,'A','N'),'A') as zapocet_hodnotit,

       /*decode((SELECT count(*) FROM vpredmety_pristup VPP WHERE nvl(VPP.ZKOUSKA_NEBO_ZP_PRED_ZK,'Zk') = 'Zk' AND VPP.PRAC_ZKR = ZN.PRAC_ZKR AND VPP.ZKR_PREDM = ZN.ZKR_PREDM AND VPP.ROK_VARIANTY = ZN.ROK_VARIANTY AND nvl(VPP.SEMESTR,ZN.SEMESTR) = ZN.SEMESTR
        AND (VPP.roakidno IS NULL*/
        /*OR (VPP.roakidno IS NOT NULL AND VPP.roakidno in (SELECT ZA.roakidno FROM zapisy ZA WHERE ZA.os_cislo = ZN.os_cislo AND ZA.prac_zkr = ZN.prac_zkr AND ZA.zkr_predm = ZN.zkr_predm AND ZA.rok_varianty = ZN.rok_varianty AND ZA.semestr = ZN.semestr))*//*)),0,'N','A')*/
        decode(idt2.id_role,'VY',FN_UCITEL_PRISTUP_ZKOUSKA(ZN.prac_zkr, ZN.ZKR_PREDM, ZN.ROK_VARIANTY, ZN.SEMESTR, ZN.os_cislo,idt2.ucitidno),'KA',decode(idt2.id_katedra,ZN.prac_zkr,'A','N'),'A') as zkouska_hodnotit,
       svr.DAT_UKON,
       svr.UKONCENI,
       nvl((select pg_cti_parametry.CTI_RETEZEC_KAT('ZADAT_ZP_PRED_ZK',zn.prac_zkr) from dual),'N') as ZADAT_ZP_PRED_ZK,
       (select fn_meaning3(svr.UKONCENI,'UKONCENI_NEW') from dual) as skupina_ukonceni,
       (select fn_meaning2(svr.UKONCENI,'UKONCENI_NEW') from dual) as ukonceni_slovne,
       (select Fn_deadline_zapisu_znamek(zn.rok_platnosti,ZN.prac_zkr) from dual) as deadline_zapisu_znamek,
       case
            when pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr) is null
                then '-1'
            when zn.datum is null
                then '0'
            when (select Fn_deadline_zapisu_znamek(zn.rok_platnosti,ZN.prac_zkr) from dual) = 'A'
                then '6'
            when (zn.pokus_cislo < nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr),3) AND nvl(pg_cti_parametry.CTI_RETEZEC_KAT('DEADLINE_ZNAMKY_NEABSOLVOVANE',zn.prac_zkr),'N') = 'A' AND decode(ZN.hodnoceni_zk,'1',fn_meaning_en(ZN.znamka,'ZNAMKA'),ZN.SLOVNI_HODNOCENI) = 'N')
                then '5'    
            when trunc(sysdate - zn.datum) < (pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)/3)
                then '1'
            when trunc(sysdate - zn.datum) < ((pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)/3)*2)
                then '2'
            when trunc(sysdate - zn.datum) < pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)
                then '3'
            when trunc(sysdate - zn.datum) >= pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)
                then '4'
        end as plovouciDeadlineZkouska,
        case
            when pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr) is null
                then '-1'
            when zn.zapocet_datum is null
                then '0'
            when (select Fn_deadline_zapisu_znamek(zn.rok_platnosti,ZN.prac_zkr) from dual) = 'A'
                then '6'    
            when (zn.zapocet_pokus < nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr),3) AND nvl(pg_cti_parametry.CTI_RETEZEC_KAT('DEADLINE_ZNAMKY_NEABSOLVOVANE',zn.prac_zkr),'N') = 'A' AND ZN.ZAPOCET_SLOVNI_HODNOCENI = 'N')
                then '5'
            when trunc(sysdate - zn.zapocet_datum) < (pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)/3)
                then '1'
            when trunc(sysdate - zn.zapocet_datum) < ((pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)/3)*2)
                then '2'
            when trunc(sysdate - zn.zapocet_datum) < pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)
                then '3'
            when trunc(sysdate - zn.zapocet_datum) >= pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',zn.prac_zkr)
                then '4'
        end as plovouciDeadlineZppZk
  FROM vznamky_ucit ZN,
       studenti ST,
       studenti_v_roce svr,
       vosoby OS,
       pred_varianty pv,
       id_table2 idt2
 WHERE ZN.prac_zkr = :par_prac_zkr
   AND ZN.zkr_predm = :par_zkr_predm
   AND ZN.rok_platnosti = :par_rok_varianty
@IF(5)   AND ZN.os_cislo in (select os_cislo from studenti_na_zkouskach snz where snz.termidno = :par_termidno)
   AND ZN.rok_varianty = ZN.rok_platnosti
   AND ZN.SEMESTR = nvl(:par_semestr,ZN.SEMESTR)
   AND ZN.uznano = 'N'
   and pv.prac_zkr = zn.prac_zkr
   and pv.zkr_predm = zn.zkr_predm
   and pv.rok_varianty = zn.rok_varianty
   AND ZN.os_cislo = ST.os_cislo
   AND ST.osobidno = OS.osobidno
   and svr.OS_CISLO = ZN.os_cislo
   and svr.ROK_PLATNOSTI = zn.rok_platnosti
   and idt2.ID_NAME = USER
   and (:par_cast_prijmeni is null OR os.prijmeni like upper(:par_cast_prijmeni)||'%')
   and (:par_cast_os_cisla is null OR st.os_cislo like '%'||upper(:par_cast_os_cisla)||'%')
   and (:par_hodnoceni is null OR zn.znamka = :par_hodnoceni OR zn.slovni_hodnoceni = :par_hodnoceni)
@IF(0)  and ((ZN.znamka is null OR (select fn_meaning_en(ZN.znamka,'ZNAMKA') from dual) = 'N') AND ZN.slovni_hodnoceni is null OR (select fn_meaning_en(ZN.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual) = 'N' )
@IF(1)  and ((ZN.znamka is null OR (select fn_meaning_en(ZN.znamka,'ZNAMKA') from dual) = 'N') AND ZN.slovni_hodnoceni is null OR (select fn_meaning_en(ZN.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual) = 'N' ) and (ZN.ZAPOCET_SLOVNI_HODNOCENI is null OR (select fn_meaning_en(ZN.ZAPOCET_SLOVNI_HODNOCENI,'SLOVNI_HODNOCENI') from dual) = 'N' )
@IF(2)  and (ZN.ZAPOCET_SLOVNI_HODNOCENI is null OR (select fn_meaning_en(ZN.ZAPOCET_SLOVNI_HODNOCENI,'SLOVNI_HODNOCENI') from dual) = 'N' )
@IF(3)  and (((ZN.znamka is null OR (select fn_meaning_en(ZN.znamka,'ZNAMKA') from dual) = 'N') AND ZN.slovni_hodnoceni is null OR (select fn_meaning_en(ZN.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual) = 'N' ) OR (ZN.ZAPOCET_SLOVNI_HODNOCENI is null OR (select fn_meaning_en(ZN.ZAPOCET_SLOVNI_HODNOCENI,'SLOVNI_HODNOCENI') from dual) = 'N' ))
@IF(4)  order by nlssort(OS.prijmeni, 'NLS_SORT = XCzech'), nlssort(OS.jmeno, 'NLS_SORT = XCzech'), ZN.os_cislo
@IFNOT(4)  order by ZN.os_cislo, nlssort(OS.prijmeni, 'NLS_SORT = XCzech'), nlssort(OS.jmeno, 'NLS_SORT = XCzech')