 /* pripominky, vstup dotaidno, prac_zkr, zkr_predm, rok_varianty, roakidno  */
 select
	null os_cislo,
	null student,
	ro.reobidno reobidno,
	null pripidno,
	ro.pripominka,
	er.KOMENTAR,
	ro.zverejneno,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel
 -- (select pg_eva.get_merged_reakce(null, ro.reobidno, null) from dual) reakce_na_pripominku
 from
	eva_resp_objekt ro,
	eva_respondenti re,
	eva_reakce er
WHERE
	re.dotaidno = :dotaidno
	and re.username is NULL
	and ro.respidno = re.respidno
	and ro.prac_zkr = :prac_zkr
	and ro.zkr_predm = :zkr_predm
	and ro.rok_varianty like nvl(:rok_varianty,'%')
	and trim(ro.pripominka) is NOT null
	and er.reobidno(+)= ro.reobidno
	and (:roak is null
		or EXISTS
				(select *
				 from
					eva_rozvrh_akce ra
				 where
					ra.roakidno = :roak
					and ra.reobidno = ro.reobidno)
			 )
UNION ALL
select
	pp.username os_cislo,
	fn_get_student(s.osobidno) student,
	null reobidno,
	pp.pripidno,
	pp.pripominka,
	er.KOMENTAR,
	pp.zverejneno,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel
	--(select pg_eva.get_merged_reakce(null, null, pp.pripidno) from dual) reakce_na_pripominku
from
		eva_pripominky pp,
		eva_reakce er,
		studenti s
where
	pp.dotaidno = :dotaidno
	and pp.prac_zkr = :prac_zkr
	and pp.zkr_predm = :zkr_predm
	and pp.rok_varianty like nvl(:rok_varianty,'%')
	and s.os_cislo = pp.username
	and er.pripidno(+)= pp.pripidno
	and (:roak is null
		or EXISTS
				(select *
				 from
					eva_rozvrh_akce ra
				 where
					ra.roakidno = :roak
					and ra.pripidno = pp.pripidno)
			 )
	--order by 1 NULLS LAST
	order by pripidno, reobidno
