	 select
		 ro.PRAC_ZKR,
		 ro.ZKR_PREDM,
		 null os_cislo,
		 null student,
		 ro.reobidno reobidno,
		 null pripidno,
		 ro.pripominka,
		 ro.zverejneno,
		 pg_eva.get_rozvrh_akce(null,ro.REOBIDNO) as vyucujici
	 from
		 eva_resp_objekt ro,
		 eva_respondenti re,
		 cis_pracovist cp
 WHERE
		 re.dotaidno = :dotaidno
		 and re.username is NULL
		 and ro.respidno = re.respidno
		 and ro.PRAC_ZKR = cp.ZKR
		 and (:fakulta is null
				 or
			decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
		 and ( :prac_zkr is null
			 or   cp.zkr like nvl(:prac_zkr,'%') )

		 and trim(ro.pripominka) is NOT null
		 and ro.pripominka like '%'||nvl(:pripominka,'%')||'%'
 UNION ALL
 select
		 pp.PRAC_ZKR,
		 pp.ZKR_PREDM,
		 pp.username os_cislo,
		 fn_get_student(s.osobidno) student,
		 null reobidno,
		 pp.pripidno,
		 pp.pripominka,
		 pp.zverejneno,
		 pg_eva.get_rozvrh_akce(pp.PRIPIDNO,null) as vyucujici
 from
				 eva_pripominky pp,
				 studenti s,
				 cis_pracovist cp
 where
		 pp.dotaidno = :dotaidno
		 and pp.PRAC_ZKR = cp.ZKR
			and (:fakulta is null
				 or
			decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
		 and ( :prac_zkr is null
			 or   cp.zkr like nvl(:prac_zkr,'%') )
		 and s.os_cislo = pp.username
		 and pp.pripominka like '%'||nvl(:pripominka,'%')||'%'
		 --order by 1 NULLS LAST
		 order by prac_zkr,zkr_predm,pripidno, reobidno
