/* vysledky fakulta  - vstup dotaidno, fakulta */

select
  cp.zkr katedra,
  count(so.staoidno) pocet_nabizenych ,
  sum(decode(so.respondentu,0,0,1)) hodnocenych,
  sum(decode(dp.zverejneno,'A',1,0)) zverejnenych
from
  eva_statistiky_objekt so,
  cis_pracovist cp,
  eva_dot_predmet dp
where
  so.dotaidno = :dotaidno 
 and so.statut_zapisu is null 
 and so.roakidno is null 
 and dp.dotaidno = so.dotaidno 
 and dp.prac_zkr = so.prac_zkr 
 and dp.zkr_predm = so.zkr_predm 
 and dp.rok_varianty = so.rok_varianty 
 and cp.zkr = so.prac_zkr
 and decode(cp.typ_prac, 'F',cp.zkr,cp.nad_prac_zkr)= :fakulta         
 group by cp.zkr
 order by katedra
 

 
 
 
