 /* /* dotaidno, tdtvidno, prac_zkr, zkr_predm - vystup seznem rozvrhovek, prumer */
 select
 so.prac_zkr as zkr_kat,
 so.zkr_predm as zkr_pred  ,
 so.rok_varianty,
 so.roakidno,
 dp.dotaidno,
 dp.dopridno,
 so.studentu,
 st.ODPOVEDI as respondentu,
			'akce' as typ_objektu,
			so.rok_varianty as rok,
			st.prumer,
			ra.den,
			ra.hod_vyuc_od,
			ra.hod_vyuc_do,
			ra.hod_vyuc_od ||'-'||    ra.hod_vyuc_do as cas,
			ra.zkr_budovy || '-'|| ra.cislo_mist as mistnost,
			ra.typakce,
			(select fn_get_ucitele_ra(ra.roakidno, 'JP','N') from dual) vyucujici
 from
	eva_dot_predmet dp,
	eva_statistiky_objekt so,
	eva_statistiky_tvrz st,
	rozvrh_akce ra
 where
	dp.dotaidno = :dotaidno
	and dp.prac_zkr = :prac_zkr
	and dp.zkr_predm = :zkr_predm
	and nvl(dp.zverejneno,'N')= 'A'
	and so.dotaidno = dp.dotaidno
	and so.prac_zkr = dp.prac_zkr
	and so.zkr_predm = dp.zkr_predm
	and so.rok_varianty = dp.rok_varianty
	and so.roakidno is not null
	and so.statut_zapisu is null
	and st.staoidno = so.staoidno
	and ra.roakidno = so.roakidno
	and ra.ROK_VARIANTY = so.ROK_VARIANTY
	and (st.tdtvidno is not null
					and st.tdtvidno = :tdtvidno
					or st.doutidno is not null
					and st.doutidno = :doutidno)


