/* vyucovane predmety,  vstup rok, semestr, ucitidno */
select
    'akce' as typ_objektu,
    'VY' as role,
    dot.dotaidno,
    dot.VETOVANI,
    dot.UZAVRENI,
    td.zkr,
    pv.prac_zkr as zkr_kat,
    pv.zkr_predm as zkr_pred,
    pv.prac_zkr || '/'||pv.zkr_predm as zkratka,
    pv.rok_varianty,
    pv.cz_nazev as nazev,
    dot.semestr,
    ra.roakidno,
    ra.den,
    ra.hod_vyuc_od,
    ra.hod_vyuc_do,
    ra.hod_vyuc_od ||'-'||    ra.hod_vyuc_do as cas,
    ra.zkr_budovy || '-'|| ra.cislo_mist as mistnost,
    ra.typakce,
    (select fn_get_ucitele_ra(ra.roakidno, 'JP','N') from dual) vyucujici,
    st.studentu as zapsanych,
    st.respondentu as odpovedelo
from
    eva_dotazniky dot,
    eva_typ_dotazniku td,
    eva_dot_predmet dp,
    pred_varianty pv,
    eva_statistiky_objekt st,
    vucitele_roak vr,
    rozvrh_akce ra
where
    dot.skolni_rok = :rok
    and dot.semestr like :semestr
    and td.tydoidno = dot.tydoidno
    and dp.dotaidno = dot.dotaidno
    and pv.prac_zkr = dp.prac_zkr
    and pv.zkr_predm = dp.zkr_predm
    and pv.rok_varianty = dp.rok_varianty
    and st.dotaidno = dot.dotaidno
    and st.prac_zkr = dp.prac_Zkr
    and st.zkr_predm = dp.zkr_predm
    and st.rok_varianty  = dp.rok_varianty
    and st.sluzidno is null
    and st.ucitidno is null
    and st.statut_zapisu is null
    and st.roakidno = vr.ROAKIDNO
    and vr.ucitidno = :ucitidno
    and ra.roakidno = st.roakidno
    
    
    
