SELECT
  v.prijmeni, v.jmeno, v.typ, v.forma, v.os_cislo
FROM
  abn_absolventi AB,
  abn_diplomove_prace dp,
  vstudenti_na_programu_v_roce v
 WHERE
   AB.OS_CISLO = v.OS_CISLO
   AND v.UKONCENI = 1
   AND to_char(v.DAT_UKON,'RRRR') = :rok
   AND dp.os_cislo = v.os_cislo
   AND dp.prac_zkr = :pracoviste
ORDER BY v.prijmeni, v.jmeno