select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(SELECT V.ZKR_BUDOVY,
       V.CISLO_MIST,
       V.KAPACITA,
       (SELECT fn_meaning2(V.TYP,'TYP_UCEB') FROM dual) typ,
       V.PRAC_ZKR,
       V.SPOL_FOND spol_fond,
       V.POZNAMKA,
       B.LOKALITA
  FROM install2.mistnosti v, install2.budovy b
 WHERE
   v.zkr_budovy = b.zkr_budovy and
   UPPER(V.ZKR_BUDOVY||V.CISLO_MIST) like :par_mistnost||'%'
@IF(0) and ((nvl(v.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(v.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))
 order by v.zkr_budovy, v.cislo_mist) x
 where rownum <= nvl(:do,100)) y
where y.poradi >= nvl(:od,0)
