select  * from (
select  rownum as poradi, x.* from
(SELECT PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', cz_nazev, 'sk', pv.cz_nazev, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) nazev
  FROM pred_varianty PV
 WHERE (
        FN_CS_TO_UPPER_ASC(pv.prac_zkr) like '%'||FN_CS_TO_UPPER_ASC(:pracoviste)||'%'
       AND
         (
         (FN_CS_TO_UPPER_ASC(PV.ZKR_PREDM) like '%'||FN_CS_TO_UPPER_ASC(:par_predmet)||'%' AND FN_CS_TO_UPPER_ASC(PV.CZ_NAZEV) like '%'||FN_CS_TO_UPPER_ASC(:par_nazev)||'%')
         OR FN_CS_TO_UPPER_ASC(PV.CZ_NAZEV) like '%'||FN_CS_TO_UPPER_ASC(:par_predmet)||'%'
         )
       )
 and    PV.rok_varianty = (select MAX(ROK_VARIANTY) from PRED_VARIANTY pv2 where pv2.prac_zkr = pv.prac_zkr and pv2.zkr_predm = pv.zkr_predm)
 ORDER BY PV.ZKR_PREDM,
       PV.CZ_NAZEV
  ) x where rownum <= nvl(:do,100)) y
  where y.poradi >= nvl(:od,0)
