select  * from (
select  rownum as poradi, x.* from
(SELECT distinct PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', cz_nazev, 'sk', pv.cz_nazev, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) nazev
  FROM pred_varianty PV
 WHERE (
        FN_CS_TO_UPPER_ASC(pv.prac_zkr) like '%'||FN_CS_TO_UPPER_ASC(:pracoviste)||'%'
       AND

        (
          (FN_CS_TO_UPPER_ASC(PV.ZKR_PREDM) like '%'||FN_CS_TO_UPPER_ASC(:par_predmet)||'%' AND FN_CS_TO_UPPER_ASC(PV.CZ_NAZEV) like '%'||FN_CS_TO_UPPER_ASC(:par_nazev)||'%')
           OR FN_CS_TO_UPPER_ASC(PV.CZ_NAZEV) like '%'||FN_CS_TO_UPPER_ASC(:par_predmet)||'%'
         )
       )
 and    (PV.rok_varianty = (select to_char(ROK_PLATNOSTI) from KALENDAR where trunc(datum) = trunc(SYSDATE))
            or
         PV.rok_varianty = (select to_char(ROK_PLATNOSTI+1) from KALENDAR where trunc(datum) = trunc(SYSDATE)))
 ORDER BY PV.PRAC_ZKR,PV.ZKR_PREDM
         ) x where rownum <= nvl(:do,100)) y
         where y.poradi >= nvl(:od,0)
