 select /*+ FIRST_ROWS */ * from (
 select /*+ FIRST_ROWS */ rownum as poradi, x.* from
 (
 select /*+ FIRST_ROWS */
 ST.os_cislo,
 OS.prijmeni,
 OS.jmeno
 from abn_diplomove_prace DP,
 studenti ST,
 osoby OS,
 studijni_programy sp,
 cg_ref_codes c1
 where
 DP.os_cislo = ST.os_cislo
 and ST.osobidno = OS.osobidno
 and st.stpridno = sp.stpridno
 and FN_CS_TO_UPPER_ASC(OS.prijmeni) like NVL(FN_CS_TO_UPPER_ASC(:prijmeni), '%')
 and ST.os_cislo like NVL(:osCislo, '%')
 and FN_CS_TO_UPPER_ASC(DP.prac_zkr) like NVL(FN_CS_TO_UPPER_ASC(:katedra), '%')
 and FN_CS_TO_UPPER_ASC(DP.prac_zkr) in ( select FN_CS_TO_UPPER_ASC(zkr)
                   from cis_pracovist c
                  where c.nad_prac_zkr like NVL(:fakulta, '%')
               )
 and nvl(to_char(DP.dat_zadani,'RRRR'),'%') like nvl(:rok_zadani, '%')
 AND nvl(to_char(DP.dat_obhajoby,'RRRR'),'%') like nvl(:rok_obhajoby, '%')
 and c1.rv_domain = 'PRACE'
 and c1.rv_low_value = sp.typ
 and c1.rv_meaning like nvl(:typ_prace,'%')
 order by
   nlssort(OS.prijmeni,'NLS_SORT = XCzech'),nlssort(OS.jmeno,'NLS_SORT = XCzech')
 ) x
 where rownum <= nvl(:do,51)
 ) y where y.poradi >= nvl(:od,0)

