SELECT OS.PRIJMENI, OS.JMENO, ZN.OS_CISLO, ZN.SEMESTR
  FROM terminy TE,
       znamky ZN,
       studenti ST,
       osoby OS
 WHERE TE.TERMIDNO = :PAR_TERMIDNO
   AND TE.PRAC_ZKR = ZN.PRAC_ZKR
   AND TE.ZKR_PREDM = ZN.ZKR_PREDM
   AND TE.ROK_PLATNOSTI = ZN.ROK_PLATNOSTI
   AND ZN.ROK_VARIANTY = TE.ROK_PLATNOSTI
   AND ZN.OS_CISLO = ST.OS_CISLO
   AND ST.OSOBIDNO = OS.OSOBIDNO
   AND to_date(to_char(TE.DATUM,'DD.MM.RRRR')||''||to_char(TE.HOD_OD,'HH24:MI'),'DD.MM.RRRR HH24:MI') < sysdate -- jen u proslych terminu
   AND (upper(OS.PRIJMENI) like '%'||upper(:PAR_STUDENT)||'%'
OR upper(OS.JMENO) like '%'||upper(:PAR_STUDENT)||'%'
OR upper(ZN.os_cislo) like '%'||upper(:PAR_STUDENT)||'%')
-- jen studenti z filtru
   AND ZN.UZNANO = 'N' -- jen neuznane
   -- povoluji pripsat i lidi, co jiz vycerpali max. pocet terminu
   and ((fn_meaning(te.typ_terminu,'TYP_TERMINU')='ZPPZK' and nvl(zapocet_slovni_hodnoceni,'N')='N') or
   (fn_meaning(te.typ_terminu,'TYP_TERMINU')!='ZPPZK' and
    ((ZN.HODNOCENI_ZK='2' and nvl(slovni_hodnoceni,'N')='N') or
     (ZN.HODNOCENI_ZK='1' and nvl(fn_meaning_en(zn.znamka,'ZNAMKA'),'N')='N'))))
   AND not exists -- jen jiz nezapsane studenty
(
SELECT 'a'
  FROM studenti_na_zkouskach SNZ
 WHERE SNZ.TERMIDNO = TE.TERMIDNO
   AND SNZ.OS_CISLO = ZN.OS_CISLO
)
 ORDER BY OS.PRIJMENI,
       OS.JMENO,
       ZN.OS_CISLO