select  * from (
select  rownum as poradi, x.* from
(SELECT distinct
       VUP.ucitidno,
       VUP.PRIJMENI,
       VUP.JMENO,
       VUP.TITUL_PRED,
       VUP.TITUL_ZA,
       VUP.PRAC_ZKR,
       VUP.dalsi_prac,
       VUP.PRACOVISTE_JINE,
       idt.ID_KATEDRA,
       DECODE(VUP.TITUL_PRED, NULL, NULL, VUP.TITUL_PRED||' ')||vup.JMENO||' '||vup.PRIJMENI||DECODE(vup.TITUL_ZA, NULL, NULL,', '||vup.TITUL_ZA) as ucitel
  FROM v_ucitele_platne VUP,
       id_table2 idt
 WHERE
  (FN_CS_TO_UPPER_ASC(prijmeni) like FN_CS_TO_UPPER_ASC(:slozenina)||'%'
   or FN_CS_TO_UPPER_ASC(jmeno) like FN_CS_TO_UPPER_ASC(:slozenina)||'%'
   or FN_CS_TO_UPPER_ASC(prijmeni||' '||jmeno) like FN_CS_TO_UPPER_ASC(:slozenina)||'%'
   or FN_CS_TO_UPPER_ASC(jmeno||' '||prijmeni) like FN_CS_TO_UPPER_ASC(:slozenina)||'%'
   or FN_CS_TO_UPPER_ASC(upper(DECODE(VUP.TITUL_PRED, NULL, '', VUP.TITUL_PRED||' ')||vup.JMENO||' '||vup.PRIJMENI||DECODE(vup.TITUL_ZA, NULL, '',', '||vup.TITUL_ZA))) like FN_CS_TO_UPPER_ASC(:slozenina||'%') )
  and vup.ucitidno = idt.ucitidno
  and idt.id_role = :role
 ORDER BY VUP.PRIJMENI,
       VUP.JMENO
 ) x where rownum <= nvl(:do,100)) y
 where y.poradi >= nvl(:od,0)