select distinct * from (
select
    p.ZKR_PREDM as predmet, p.PRAC_ZKR as katedra, p.rok_varianty AS ROK_VARIANTY,
    'ZS' as semestr,
    p.cz_nazev as cz_nazev, p.an_nazev as an_nazev
from
    pred_varianty p,
        (
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA WHERE RA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO AND URA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty
          FROM UCITELE_PREDMETU UPX WHERE UPX.UcitIDNO = :ucitIdNo
        )
    ) UP
where
    p.ROK_VARIANTY >= :rok_varianty
    and p.VYUKA_ZS = 'A'
    and p.ZKR_PREDM = up.ZKR_PREDM
    and p.PRAC_ZKR = up.PRAC_ZKR
    and (p.ROK_VARIANTY = up.ROK_VARIANTY) -- or p.ROK_VARIANTY = up.rok_varianty+1)
    and not exists (
        select zs_idno from ZS_ZADANI_SEMESTRALEK zs where
            zs.PRAC_ZKR = up.PRAC_ZKR
            and zs.ZKR_PREDM = up.ZKR_PREDM
            and zs.ROK_VARIANTY = p.ROK_VARIANTY
            and zs.SEMESTR = 'ZS'
    )
union
select
    p.ZKR_PREDM as predmet, p.PRAC_ZKR as katedra, p.rok_varianty AS ROK_VARIANTY,
    'LS' as semestr,
    p.cz_nazev as cz_nazev, p.an_nazev as an_nazev
from
    pred_varianty p,
    (
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA WHERE RA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO AND URA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty
          FROM UCITELE_PREDMETU UPX WHERE UPX.UcitIDNO = :ucitIdNo
        )
    ) UP
where
    up.ROK_VARIANTY >= :rok_varianty
    and p.VYUKA_LS = 'A'
    and p.ZKR_PREDM = up.ZKR_PREDM
    and p.PRAC_ZKR = up.PRAC_ZKR
    and (p.ROK_VARIANTY = up.ROK_VARIANTY) -- or p.ROK_VARIANTY = up.rok_varianty+1)
    and not exists (
        select zs_idno from ZS_ZADANI_SEMESTRALEK zs where
            zs.PRAC_ZKR = up.PRAC_ZKR
            and zs.ZKR_PREDM = up.ZKR_PREDM
            and zs.ROK_VARIANTY = p.ROK_VARIANTY
            and zs.SEMESTR = 'LS'
    )
)
order by
    3 desc,4 desc,2,1
