SELECT  blok.blok_NAZEV as blok_nazev_sort, tema.stav as tema_stav_sort, tema.tema_NAZEV as tema_nazev_sort,
        zs.*, blok.*, tema.*,
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        ucit.admin_sp as skupina_admin_sp,
        ( select count(distinct stud2.tym_IDNO)
            from zs_studenti stud2
            where stud2.TEMA_IDNO = tema.tema_IDNO
        ) pocet_zapsanych_zadani
FROM    ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ZS_TEMATA tema,
        ss_skupina_studentu skup,
        ss_ucitel_ve_skupine ucit
WHERE
        zs.zs_IDNO = :zs_IDNO
        and blok.ZS_IDNO = zs.zs_IDNO
        and blok.skup_idno = skup.skup_idno
        and ucit.ucit_idno = :ucitIdNo
        and ucit.SKUP_IDNO = skup.SKUP_IDNO
        and tema.BLOK_IDNO = blok.blok_IDNO
UNION
SELECT  blok.blok_NAZEV as blok_nazev_sort, 0 as tema_stav_sort, '' as tema_nazev_sort,
        zs.*, blok.*, tema.*,
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        ucit.admin_sp as skupina_admin_sp,
        0 as pocet_zapsanych_zadani
FROM    ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ZS_TEMATA tema,
        ss_skupina_studentu skup,
        ss_ucitel_ve_skupine ucit
WHERE
        zs.zs_IDNO = :zs_IDNO
        and blok.skup_idno = ucit.skup_idno
        and blok.skup_idno = skup.skup_idno
        and ucit.ucit_idno = :ucitIdNo
        and blok.ZS_IDNO = zs.zs_IDNO
        and not exists ( select * from zs_temata tem where tem.BLOK_IDNO = blok.blok_IDNO)
        and tema.BLOK_IDNO(+) = -blok.blok_idno
        -- finta, chci k tomu pripojit tema, ktere urcite neexistuje - prazdne tema, tj. same null
ORDER BY 1,2,3
