SELECT
    st.*,
    o.jmeno as jmeno, o.prijmeni as prijmeni,
    tym.nazev as tym_nazev, 0 as pocet_odevzdanych, 0 as pocet_neprectenych, 0 as pocet_validace_ok 
FROM
    zs_studenti st,
    zs_tymy tym,
    Studenti S,
    Osoby O
WHERE
    st.tym_IDNO = ( select stud.tym_IDNO from zs_studenti stud where os_cislo=? and TEMA_IDNO=?)
    and st.os_cislo = S.Os_Cislo
    and st.tym_IDNO = tym.tym_IDNO
    and S.OsobIDNO = O.OsobIDNO
ORDER BY
    nlssort(o.prijmeni, 'NLS_SORT = XCzech'), nlssort(o.jmeno, 'NLS_SORT = XCzech')
