SELECT
    1 as druhstudenta, null tym_nazev_sort, null tema_nazev, o.prijmeni as prijmeni, nlssort(o.prijmeni, 'NLS_SORT = XCzech') prijm_sort,
    0 TYM_IDNO, 1 tema_velikost_tymu, 0 stud_IDNO, 0 TEMA_IDNO,  
    stud.os_cislo os_cislo, null datum_zapsani, 0 je_vedouci,
    o.jmeno as jmeno, null tym_nazev, 1 as prihl_auto_login,
    (select count(*) from zs_odevzdana_prace op, zs_temata tema
     where op.TEMA_IDNO = tema.tema_idno
      and tema.BLOK_IDNO = ?
      and op.os_cislo = stud.os_cislo) as pocet_odevzdanych,
    (select count(*) from zs_odevzdana_prace op, zs_temata tema
     where op.TEMA_IDNO = tema.tema_idno
      and op.os_cislo = stud.os_cislo
      and tema.BLOK_IDNO = ?
      and op.PRECTENA is null) as pocet_neprectenych,
    (select count(*) from zs_odevzdana_prace op, zs_temata tema
     where op.TEMA_IDNO = tema.tema_idno
      and op.os_cislo = stud.os_cislo
      and tema.BLOK_IDNO = ?
      and op.VYSLEDEK_VALIDACE = 2) as pocet_validace_ok
FROM
    ss_student_ve_skupine stud,
    studenti s,
    osoby o
WHERE
    stud.skup_idno = ?
    and s.OS_CISLO = stud.OS_CISLO
    and S.OsobIDNO = O.OsobIDNO
ORDER BY
    druhstudenta, tema_nazev, tym_nazev_sort, prijm_sort
