SELECT DISTINCT
        zs.*, blok.*, tema.*, 
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        ucit.admin_sp as skupina_admin_sp,
        ( select count(distinct stud2.tym_IDNO)
            from zs_studenti stud2
            where stud2.TEMA_IDNO = tema.tema_IDNO
        ) pocet_zapsanych_zadani,
        ( select count(distinct op.prace_idno)
            from zs_odevzdana_prace op
            where op.tema_idno = tema.tema_idno) pocet_odevzdanych_praci
FROM    ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ZS_TEMATA tema,
        ss_skupina_studentu skup,
        ss_ucitel_ve_skupine ucit
WHERE
        ucit.UCIT_IDNO = :ucitIdNo
        and ucit.skup_idno = blok.skup_idno
        and blok.skup_idno = skup.skup_idno
        --and (zs.ROK_VARIANTY = up.ROK_VARIANTY or zs.ROK_VARIANTY = up.ROK_VARIANTY+1)
        and blok.ZS_IDNO = zs.zs_IDNO
        and tema.BLOK_IDNO = blok.blok_IDNO
ORDER BY zs.ROK_VARIANTY desc, zs.SEMESTR desc, zs.PRAC_ZKR, zs.ZKR_PREDM, blok.blok_NAZEV, tema.tema_NAZEV
