select
    fn_meaning2(pl.dulezitost, 'DULEZITOST_LITERATURY') as priorita,
    decode(cl.autor, '&', NULL, cl.autor) as autor,
    cl.nazev,
    pl.dulezitost as fk_priorita,
    decode(cl.rok_vydani, '&', NULL, cl.rok_vydani) as rok,
    decode(cl.misto_vydani, '&', NULL, cl.misto_vydani) as misto,
    cl.url,
    cl.LITEIDNO as pk_liteidno,
    cl.issn,
    cl.isbn,
    cl.typ,
    cl.ident_v_syst,
    cl.zdroj_dok,
    pl.poznamka,
    pl.jazyk /*,
    cl.zkontrolovano,
    pl.schvaleno,
    pl.doporuceno_pridat,
    pl.doporuceno_odebrat */

from
    pred_liter pl,
    cis_liter cl

where
    pl.prac_zkr = upper(:pracoviste)
    and  pl.zkr_predm = upper(:zkr_pred)
    and  pl.rok_varianty = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))
    and  pl.liteidno = nvl(:liteidno, pl.liteidno)
    and  pl.liteidno = cl.liteidno

order  by
    pl.dulezitost desc, nlssort(cl.nazev, 'NLS_SORT = XCzech')