SELECT t.PRAC_ZKR||'/'||t.ZKR_PREDM AS zkratka,
      Decode('cz','cz',pv.cz_nazev,'sk',pv.cz_nazev,Nvl(pv.an_nazev,pv.cz_nazev)) AS nazev,
      t.zkr_budovy||t.cislo_mist AS mistnost, t.datum, t.hod_od, t.hod_do, t.semestr, t.poznamka, t.typ_terminu,
      T.termidno,T.grteidno,G.nateidno, T.limit_terminu,T.obsazeni_terminu,G.grupa_plan,G.grupa_obsazeni,N.celk_plan,N.celk_obsazeni,
      DECODE(T.opravny_termin,'N','N','A') opravny_termin,
      DECODE('cs','cs',DECODE(T.opravny_termin,'N','N','A'),'sk',DECODE(T.opravny_termin,'N','N','A'),DECODE(T.opravny_termin,'N','N','Y')) opravny_termin_text,
      DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum, T.datum), NVL(T.blok_datum, T.hod_od)) FROM dual), 1, 'A', 'N') odhlasovani_zive,
      DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum_prihlaseni, T.datum), NVL(T.blok_datum_prihlaseni, T.hod_od)) FROM dual), 1, 'A', 'N') prihlasovani_zive,
      DECODE( Nvl2(T.datum_start,( SELECT fn_zive_datum(NVL(T.datum_start, T.datum), NVL(T.datum_start, T.hod_od)) FROM dual),0), 1, 'N', 'A') start_terminu_zive,
      NVL(T.semestr, 'ZS/LS') termin_semestr, T.platnost ,
      Nvl((SELECT 'A' FROM dual where (T.limit_terminu=T.obsazeni_terminu) OR (G.grupa_obsazeni=G.grupa_plan) OR (N.celk_obsazeni=N.celk_plan)),'N') obsazeno
FROM terminy t, pred_varianty pv, grupy_terminu G, nadgrupy_terminu N
where t.PRAC_ZKR = Upper(:zkr_prac)
      and t.ZKR_PREDM = Upper(:zkr_predm)
      and t.ROK_PLATNOSTI = FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(Upper(:zkr_prac))
      AND ( SELECT fn_zive_datum(T.datum, T.hod_od) FROM dual) = 1
      AND (Upper(t.semestr) LIKE Upper(:semestr) OR t.semestr IS null)
      AND t.platnost = 'A'
      AND T.grteidno = G.grteidno(+)
      AND G.nateidno = N.nateidno(+)
      AND pv.PRAC_ZKR = t.PRAC_ZKR
      and pv.ZKR_PREDM = t.ZKR_PREDM
      and pv.ROK_VARIANTY = t.ROK_PLATNOSTI
