@IFNOT(0) select * from (
select rownum as poradi, x.* from
(select
        DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
        ra.PRAC_ZKR as fk_prac_zkr,
        ra.ZKR_PREDM as fk_zkr_predm,
        ra.ROK_VARIANTY as fk_rok_varianty,
        ra.CISLO_MIST as fk_cislo_mist,
        ra.ZKR_BUDOVY as fk_zkr_budovy,
        ra.PLAN,
        ra.OBSAZENI,
        ra.TYPAKCE as zkr_typakce,
        ra.SEMESTR,
        ra.PLATNOST,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning(ra.PLATNOST,'PLATNOST_RA')  from dual),
            NVL((select fn_meaning_en(ra.PLATNOST,'PLATNOST_RA')  from dual), (select fn_meaning(ra.PLATNOST,'PLATNOST_RA') from dual))) as platnost_slovne,
        ra.HOD_VYUC_OD,
        ra.HOD_VYUC_DO,
        to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
        to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
        to_date(to_char(ra.skut_hod_do,'HH24:MI:SS') ||' 01.01.2001','HH24:MI:SS DD.MM.YYYY') as pom_HOD_SKUT_OD,
        ra.TYDEN_OD,
        ra.TYDEN_DO,
        ra.TYDEN as zkr_tyden,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.tyden,'TYDEN') from dual), 'sk', (select fn_meaning(ra.tyden,'TYDEN')  from dual),
           NVL((select fn_meaning_en(ra.tyden,'TYDEN')  from dual), (select fn_meaning(ra.tyden,'TYDEN') from dual))) as tyden,

        DECODE(:lang, 'cs', (select fn_meaning2(ra.den,'DEN') from dual), 'sk', (select fn_meaning(ra.den,'DEN')  from dual),
        NVL((select fn_meaning_en(ra.den,'DEN')  from dual), (select fn_meaning(ra.den,'DEN') from dual))) AS den,
        ra.roakidno,
        ra.GRUPIDNO,
        ra.JE_NADRAZENA,
        FN_GET_UCITELE_RA(ra.roakidno,'P') as vsichni_ucitele_ra,
        (select c1.poradi from cg_ref_codes c1 where c1.rv_domain='DEN' and c1.rv_low_value=ra.den) as pora,
        ra.owner
from    rozvrh_akce ra,
        pred_varianty pv
@IFNOT(0) ,ucitele uc
where
@IF(0) ra.roakidno = :roakidno and
  pv.ZKR_PREDM = ra.ZKR_PREDM
  and pv.PRAC_ZKR = ra.PRAC_ZKR
  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
--  and ra.PRAC_ZKR  like nvl(upper(.PRAC_ZKR) ,'%')
-- and translate(ra.PRAC_ZKR,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.PRAC_ZKR,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and FN_CS_TO_UPPER_ASC(ra.PRAC_ZKR) LIKE FN_CS_TO_UPPER_ASC(:PRAC_ZKR)
--  and ra.ZKR_PREDM like nvl(upper(.ZKR_PREDM),'%')
-- and translate(ra.ZKR_PREDM,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.ZKR_PREDM,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and FN_CS_TO_UPPER_ASC(ra.ZKR_PREDM) LIKE FN_CS_TO_UPPER_ASC(:ZKR_PREDM)
@IFNOT(0)  and ra.semestr like nvl(:semestr,'%')
@IFNOT(0)  and ra.TYPAKCE like nvl(:TYPAKCE,'%')
@IFNOT(0)  and ra.rok_platnosti = :ak_rok
--  and decode(nvl(.ucitel,'%'),'%',nvl(upper(uc.prijmeni),'%'),upper(uc.prijmeni)) like upper(nvl(.ucitel,'%'))
-- and decode(nvl(.ucitel,'%'),'%',nvl(translate(nls_upper(uc.prijmeni,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN'),'%'),translate(nls_upper(uc.prijmeni,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')) like translate(nls_upper(ltrim(rtrim(nvl(.ucitel,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and decode(nvl(:ucitel,'%'),'%',FN_CS_TO_UPPER_ASC(uc.prijmeni),FN_CS_TO_UPPER_ASC(uc.prijmeni)) like FN_CS_TO_UPPER_ASC(:ucitel)
@IFNOT(0)  and ra.UCITIDNO = uc.ucitidno(+)
@IF(1)     and uc.ucitidno = :ucitidno
@IFNOT(0)  and nvl(ra.den,'%') like nvl(:den,'%')
@IFNOT(0)  and nvl(upper(ra.ZKR_BUDOVY)||ra.CISLO_MIST,'%') like nvl(upper(:mistnost),'%')
@IFNOT(0)  and pv.ROK_VARIANTY like nvl(:ak_rok,'%')
@IFNOT(0)  and nvl(ra.HOD_VYUC_OD,0) >= nvl(:hod_od,0)
@IFNOT(0) and nvl(ra.HOD_VYUC_DO,99) <= nvl(:hod_do,99)
@IFNOT(0)  and nvl(:cas_od,'00:00') <= to_char(ra.SKUT_HOD_OD,'HH24:MI')
@IFNOT(0)  and nvl(:cas_do,'24:00') >= to_char(ra.SKUT_HOD_DO,'HH24:MI')
@IFNOT(0)  and ra.PLATNOST like nvl(:platnost,'%')
@IFNOT(0)  and ra.tyden like nvl(:typ_tydne,'%')
@IFNOT(0)  and nvl(ra.TYDEN_OD,1) between nvl(:tyden_od_od,1) and nvl(:tyden_od_do,53)
@IFNOT(0)  and nvl(ra.TYDEN_DO,1) between nvl(:tyden_do_od,1) and nvl(:tyden_do_do,53)
@IFNOT(0)  and nvl(ra.PLAN,0) between nvl(:plan_od,0) and nvl(:plan_do,999)
@IFNOT(0)  and ra.OBSAZENI between nvl(:obsazeni_od,0) and nvl(:obsazeni_do,999)
@IFNOT(0)  and ra.owner like nvl(:rozvrhar,'%')
--  and upper(nvl(ra.POZNAMKA,'%')) like upper(nvl(.poznamka,'%'))
@IFNOT(0)  and FN_CS_TO_UPPER_ASC(ra.POZNAMKA) like FN_CS_TO_UPPER_ASC(:poznamka)
--  and upper(nvl(ra.KONTAKT,'%')) like upper(nvl(.kontakt,'%'))
@IFNOT(0)  and FN_CS_TO_UPPER_ASC(ra.KONTAKT) like FN_CS_TO_UPPER_ASC(:kontakt)
@IFNOT(0)  and nvl(to_char(ra.GRUPIDNO),'%') like nvl(:grupa,'%')
@IFNOT(0) union
@IFNOT(0) select
@IFNOT(0)        DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
@IFNOT(0)        ra.PRAC_ZKR as fk_prac_zkr,
@IFNOT(0)        ra.ZKR_PREDM as fk_zkr_predm,
@IFNOT(0)        ra.ROK_VARIANTY as fk_rok_varianty,
@IFNOT(0)        ra.CISLO_MIST as fk_cislo_mist,
@IFNOT(0)        ra.ZKR_BUDOVY as fk_zkr_budovy,
@IFNOT(0)        ra.PLAN,
@IFNOT(0)        ra.OBSAZENI,
@IFNOT(0)        ra.TYPAKCE as zkr_typakce,
@IFNOT(0)        ra.SEMESTR,
@IFNOT(0)        ra.PLATNOST,
@IFNOT(0)        DECODE(:lang, 'cs', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning(ra.PLATNOST,'PLATNOST_RA')  from dual),
@IFNOT(0)          NVL((select fn_meaning_en(ra.PLATNOST,'PLATNOST_RA')  from dual), (select fn_meaning(ra.PLATNOST,'PLATNOST_RA') from dual))) as platnost_slovne,
@IFNOT(0)        ra.HOD_VYUC_OD,
@IFNOT(0)        ra.HOD_VYUC_DO,
@IFNOT(0)        to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
@IFNOT(0)        to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
@IFNOT(0)        to_date(to_char(ra.skut_hod_do,'HH24:MI:SS') ||' 01.01.2001','HH24:MI:SS DD.MM.YYYY') as pom_HOD_SKUT_OD,
@IFNOT(0)        ra.TYDEN_OD,
@IFNOT(0)        ra.TYDEN_DO,
@IFNOT(0)        ra.TYDEN as zkr_tyden,
@IFNOT(0)        DECODE(:lang, 'cs', (select fn_meaning2(ra.tyden,'TYDEN') from dual), 'sk', (select fn_meaning(ra.tyden,'TYDEN')  from dual), NVL((select fn_meaning_en(ra.den,'DEN')  from dual), (select fn_meaning(ra.den,'DEN') from dual))) as tyden,
@IFNOT(0)        DECODE(:lang, 'cs', (select fn_meaning2(ra.den,'DEN') from dual), 'sk', (select fn_meaning(ra.den,'DEN')  from dual),
@IFNOT(0)        NVL((select fn_meaning_en(ra.den,'DEN')  from dual), (select fn_meaning(ra.den,'DEN') from dual))) AS den,
@IFNOT(0)        ra.roakidno,
@IFNOT(0)        ra.GRUPIDNO,
@IFNOT(0)        ra.JE_NADRAZENA,
@IFNOT(0)        FN_GET_UCITELE_RA(ra.roakidno,'P') as vsichni_ucitele_ra,
@IFNOT(0)        (select c1.poradi from cg_ref_codes c1 where c1.rv_domain='DEN' and c1.rv_low_value=ra.den) as pora,
@IFNOT(0)        ra.owner
@IFNOT(0) from    rozvrh_akce ra,
@IFNOT(0)        pred_varianty pv,
@IFNOT(0)        ucitele uc,
@IFNOT(0)        uc_rozvrhove_akce ura
@IFNOT(0) where pv.ZKR_PREDM = ra.ZKR_PREDM
@IFNOT(0)  and pv.PRAC_ZKR = ra.PRAC_ZKR
@IFNOT(0)  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
--  and ra.PRAC_ZKR  like nvl(upper(.PRAC_ZKR) ,'%')
--  and translate(ra.PRAC_ZKR,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.PRAC_ZKR,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and FN_CS_TO_UPPER_ASC(ra.PRAC_ZKR) LIKE FN_CS_TO_UPPER_ASC(:PRAC_ZKR)
--  and ra.ZKR_PREDM like nvl(upper(.ZKR_PREDM),'%')
-- and translate(ra.ZKR_PREDM,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.ZKR_PREDM,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and FN_CS_TO_UPPER_ASC(ra.ZKR_PREDM) LIKE FN_CS_TO_UPPER_ASC(:ZKR_PREDM)
@IFNOT(0)  and ra.semestr like nvl(:semestr,'%')
@IFNOT(0)  and ra.TYPAKCE like nvl(:TYPAKCE,'%')
@IFNOT(0)  and ra.rok_platnosti = :ak_rok
--  and decode(nvl(.ucitel,'%'),'%',nvl(upper(uc.prijmeni),'%'),upper(uc.prijmeni)) like upper(nvl(.ucitel,'%'))
-- and decode(nvl(.ucitel,'%'),'%',nvl(translate(nls_upper(uc.prijmeni,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN'),'%'),translate(nls_upper(uc.prijmeni,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')) like translate(nls_upper(ltrim(rtrim(nvl(.ucitel,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0) and decode(nvl(:ucitel,'%'),'%',FN_CS_TO_UPPER_ASC(uc.prijmeni),FN_CS_TO_UPPER_ASC(uc.prijmeni)) like FN_CS_TO_UPPER_ASC(:ucitel)
@IFNOT(0) and ra.roakidno=ura.roakidno(+)
@IFNOT(0) and ura.UCITIDNO = uc.ucitidno(+)
@IF(1)     and uc.ucitidno = :ucitidno
@IFNOT(0)  and nvl(ra.den,'%') like nvl(:den,'%')
@IFNOT(0)  and nvl(upper(ra.ZKR_BUDOVY)||ra.CISLO_MIST,'%') like nvl(upper(:mistnost),'%')
@IFNOT(0)  and pv.ROK_VARIANTY like nvl(:ak_rok,'%')
@IFNOT(0)  and nvl(ra.HOD_VYUC_OD,0) >= nvl(:hod_od,0)
@IFNOT(0) and nvl(ra.HOD_VYUC_DO,99) <= nvl(:hod_do,99)
@IFNOT(0)  and nvl(:cas_od,'00:00') <= to_char(ra.SKUT_HOD_OD,'HH24:MI')
@IFNOT(0)  and nvl(:cas_do,'24:00') >= to_char(ra.SKUT_HOD_DO,'HH24:MI')
@IFNOT(0)  and ra.PLATNOST like nvl(:platnost,'%')
@IFNOT(0)  and ra.tyden like nvl(:typ_tydne,'%')
@IFNOT(0)  and nvl(ra.TYDEN_OD,1) between nvl(:tyden_od_od,1) and nvl(:tyden_od_do,53)
@IFNOT(0)  and nvl(ra.TYDEN_DO,1) between nvl(:tyden_do_od,1) and nvl(:tyden_do_do,53)
@IFNOT(0)  and nvl(ra.PLAN,0) between nvl(:plan_od,0) and nvl(:plan_do,999)
@IFNOT(0)  and ra.OBSAZENI between nvl(:obsazeni_od,0) and nvl(:obsazeni_do,999)
@IFNOT(0)  and ra.owner like nvl(:rozvrhar,'%')
--  and upper(nvl(ra.POZNAMKA,'%')) like upper(nvl(.poznamka,'%'))
--  and translate(nls_upper(ltrim(rtrim(nvl(ra.POZNAMKA,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like translate(nls_upper(ltrim(rtrim(nvl(.poznamka,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0)  and FN_CS_TO_UPPER_ASC(ra.POZNAMKA) like FN_CS_TO_UPPER_ASC(:poznamka)
--  and upper(nvl(ra.KONTAKT,'%')) like upper(nvl(.kontakt,'%'))
--  and translate(nls_upper(ltrim(rtrim(nvl(ra.KONTAKT,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like translate(nls_upper(ltrim(rtrim(nvl(.kontakt,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
@IFNOT(0)  and FN_CS_TO_UPPER_ASC(ra.KONTAKT) like FN_CS_TO_UPPER_ASC(:kontakt)
@IFNOT(0)  and nvl(to_char(ra.GRUPIDNO),'%') like nvl(:grupa,'%')
  order by semestr desc, fk_prac_zkr, fk_zkr_predm, grupidno,pora,pom_HOD_SKUT_OD) x
@IFNOT(0) where rownum <= nvl(:do,51)) y
@IFNOT(0) where y.poradi >= nvl(:od,0)