select
       case
         when obsadil ='R' then
           CP.roakidno
         when obsadil in ('J','B') then
           cp.JEDAIDNO
         when obsadil ='Z' then
           CP.termidno
         when obsadil='G' then
           g.nateidno
         when obsadil='T' then
           cp.termin_idno
         else
           cp.terroz_idno end as id_akce,
       CP.obsadil druh_akce,
       cp.CAPRIDNO as identifikace,
       case
         when obsadil ='R' then
           RA.prac_zkr||'/'||RA.zkr_predm
         when obsadil ='J' then
           JA.POZNAMKA
         when obsadil ='B' then
           JA.PRAC_ZKR||'-'||JA.POZNAMKA
         when obsadil  in ('Z','G') then
           Z.prac_zkr||'/'||Z.zkr_predm
         when obsadil='T' then
           T.ADRESA
         else
           T2.ADRESA end as nazev,
       (to_number(to_char(CP.skut_hod_od,'HH24'))-6)*12+round(to_number(to_char(CP.skut_hod_od,'MI'))/5,0) pozice_od,
       (to_number(to_char(CP.skut_hod_do,'HH24'))-6)*12+round(to_number(to_char(CP.skut_hod_do,'MI'))/5,0) pozice_do,
       to_char(CP.skut_hod_od, 'HH24:MI') cas_od,
       to_char(CP.skut_hod_do, 'HH24:MI') cas_do,
       decode(cp.obsadil,'R',RA.typakce,'J',JA.typ_jed_akce,'B',JA.typ_jed_akce,'Z','zk','G','gzk','T','prjmr','P','prjmr','ost') fk_typ,
       decode(cp.obsadil,'R',decode(:lang,'cs',fn_meaning2(RA.typakce,'TYP_AKCE'),'sk',fn_meaning2(RA.typakce,'TYP_AKCE'),nvl(fn_meaning_en(RA.typakce,'TYP_AKCE'),fn_meaning2(RA.typakce,'TYP_AKCE'))),'J',decode(:lang,'cs',fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'),'sk',fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'),nvl(fn_meaning_en(JA.typ_jed_akce,'TYP_JED_AKCE'),fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'))),'B',decode(:lang,'cs',fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'),'sk',fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'),nvl(fn_meaning_en(JA.typ_jed_akce,'TYP_JED_AKCE'),fn_meaning2(JA.typ_jed_akce,'TYP_JED_AKCE'))),nvl(decode(:lang,'cs',fn_meaning2(cp.obsadil,'TYP_CASOPROSTORU'),'sk',fn_meaning2(cp.obsadil,'TYP_CASOPROSTORU'),nvl(fn_meaning_en(cp.obsadil,'TYP_CASOPROSTORU'),fn_meaning2(cp.obsadil,'TYP_CASOPROSTORU'))),decode(:lang,'cs','Ostatn\u00ed','sk','Ostatn\u00ed','Other'))) jmeno_akce,
       CP.datum,
       cp.den,
       cp.obsadil,
       decode(cp.obsadil,'R',fn_get_ucitel(uc_roakce.ucitidno,'JP','A'),'Z',fn_get_ucitel(z.ucitidno,'JP','A'),NULL) ucitel,
       decode(cp.obsadil,'R',fn_get_ucitel(uc_roakce.ucitidno,'PJ','N'),'Z',fn_get_ucitel(z.ucitidno,'PJ','N'),NULL) ucitel_pom,
       decode(cp.obsadil,'R',uc_roakce.ucitidno,'Z',z.ucitidno,NULL) fk_ucitidno,
       ra.roakidno pk_roakidno,
       CP.zkr_budovy fk_zkr_budovy,
       CP.cislo_mist fk_cislo_mist
  from casoprostor cp,
       terminy z,
       grupy_terminu g,
       jedakce JA,
       rozvrh_akce RA,
       pr_terminy t,
       pr_terminy_rozpis p,
       pr_terminy t2,
          (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
           union
           select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
 where cp.zkr_budovy like :xbud
   and cp.cislo_mist like :xmist
   and trunc(cp.datum) between to_date(:xdat_od,'DD.MM.RRRR') AND to_date(:xdat_do,'DD.MM.RRRR')
   and to_number(to_char(cp.skut_hod_od,'HH24')) >= 6 -- netiskneme akce pred sestou hodinou ranni
   and z.termidno(+)=cp.termidno
   AND G.GRTEIDNO(+) = Z.GRTEIDNO
   AND (Z.GRTEIDNO IS NULL OR Z.GRTEIDNO IS NOT NULL AND Z.TERMIDNO =
       (SELECT MIN(TZ2.termidno) FROM terminy TZ2, grupy_terminu GT2 WHERE TZ2.GRTEIDNO = GT2.GRTEIDNO AND GT2.nateidno = G.nateidno))
   and JA.jedaidno(+)=cp.jedaidno
   and ra.roakidno(+)=cp.roakidno
   and t.TERMIN_IDNO(+)=cp.termin_idno
   and p.terroz_idno(+)=cp.terroz_idno
   and p.termin_idno=t2.termin_idno(+)
--   and z.platnost(+) <> 'N'
   AND trunc(Cp.skut_hod_od) != Cp.skut_hod_od
   and  uc_roakce.roakidno(+) = ra.roakidno
 order by cp.datum, CP.zkr_budovy, CP.cislo_mist,
       (to_number(to_char(CP.skut_hod_od,'HH24'))-6)*12+round(to_number(to_char(CP.skut_hod_od,'MI'))/5,0),
       (to_number(to_char(CP.skut_hod_do,'HH24'))-6)*12+round(to_number(to_char(CP.skut_hod_do,'MI'))/5,0),
        ra.roakidno, uc_roakce.priorita
