select
  sp.STPLIDNO as pk_stplidno,
  sp.ETAPA,
  sp.VERZE,
  sp.ROK_PLATNOSTI as rok,
  sp.POCET_SEMESTRU,
  sp.PREAM_NAZEV,
  nvl2(sp.PREAMBULE,'A','N') as ma_preambuli,
  sp.LIMIT_CRD as Pocet_kreditu,
  DECODE(:lang, 'cs', nvl(sp.NAZEV,o.CZ_NAZEV), 'sk', nvl(sp.NAZEV,o.CZ_NAZEV), NVL(nvl(sp.AN_NAZEV,o.AN_NAZEV), nvl(sp.NAZEV,o.CZ_NAZEV))) AS nazev,
  sp.KREDITNE
from
  studijni_plany sp,
  obory o

where
  sp.OBORIDNO = :idno
  and o.OBORIDNO = sp.OBORIDNO
  and sp.rok_platnosti = :rok

order by sp.ETAPA asc, sp.ROK_PLATNOSTI desc