select
	dp.os_cislo,
	o.prijmeni,
	o.jmeno,
	s.STAV as stav_studia,
	dp.prac_zkr,
	dp.dat_zadani,
	(select rok_platnosti from kalendar where  datum = trunc(dp.dat_zadani))||'/'||(select rok_platnosti+1 from kalendar where  datum = trunc(dp.dat_zadani)) as akad_rok_zadani,
	dp.plan_dat_odevzdani,
	fn_tex_text(dp.tema_hlavni) nazev,
    decode(dp.TISKNOUT,'A',decode(dp.DAT_ODEVZDANI,null,decode(s.stav,'N','N','R'),decode(dp.DAT_OBHAJOBY,null,'DBPOO',decode(dp.HODNOCENI_ZK,'2',decode(dp.SLOVNI_HODNOCENI,'S','DUO','DBUO'),decode((fn_meaning_en(dp.ZNAMKA,'ZNAMKA')),'A','DUO','DBUO') ) )),'N') as stav,
	DECODE(:lang, 'cs', c1.rv_meaning, 'sk', c1.rv_meaning, NVL(c1.english, c1.rv_meaning)) AS vztah_k_dp,
	dp.adipidno,
    (select max(svor.STANDARD_ROK) from studenti_v_roce svor where svor.OS_CISLO = s.os_cislo) as rok_studia,
    (select svr.DAT_UKON from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo and svr.rok_platnosti = (select max(svr.rok_platnosti) from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo) ) as DAT_UKON,
    (select fn_meaning3(svr.UKONCENI,'UKONCENI_NEW') from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo and svr.rok_platnosti = (select max(svr.rok_platnosti) from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo) ) as skupina_ukonceni,
    (select fn_meaning2(svr.UKONCENI,'UKONCENI_NEW') from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo and svr.rok_platnosti = (select max(svr.rok_platnosti) from studenti_v_roce svr where svr.OS_CISLO = s.os_cislo) ) as ukonceni_slovne,
    --max(svor.STANDARD_ROK) as rok_studia,
	sp.typ
from
	abn_diplomove_prace dp,
	studenti s,
	--studenti_v_roce svor,
	osoby o,
	abn_dp_osoby dpo,
	studijni_programy SP,
    cg_ref_codes c1
where
    dp.os_cislo=s.os_cislo
    and   s.osobidno=o.osobidno
    and   dp.adipidno=dpo.adipidno
    and   dpo.ucitidno=:ucitidno
    --and   tisknout='A'
    and s.stpridno = sp.stpridno
    and c1.RV_DOMAIN = 'TYP_OSOBY_DP'
    and c1.RV_LOW_VALUE = dpo.TYP_OSOBY
    --and svor.OS_CISLO = s.os_cislo
    and fn_meaning2(sp.typ, 'PRACE') like nvl(:typ,'%')
    and dpo.TYP_OSOBY like nvl(:vztah,'%')
    and (select max(svor.STANDARD_ROK) from studenti_v_roce svor where svor.OS_CISLO = s.os_cislo) like nvl(:rok_st,'%')
@IFNOT(1)    and decode(dp.TISKNOUT,'A',decode(dp.DAT_ODEVZDANI,null,decode(s.stav,'N','N','R'),decode(dp.DAT_OBHAJOBY,null,'DBPOO',decode(dp.HODNOCENI_ZK,'2',decode(dp.SLOVNI_HODNOCENI,'S','DUO','DBUO'),decode((fn_meaning_en(dp.ZNAMKA,'ZNAMKA')),'A','DUO','DBUO') ) )),'N') like nvl(:stav,'%')
@IF(1) and 'X'||decode(dp.TISKNOUT,'A',decode(dp.DAT_ODEVZDANI,null,decode(S.stav,'N','N','R'),decode(dp.DAT_OBHAJOBY,null,'DBPOO',decode(dp.HODNOCENI_ZK,'2',decode(dp.SLOVNI_HODNOCENI,'S','DUO','DBUO'),decode((fn_meaning_en(dp.ZNAMKA,'ZNAMKA')),'A','DUO','DBUO') ) )),'N') not like nvl(:stav,'%')
@IF(0)    and   (select rok_platnosti from kalendar where  datum = trunc(dp.dat_zadani))/*to_char(dp.dat_zadani,'YYYY')*/ = (select rok_platnosti from kalendar where  datum = trunc(sysdate))
/*group by dp.os_cislo,
         o.prijmeni,
         o.jmeno,
         dp.prac_zkr,
         dp.dat_zadani,
         dp.plan_dat_odevzdani,
         fn_tex_text(dp.tema_hlavni),
         decode(dp.TISKNOUT,'A',decode(dp.DAT_ODEVZDANI,null,'R',decode(dp.DAT_OBHAJOBY,null,'DBPOO',decode(dp.HODNOCENI_ZK,'2',decode(dp.SLOVNI_HODNOCENI,'S','DUO','DBUO'),decode((fn_meaning_en(dp.ZNAMKA,'ZNAMKA')),'A','DUO','DBUO') ) )),'N'),
         DECODE(.lang, 'cs', c1.rv_meaning, 'sk', c1.rv_meaning, NVL(c1.english, c1.rv_meaning)),
         dp.adipidno,
         sp.typ*/
order by dp.dat_zadani desc