select
	bp.doporroc,
	bp.doporsem,
	pv.prac_zkr as pk_prac_zkr,
	pv.zkr_predm as pk_zkr_predm,
	pv.prac_zkr||'/'||pv.zkr_predm zkr,
	pv.rok_varianty as pk_rok_Varianty,
	pv.crd,
	pv.vyuka_ls,
	pv.vyuka_zs,
	DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
	to_char(pv.jednotek_pr)||i.pom_hodnota|| 	   '+'||to_char(pv.jednotek_cv)||j.pom_hodnota|| 	 '+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
	l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') typ_zk

from
	bloky_predm bp,
	pred_varianty pv,
	cg_ref_codes i,
	cg_ref_codes j,
	cg_ref_codes k,
	cg_ref_codes l

where
	bp.blokidno = :blokidno
	and  bp.prac_zkr = pv.prac_zkr
	and  bp.zkr_predm = pv.zkr_predm
	and  bp.rok_varianty = pv.rok_varianty
	and  i.rv_domain = 'JEDNOTKA_VYUKY'
	and  pv.jednotka_pr = i.rv_low_value
	and  j.rv_domain = 'JEDNOTKA_VYUKY'
	and  pv.jednotka_cv = j.rv_low_value
	and  k.rv_domain = 'JEDNOTKA_VYUKY'
	and  pv.jednotka_sem = k.rv_low_value
	and  l.rv_domain = 'TYP_ZK_NEW'
	and  pv.typ_zk = l.rv_low_value

order  by
	bp.doporroc,
	bp.doporsem desc,
	DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) asc