/* Formatted on 2007/11/16 14:13 (Formatter Plus v4.8.8) */
SELECT   z.uznano typ, z.prac_zkr , z.zkr_predm,
         DECODE (:lang,
                 'cs', pv.cz_nazev,
                 'sk', pv.cz_nazev,
                 NVL (pv.an_nazev, pv.cz_nazev)
                ) AS nazev,
                pv.vyuka_ls,
                pv.vyuka_zs,
                fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
                --z.statut,
                z.semestr,
                to_char(pv.jednotek_pr)||'+'||to_char(pv.jednotek_cv)|| '+'||to_char(pv.jednotek_sem) rozsah,
                pv.crd,
                DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) as typ_zk
  FROM znamky z, pred_varianty pv, cg_ref_codes c3,cg_ref_codes c1
   WHERE z.os_cislo = UPPER (:os_cislo)
     AND z.rok_platnosti = :rok
     AND z.semestr LIKE NVL (:semestr, '%')
     AND pv.prac_zkr = z.prac_zkr
     AND pv.zkr_predm = z.zkr_predm
     AND pv.rok_varianty = z.rok_varianty
     AND c3.rv_domain(+) = 'SLOVNI_HODNOCENI'
     AND c3.rv_low_value(+) = z.slovni_hodnoceni
     and  pv.typ_zk = c1.rv_low_value
     and  c1.rv_domain = 'TYP_ZK_NEW'
ORDER BY DECODE (uznano, 'N', 1, 'A', 2, 3),
         z.semestr DESC,
         z.prac_zkr,
         z.zkr_predm