 SELECT distinct
	os.jmeno,
	os.prijmeni,
	os.EMAIL as email,
    os.MOBIL as telefon1,
    os.TELEFON as telefon2,
	fn_meaning(os.TITUL_PRED,'TITUL_PRED') titul_pred, fn_meaning(os.TITUL_ZA,'TITUL_ZA')  titul_za,
	decode(os.TITUL_PRED,null,'',fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' ')||os.JMENO||' '||os.PRIJMENI||decode(os.TITUL_ZA,null,'',', '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')) as student,
	st.os_cislo,
	sp.fakulta_sp AS fakulta,
	DECODE(:lang, 'cs', fn_meaning2(fakulta_sp,'FAKULTA'), 'sk', fn_meaning2(fakulta_sp,'FAKULTA'), NVL(fn_meaning_en(fakulta_sp,'FAKULTA'), fn_meaning2(fakulta_sp,'FAKULTA'))) AS fakulta_slovne,
	sp.typ as fk_typ,
	DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)) AS typ,
	DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)) AS forma,
	sp.stpridno AS fk_stpridno,
	svr.rok_st rocnik,
	svor.STANDARD_ROK,
	sp.kodsp_i,
	o.cisoboru,
	DECODE(:lang, 'cs', o.CZ_NAZEV, 'sk', o.CZ_NAZEV, NVL(o.AN_NAZEV, o.CZ_NAZEV)) AS obor,
	DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS nazev_programu,
	k.zkratka kombinace

 FROM
	cg_ref_codes d1,
	cg_ref_codes d2,
	STUDENTI_NA_OBORU_V_ROCE SVR,
	studijni_plany p,
	STUDENTI ST,
	obory o,
	STUDIJNI_PROGRAMY SP,
	osoby os,
	studenti_v_roce svor,
	kombinace k

 WHERE sp.typ = d1.rv_low_value
	AND d1.rv_domain = 'TYP_OBORU'
	AND sp.forma = d2.rv_low_value
	AND d2.rv_domain = 'FORMA_OBORU_NEW'
	and st.os_cislo = :os_cislo
	and os.osobidno = st.osobidno
	AND SP.stpridno = ST.stpridno
	and svr.os_cislo = st.os_cislo
	AND os.osobidno = st.osobidno
 -- and o.stpridno = sp.stpridno
	AND svr.os_cislo = svor.os_cislo
	AND svr.rok_platnosti = svor.rok_platnosti
	and svr.stplidno=p.stplidno
	and p.oboridno=o.oboridno
	AND k.kombidno(+) = svor.kombidno

 ORDER  BY rocnik desc
