/* Formatted on 2007/11/14 14:19 (Formatter Plus v4.8.8) */
-- seznam studentu na krouzku
select rownum as poradi, x.* from (
SELECT   o.prijmeni, o.jmeno, s.os_cislo, sp.fakulta_sp, sp.kodsp_i,
         s.stav stav, svor.standard_rok,
         (select fn_meaning(sp.typ,'TYP_OBORU') from dual) typ, sp.forma,
         c1.rv_abbreviation AS titul_pred, c2.rv_abbreviation AS titul_za,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) end obor_komb*/
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    FROM osoby o,
         studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         cg_ref_codes c1,
         cg_ref_codes c2 /*,
         kombinace k , studenti_na_oboru_v_roce snor*/
         --obory ob,studijni_plany stpl
   WHERE o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND svor.krou_kod = :xkod
     AND svor.rok_platnosti = :xrok_platnosti
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
     --and svor.kombidno=k.kombidno(+)
     --AND stpl.oboridno = ob.oboridno
     --AND snor.stplidno = stpl.stplidno
     --AND snor.os_cislo = svor.os_cislo
     --AND snor.rok_platnosti = svor.rok_platnosti
ORDER BY NLSSORT(o.prijmeni, 'NLS_SORT = XCZech'),NLSSORT(o.jmeno, 'NLS_SORT = XCZech') ) x