select
  g.grteidno,
  t.termidno termidno,
  t.datum,
  to_char(t.hod_od, 'HH24:MI') zac,
  to_char(t.hod_do, 'HH24:MI') kon,
  t.semestr,
  t.ucitidno,
  FN_GET_UCITEL(t.ucitidno) ucitel,
  t.poznamka,
  t.limit_terminu,
  t.obsazeni_terminu obsaz,
  t.prac_zkr kat, t.zkr_predm predm,
  t.zkr_budovy, t.cislo_mist,
  nvl(t.blok_datum, to_date(to_char(t.datum,'DD.MM.YYYY')||'-'||to_char(t.hod_od,'HH24:MI'),'DD.MM.YYYY-HH24:MI')) uzav,
  t.opravny_termin as opravny,
  decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) as TERMIN_KDO_SLOVNE,
  t.blok_datum as blok_datum_odhlaseni,
  t.blok_datum_prihlaseni AS blok_datum_prihlaseni,
  t.datum_start AS datum_start,
  t.platnost,
  t.owner,
  fn_meaning2(t.TYP_TERMINU,'TYP_TERMINU') typ_terminu,
  g.grupa_plan,
  g.grupa_obsazeni
from
  grupy_terminu g,
  terminy t
where
  g.nateidno = :idno
  and g.grteidno = t.grteidno
--  and t.platnost = p_pl
  order by g.grteidno, semestr desc, t.zkr_predm