select m.zkr_budovy, m.cislo_mist, decode(spol_fond, 'A', '*') SPOL_FOND,
  m.prac_zkr, (select fn_meaning2(m.typ,'TYP_UCEB') from dual) typ, m.kapacita
       from  mistnosti m, budovy bu
      where  m.typ        like :c_typ
        and  m.kapacita  >= nvl(:c_kap,0)
        and  bu.zkr_budovy like upper(:c_bud)
        and  nvl(bu.lokalita,'%') like :lokalita
        and  m.zkr_budovy like bu.zkr_budovy
        and  not exists(
             select  roakidno, jedaidno, termidno
               from  casoprostor c,
                     casove_rady r1,
                     casove_rady r2
              where  c.zkr_budovy = m.zkr_budovy
                and  c.cislo_mist = m.cislo_mist
                and  c.datum = to_date(:c_datum,'DD.MM.RRRR')
                and  r1.kod = :cas_rada
                and  r1.hodina = :hod_od
                and  r2.kod = :cas_rada
                and  r2.hodina = :hod_do
                and  c.rok_platnosti = nvl(:rok,c.rok_platnosti/*nvl((select k.ROK_PLATNOSTI from kalendar k where k.DATUM = c.datum),(select k.ROK_PLATNOSTI from kalendar k where k.DATUM = trunc(sysdate)))*/)
@IF(0)          and  c.obsadil != 'J'
--                and  nvl(c.rezervovano, '%') != .c_prac
                and  not (( to_char(r1.cas_od,'HH24:MI') >= to_char(c.skut_hod_od,'HH24:MI')
                        and to_char(r1.cas_od,'HH24:MI') >= to_char(c.skut_hod_do,'HH24:MI'))
                        or( to_char(r2.cas_do,'HH24:MI') <= to_char(c.skut_hod_od,'HH24:MI'))
                        and to_char(r2.cas_do,'HH24:MI') <= to_char(c.skut_hod_do,'HH24:MI')))
       order  by m.zkr_budovy, m.cislo_mist