select
count(*)
from
abn_diplomove_prace DP,
studenti ST,
osoby OS,
abn_dp_osoby ADO,
 studijni_programy sp,
 cg_ref_codes c1
where
DP.os_cislo = ST.os_cislo
and ST.osobidno = OS.osobidno
and st.stpridno = sp.stpridno
and ADO.adipidno(+) = DP.adipidno
and ADO.typ_osoby(+) = 'vedoucí'
and OS.prijmeni like upper(NVL(:xprijmeni, '%'))
and upper(OS.jmeno) like upper(NVL(:xjmeno, '%'))
and ST.os_cislo like TRIM(UPPER(NVL(:xos_cislo, '%')))
and DP.prac_zkr in ( select zkr
                                     from cis_pracovist c
                                    where c.nad_prac_zkr like TRIM(TRANSLATE(UPPER(NVL(NVL(:xfak, '*'), '*')), '*', '%'))
                             )
and DP.prac_zkr like TRIM(TRANSLATE(UPPER(NVL(NVL(:xkat, '*'), '*')), '*', '%'))
and nvl(nls_upper(DP.tema_hlavni,'NLS_SORT = XCzech'),'%')    like '%'||nvl(translate(NVL(nls_upper(:xhl_tema,'NLS_SORT = XCzech'), '*'), '*', '%'),'%')||'%'
and (
    ( ADO.ucitidno in ( select ucitidno
                                                from ucitele
                                             where nls_upper(prijmeni,'NLS_SORT = XCzech') like nvl(translate(NVL(nls_upper(:xvedouci,'NLS_SORT = XCzech'), '*'), '*', '%'),'%')||'%'
                                        )
        and
        nvl(translate(NVL(:xvedouci, '*'), '*', '%'),'%') != '%'
    )
    or (nvl(translate(NVL(:xvedouci, '*'), '*', '%'),'%') = '%' )
)
and nvl(to_char(DP.dat_zadani,'RRRR'),'%') like nvl(:xrok, '%')
and nvl(to_char(DP.dat_obhajoby,'RRRR'),'%') like nvl(:xrok_obhajoby, '%')
and nvl(DP.klic_slova,'%') like '%'||nvl(:xkey_word,'%')||'%'
and nvl(DP.klic_slova_cizi,'%') like '%'||nvl(:xkey_word_cizi,'%')||'%'
and c1.rv_domain = 'PRACE'
and c1.rv_low_value = sp.typ
and c1.rv_meaning like nvl(:typ_prace,'%')
