select distinct
   uc_roakce.priorita priorita,
   case
     when obsadil ='R' then
        ra.den
     else
        cp.den
     end as den,
   decode(cp.obsadil,'R', ra.tyden, 'J') tyden,
   CP.obsadil druhakce,
   case
     when obsadil ='R' then
       CP.roakidno
     when obsadil in ('J','B') then
       cp.JEDAIDNO
     when obsadil ='Z' then
       CP.termidno
     when obsadil='G' then
       grupterm.nateidno
     when obsadil='T' then
       cp.termin_idno
     else
       cp.terroz_idno end as referencedidno,
   case
     when obsadil ='R' then
       RA.prac_zkr||'/'||RA.zkr_predm
     when obsadil ='J' then
       JA.POZNAMKA
     when obsadil ='B' then
       JA.PRAC_ZKR||'-'||JA.POZNAMKA
     when obsadil in ('Z','G') then
       term.prac_zkr||'/'||term.zkr_predm
--     when obsadil in ('G') then
--       fn_get_zkr_natgr(grupterm.nateidno)
     when obsadil='T' then
       prt.ADRESA
     else
       prt2.ADRESA end as nazev,
     decode(cp.obsadil,'R',ra.platnost, 'A') as platnost,
     CP.skut_hod_od skut_hod_od,
     CP.skut_hod_do skut_hod_do,
     --decode(cp.obsadil,'R',RA.typakce,'J',JA.typ_jed_akce,'B',JA.typ_jed_akce,'Z','zk','G','gzk','T','prjmr','P','prjmr','ost') typakce,
     decode(cp.obsadil,'R',RA.typakce, null) typakce,
     CP.zkr_budovy as zkr_budovy,
     CP.cislo_mist as cislo_mist,
     decode(cp.obsadil,'R',RA.PRAC_ZKR ,'Z',term.PRAC_ZKR,'G',term.PRAC_ZKR ,null) prac_zkr,
     decode(cp.obsadil,'R',RA.ZKR_PREDM ,'Z',term.ZKR_PREDM,'G',term.ZKR_PREDM ,null) zkr_predm,
     decode(cp.obsadil,'R',RA.ROK_VARIANTY ,'Z',term.ROK_PLATNOSTI,'G',term.ROK_PLATNOSTI ,null) rok_varianty,
     decode(cp.obsadil,'R',RA.ROK_PLATNOSTI ,'Z',term.ROK_PLATNOSTI,'G',term.ROK_PLATNOSTI ,null) rok_platnosti,
     case
       when obsadil ='R' then
         (select pv.cz_nazev from pred_varianty pv where pv.prac_zkr=ra.prac_zkr and pv.zkr_predm=ra.zkr_predm and pv.rok_varianty=ra.rok_varianty)
         when obsadil in ('Z','G') then
         (select pv.cz_nazev from pred_varianty pv where pv.prac_zkr=term.prac_zkr and pv.zkr_predm=term.zkr_predm and pv.rok_varianty=term.rok_platnosti)
         else
           null
     end as nazevPredmetuCs,
     case
       when obsadil ='R' then
         (select pv.an_nazev from pred_varianty pv where pv.prac_zkr=ra.prac_zkr and pv.zkr_predm=ra.zkr_predm and pv.rok_varianty=ra.rok_varianty)
         when obsadil in ('Z','G') then
         (select pv.an_nazev from pred_varianty pv where pv.prac_zkr=term.prac_zkr and pv.zkr_predm=term.zkr_predm and pv.rok_varianty=term.rok_platnosti)
         else
           null
     end as nazevPredmetuEn,
     decode(cp.obsadil,'R',RA.OBSAZENI ,null) obsazeni,
     decode(cp.obsadil,'R',RA.PLAN ,null) plan,
     decode(cp.obsadil,'R',uc_roakce.ucitidno,'Z',term.ucitidno,NULL) ucitel_ucitidno,
     decode(cp.obsadil,'R',u.jmeno,'Z',(select ux.jmeno from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_jmeno,
     decode(cp.obsadil,'R',u.prijmeni,'Z',(select ux.prijmeni from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_prijmeni,
     decode(cp.obsadil,'R',u.titul_pred,'Z',(select ux.titul_pred from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_titul_pred,
     decode(cp.obsadil,'R',u.titul_za,'Z',(select ux.titul_za from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_titul_za,
     decode(cp.obsadil,'R',RA.tyden_od,NULL) tyden_od,
     decode(cp.obsadil,'R',RA.tyden_do,NULL) tyden_do,
     null as datum_od,
     null as datum_do,
     CP.datum datum,
     decode(cp.obsadil,'R', ra.casova_rada, null) casova_rada,
     decode(cp.obsadil,'R', ra.kontakt, null) kontakt,
     decode(cp.obsadil,'R', ra.semestr, null) semestr,
     decode(cp.obsadil,'R', ra.poznamka, null) poznamka,
     decode(cp.obsadil,'R', ra.grupidno, null) grupidno,
     decode(cp.obsadil,'R', ra.hod_vyuc_od, null) hod_vyuc_od,
     decode(cp.obsadil,'R', ra.hod_vyuc_do, null) hod_vyuc_do,
     term.platnost as platnost_terminu,
     ja.typ_jed_akce typ_jed_akce
from casoprostor cp,
     terminy term,
     grupy_terminu grupterm,
     jedakce JA,
     rozvrh_akce RA,
     pr_terminy prt,
     pr_terminy_rozpis prtp,
     pr_terminy prt2,
     ucitele u,
     (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
      union
      select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
 where
       cp.zkr_budovy like nvl(:zkrBudovy, '%')
   and cp.cislo_mist like nvl(:cisloMistnosti,'%')
   and trunc(cp.datum) between :datumOd AND :datumDo
   and term.termidno(+) = cp.termidno
   AND grupterm.GRTEIDNO(+) = term.GRTEIDNO
   AND (term.GRTEIDNO IS NULL OR term.GRTEIDNO IS NOT NULL AND term.TERMIDNO =
       (SELECT MIN(TZ2.termidno) FROM terminy TZ2, grupy_terminu GT2 WHERE TZ2.GRTEIDNO = GT2.GRTEIDNO AND GT2.nateidno = grupterm.nateidno))
   and JA.jedaidno(+) = cp.jedaidno
   and ra.roakidno(+) = cp.roakidno
   and prt.TERMIN_IDNO(+) = cp.termin_idno
   and prtp.terroz_idno(+) = cp.terroz_idno
   and prtp.termin_idno = prt2.termin_idno(+)
   AND trunc(Cp.skut_hod_od) != Cp.skut_hod_od
   and uc_roakce.roakidno(+) = ra.roakidno
   and u.ucitidno(+) = uc_roakce.ucitidno
 order by
       datum, cp.zkr_budovy, cp.cislo_mist, to_number(to_char(skut_hod_od,'HH24MI')), referencedidno, priorita
