-- SAF - náš student vyjíždějící ven
-- jeho ostatni vyjezdy
SELECT (SELECT fn_meaning_en(SV.TYP_VYJEZDU,'TYP_VYJEZDU') FROM dual) as type_departure,
       CSKOL.ZKR_SKOLY||' - '||CSKOL.NAZEV_SKOLY as receiving_institution,
       CSTAT.ENGLISH as receiving_institution_country,
       SV.DATUM_OD as period_of_study_from,
       SV.DATUM_DO as period_of_study_to
  FROM studenti ST,
       STUDENTI_VYJEZDY SV,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG
 WHERE SV.OS_CISLO = ST.OS_CISLO
   AND SV.SKOLAIDNO = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND CGORG.RV_LOW_VALUE <> CSKOL.ZKR_SKOLY
   AND ST.os_cislo = :par_os_cislo
   AND SV.STVYIDNO <> :stvyidno
 ORDER BY SV.DATUM_OD