SELECT
    fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' '||os.JMENO||' '||os.PRIJMENI||' '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')  as student,
    fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' '||os.PRIJMENI||' '||os.JMENO||' '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')  as student2,
    st.os_cislo,
    sp.fakulta_sp AS fakulta,
    DECODE(:lang, 'cs', fn_meaning2(fakulta_sp,'FAKULTA'), 'sk', fn_meaning2(fakulta_sp,'FAKULTA'), NVL(fn_meaning_en(fakulta_sp,'FAKULTA'), fn_meaning2(fakulta_sp,'FAKULTA'))) AS fakulta_slovne,
    sp.typ as fk_typ,
    DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS obor, -- !!!chyba - todle je PROGRAM ne obor (oboru muze mit v ramci jednoho os cisla i vic)
    DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)) AS typ,
    DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)) AS forma,
    sp.stpridno AS fk_stpridno,
    fn_adresa_studenta(st.os_cislo, 'ULICE_CISLO','TP') ulice,
    fn_adresa_studenta(st.os_cislo, 'OBEC_CAST','TP') mesto

FROM
    cg_ref_codes d1,
    cg_ref_codes d2,
    STUDENTI ST,
    STUDIJNI_PROGRAMY SP,
    osoby os,
    orion o

WHERE sp.typ = d1.rv_low_value
    AND d1.rv_domain = 'TYP_OBORU'
    AND sp.forma = d2.rv_low_value
    AND d2.rv_domain = 'FORMA_OBORU_NEW'
    AND os.osobidno = o.osobidno
    and lower(o.username) = lower(:login)
    AND SP.stpridno = ST.stpridno
    AND os.osobidno = st.osobidno
ORDER  BY st.os_cislo