SELECT
  svr.rok_platnosti||'/'||to_char(add_months(to_date(svr.rok_platnosti,'RRRR'),12),'RR') sk_rok_apro,
  ob.fakulta_oboru||'/'||ob.cisoboru||'/'||ob.cisspec obor_apro,
  ob.zkratka aprobace_apro,
  stpl.etapa stud_prog_apro,
  snor.rok_st rok_studia_apro,
  stpl.kreditne kreditne_apro,
  snor.kredity_plan plan_kr_apro,
  snor.kredity_dos dosaz_kr_apro,
  snor.kredity_dos_bez_zp dosaz_kr_bez_apro,
  snor.kredity_zaps uznane_kr_apro,
  snor.kredity_unbl kr_uznane_jinak_apro,
  nvl(snor.uzn_prumer, 0) uzn_prumer_apro,
  nvl(snor.uzn_poc_predm, 0) uzn_poc_pr_apro,
  snor.prumer cele_apro_prumer
FROM
  studenti_na_oboru_v_roce snor,
  studenti_v_roce svr, obory ob, studijni_plany stpl, studijni_programy sp, studenti st
WHERE
  st.os_cislo = :par_os_cislo AND
  sp.stpridno = ob.stpridno AND
  ob.oboridno = stpl.oboridno AND
  stpl.stplidno = snor.stplidno AND
  ob.tisk = 'A' AND
  ob.vykazovan = 'A' AND
  ob.cislo_a is not null AND
  sp.stpridno = st.stpridno AND
  st.os_cislo = svr.os_cislo AND
  svr.os_cislo = snor.os_cislo AND
  svr.rok_platnosti = snor.rok_platnosti
ORDER BY
  svr.rok_platnosti||'/'||to_char(add_months(to_date(svr.rok_platnosti,'RRRR'),12),'RR'),
  ob.fakulta_oboru||'/'||ob.cisoboru||'/'||ob.cisspec