SELECT ADP.os_cislo os_cislo,ADP.dat_zadani dat_zadani,
        FN_TEX_TEXT(ADP.tema_hlavni) tema_hlavni,
        --cg.rv_meaning typ_souboru_slovne,
        ADP.typ_souboru,
        ADP.DAT_ODEVZDANI,
        ADP.PLAN_DAT_ODEVZDANI,
        ADP.zpristupnit_za_dobu,
        to_date(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'dd.mm')||'.'||to_char(to_number(nvl(ADP.zpristupnit_za_dobu,'0')) + to_number(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'yyyy'))),'dd.mm.yyyy') zpristupnit_od,
        ADP.zpristupnit_verejnosti zpristupnit_verejnosti,
        pg_cti_parametry.cti_retezec('WWW_ORG_FULLNAME') as organizace,
        decode(:lang,'cs',fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),'sk',fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),nvl(fn_meaning_en(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'))) as zpristupnit_verejnosti_slovne,
        decode(:lang,'cs',fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),'sk',fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),nvl(fn_meaning_en(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'))) as zpristupnit_za_dobu_slovne,
        decode(:lang,'cs',fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),'sk',fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),nvl(fn_meaning_en(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'))) as typ_souboru_slovne,
        ltrim(rtrim(ADP.ulozeny_soubor_nazev)) ulozeny_soubor_nazev,
        to_char(ADP.ulozeny_soubor_velikost) ulozeny_soubor_velikost,
        ADP.ulozeny_soubor_pozn ulozeny_soubor_pozn,
        ADP.dat_odevzdani datum_odevzdani,
        Fn_Meaning_en(ADP.znamka, 'ZNAMKA') uspel_an,
        ADP.soubor_oponent_nazev soubor_oponent_nazev,
        ADP.soubor_vedouci_nazev soubor_vedouci_nazev,
        to_char(ADP.adipidno) adipidno,
        FN_TEX_TEXT(nazev_dle_stud) nazev_dle_stud,
        FN_TEX_TEXT(tema_soubezne) tema_soubezne,
        FN_TEX_TEXT(tema_hlavni_ang) tema_hlavni_ang,
        FN_TEX_TEXT(tema_vedlejsi) tema_vedlejsi,
        FN_TEX_TEXT(prilohy) prilohy,
        ilustrace, mapy, plany, noty, portrety, grafy, schemata, tabulky,
        FN_TEX_TEXT(rozsah_st) rozsah_st,
        adp.jazyk,
        FN_TEX_TEXT(klic_slova) klic_slova,
        FN_TEX_TEXT(vyjadreni) vyjadreni,
        FN_TEX_TEXT(vyjadreni_cizi) vyjadreni_cizi,
        FN_TEX_TEXT(klic_slova_cizi) klic_slova_cizi,
        (SELECT upper(nvl(pg_cti_parametry.cti_retezec_oc('WWW_UVEREJNENI_POSUDKU',ADP.os_cislo),'NEUVEREJNIT')) FROM dual) as uverejneni_posudku,
        sp.typ as typ_kvalif_prace,
        fn_get_student(st.osobidno) as student,
        fn_vsechny_obko(ADP.os_cislo, fn_rok(ADP.os_cislo),'A') as obor_komb,
        FN_STUDENTOVO_OBKO(ADP.os_cislo,fn_rok(ADP.os_cislo),'N',decode(:lang,'cs','CZ','sk','CZ','EN')) as obor_komb_slovne
   FROM  ABN_DIPLOMOVE_PRACE ADP,
         STUDENTI ST,
         STUDIJNI_PROGRAMY SP --,
         --osoby os,
         --cg_ref_codes cg
  WHERE  ADP.adipidno = :adipidno --ADP.os_cislo = .os_cislo
    --AND  cg.rv_domain(+) = 'DIPFILE_TYP_SOUBORU'
    --AND  cg.rv_low_value(+) = ADP.typ_souboru
    AND ST.os_cislo = ADP.os_cislo
    AND SP.stpridno = ST.stpridno
    --AND os.osobidno = st.osobidno
    /*AND  ADP.date_of_insert = (SELECT MAX(dp1.date_of_insert)
                                 FROM ABN_DIPLOMOVE_PRACE dp1
                                WHERE dp1.os_cislo =ADP.os_cislo
                                  AND dp1.tisknout='A'
                                  AND dp1.dat_zadani = (SELECT MAX(dp2.dat_zadani)
                                                          FROM ABN_DIPLOMOVE_PRACE dp2
                                                         WHERE dp2.os_cislo = dp1.os_cislo
                                                           AND dp2.tisknout='A'))*/