SELECT   z.prac_zkr, z.zkr_predm, z.os_cislo, z.prac_zkr || '/' || z.zkr_predm zkratka,
            fn_meaning (z.typ_zk, 'TYP_ZK_NEW')
         || DECODE (pv.predz_za, 'A', '+', NULL) typ_zk,
         --DECODE (z.slovni_hodnoceni, 'N', 'nesplnil', z.datum) datum,
         z.datum,
         z.uznano,
         decode(z.hodnoceni_zk,'1',fn_meaning(z.znamka, 'ZNAMKA'),'2',z.slovni_hodnoceni) znamka, 
         z.pokus_cislo, z.poc_kred,
         z.semestr, z.rok_varianty, z.rok_platnosti,
         decode(:lang,'cs',pv.cz_nazev,'sk',pv.cz_nazev,nvl(pv.AN_NAZEV,pv.cz_nazev)) as nazev,
         fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
         /*DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno,*/
         z.zapocet_datum, z.zapocet_slovni_hodnoceni, z.zapocet_pokus
    FROM znamky z, pred_varianty pv, studijni_plany o
   WHERE (    z.semestr LIKE :p_sem
          AND z.rok_varianty = pv.rok_varianty
          AND z.zkr_predm = pv.zkr_predm
          AND z.prac_zkr = pv.prac_zkr
          AND z.stplidno = o.stplidno
         )
     AND (:p_os_cislo = z.os_cislo)
     AND (:akad_rok = z.rok_platnosti)
     --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
UNION
SELECT   jz.PRAC_ZKR, jz.zkr_predm, jz.os_cislo, jz.zkratka_predm zkratka,
         fn_meaning (jz.typ_zkousky, 'TYP_ZK_NEW') typ_zk,
         --DECODE (jz.slovni_hodnoceni, 'N', 'nesplnil', jz.datum) datum,
         jz.datum,
         jz.uznano,
         --fn_meaning (jz.znamka, 'ZNAMKA') znamka,
         decode(jz.hodnoceni_zk,'1',fn_meaning(jz.znamka, 'ZNAMKA'),'2',jz.slovni_hodnoceni) znamka,
         jz.pokus_cislo, jz.poc_kred,
         jz.semestr, '-', jz.rok_platnosti,
         decode(:lang,'cs',jz.cz_nazev_predmetu,'sk',jz.cz_nazev_predmetu,nvl(jz.JINY_NAZEV_PREDMETU ,jz.cz_nazev_predmetu)) as nazev, '-',
         /*DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno,*/ NULL, NULL,
         NULL
    FROM jedznamky jz, studijni_plany o
   WHERE (jz.semestr LIKE :p_sem AND jz.stplidno = o.stplidno)
     AND (:p_os_cislo = jz.os_cislo)
     AND (:akad_rok = jz.rok_platnosti)
     --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
ORDER BY 11 DESC, 4