(SELECT DISTINCT z.os_cislo, z.prac_zkr || '/' || z.zkr_predm predmet,
                 z.rok_platnosti, /*'Splnený predmet' spl_hl1,*/
                 /*'Prerekvizity splnené, ale pozdeji ne? vlastní predmet'*/

                 np.prac_zkr_podm || '/' || np.zkr_predm_podm podmin,
                 np.aidno/*,
                 DECODE (p_vyber_komb, 'K', -1, stpl.oboridno) oboridno*/
            FROM znamky z, np_pod np, studijni_plany stpl
           WHERE (    z.uznano = 'N'
                  AND (   NVL (z.slovni_hodnoceni, 'N') = 'S'
                       OR NVL (ABS (z.znamka), 4) < 4
                      )
                  AND z.rok_platnosti LIKE :par_rok_sk
                  --AND p_kontrola != 'N'
                  AND z.prac_zkr = np.prac_zkr
                  AND z.zkr_predm = np.zkr_predm
                  AND z.stplidno = stpl.stplidno--and   np.aidno not in
                            and not exists
                            (select np2.aidno from znamky z2, np_pod np2
                            where (z2.uznano='A' or (nvl(z2.slovni_hodnoceni,'N')='S' or nvl(abs(Z2.znamka),4)<4))
                            and   z.os_cislo = z2.os_cislo
                            and   z2.datum<=z.datum
                            and   np.aidno = np2.aidno
                            AND   (z2.prac_zkr, z2.zkr_predm) IN (
                                                       SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                                                  FROM pred_hlavicky ph
                                                            START WITH ph.prac_zkr = np2.prac_zkr_podm
                                                                   AND ph.zkr_predm = np2.zkr_predm_podm
                                                            CONNECT BY PRIOR ph.prac_zkr_pred =ph.prac_zkr
                                                                   AND PRIOR ph.zkr_predm_pred =ph.zkr_predm))
                            --and   np.aidno not in
                            and not exists
                            (select np2.aidno from jedznamky z2, np_pod np2, jedznamky_predm jp
                            where (z2.uznano='A' or (nvl(z2.slovni_hodnoceni,'N')='S' or nvl(abs(Z2.znamka),4)<4))
                            and   z.os_cislo = z2.os_cislo
                            and   z2.datum<=z.datum
                            and   np.aidno = np2.aidno
                            and z2.os_cislo=jp.os_cislo
                            and z2.rok_platnosti=jp.rok_platnosti
                            and z2.skolaidno=jp.skolaidno
                            and z2.stplidno=jp.stplidno
                            and z2.zkratka_predm=jp.zkratka_predm
                            AND   (jp.prac_zkr, jp.zkr_predm) IN (
                                                       SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                                                  FROM pred_hlavicky ph
                                                            START WITH ph.prac_zkr = np2.prac_zkr_podm
                                                                   AND ph.zkr_predm = np2.zkr_predm_podm
                                                            CONNECT BY PRIOR ph.prac_zkr_pred =ph.prac_zkr
                                                                   AND PRIOR ph.zkr_predm_pred =ph.zkr_predm))
                 )
             AND (:p_os_cislo = z.os_cislo)
             AND (:par_rok_sk = z.rok_platnosti)
             --AND (0 = DECODE (p_vyber_komb, 'K', -1, stpl.oboridno))
 MINUS
 SELECT DISTINCT z.os_cislo, z.prac_zkr || '/' || z.zkr_predm predmet,
                 z.rok_platnosti, /*'Splnený predmet' spl_hl1,*/
                 /*'Prerekvizity splnené, ale pozdeji ne? vlastní predmet'*/

                 np.prac_zkr_podm || '/' || np.zkr_predm_podm podmin,
                 np.aidno/*,
                 DECODE (p_vyber_komb, 'K', -1, stpl.oboridno) oboridno*/
            FROM znamky z, np_pod np, studijni_plany stpl
           WHERE (    z.uznano = 'N'
                  AND (   NVL (z.slovni_hodnoceni, 'N') = 'S'
                       OR NVL (ABS (z.znamka), 4) < 4
                      )
                  AND z.rok_platnosti LIKE :par_rok_sk
                  --AND p_kontrola != 'N'
                  AND z.prac_zkr = np.prac_zkr
                  AND z.zkr_predm = np.zkr_predm
                  AND z.stplidno = stpl.stplidno
                  -- podminujici neni mezi splnenymi znamkami
                                    and not exists
                                    (select np2.aidno from znamky z2, np_pod np2
                                    where (z2.uznano='A' or (nvl(z2.slovni_hodnoceni,'N')='S' or nvl(abs(Z2.znamka),4)<4))
                                    and   z.os_cislo = z2.os_cislo
                                    and   np.aidno = np2.aidno
                                    AND   (z2.prac_zkr, z2.zkr_predm) IN (
                                                               SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                                                          FROM pred_hlavicky ph
                                                                    START WITH ph.prac_zkr = np2.prac_zkr_podm
                                                                           AND ph.zkr_predm = np2.zkr_predm_podm
                                                                    CONNECT BY PRIOR ph.prac_zkr_pred =ph.prac_zkr
                                                                           AND PRIOR ph.zkr_predm_pred =ph.zkr_predm))
                                    -- ani mezi nahrazovanymi predmety splnenych jednorazovych predmetu
                                    and not exists
                                    (select np2.aidno from jedznamky z2, np_pod np2, jedznamky_predm jp
                                    where (z2.uznano='A' or (nvl(z2.slovni_hodnoceni,'N')='S' or nvl(abs(Z2.znamka),4)<4))
                                    and   z.os_cislo = z2.os_cislo
                                    and   np.aidno = np2.aidno
                                    and z2.os_cislo=jp.os_cislo
                                    and z2.rok_platnosti=jp.rok_platnosti
                                    and z2.skolaidno=jp.skolaidno
                                    and z2.stplidno=jp.stplidno
                                    and z2.zkratka_predm=jp.zkratka_predm
                                    AND   (jp.prac_zkr, jp.zkr_predm) IN (
                                                               SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                                                          FROM pred_hlavicky ph
                                                                    START WITH ph.prac_zkr = np2.prac_zkr_podm
                                                                           AND ph.zkr_predm = np2.zkr_predm_podm
                                                                    CONNECT BY PRIOR ph.prac_zkr_pred =ph.prac_zkr
                                                                           AND PRIOR ph.zkr_predm_pred =ph.zkr_predm))
                 )
             AND (:p_os_cislo = z.os_cislo)
             AND (:par_rok_sk = z.rok_platnosti)
             --AND (0 = DECODE (p_vyber_komb, 'K', -1, stpl.oboridno))
             )
      ORDER BY  2 ASC, 5 ASC, 1 ASC, 3 ASC