-- vysledky rocni
SELECT   snor.os_cislo, snor.rok_platnosti,
         NVL (x.suma_vyk_rok, 0) + NVL (j.suma_vyk_rok, 0) AS suma_vyk_rok,
         SUM (kredity_zaps) suma_zaps_rok, SUM (kredity_unbl) suma_unbl_rok,
         SUM (kredity_plan) AS kredity_plan_rok,
         DECODE (:p_sem,
                 'ZS', ROUND (  SUM (zs_cit_pr)
                              / DECODE (SUM (zs_jm_pr), 0, 1, SUM (zs_jm_pr)),
                              2
                             ),
                 'LS', ROUND (  SUM (ls_cit_pr)
                              / DECODE (SUM (ls_jm_pr), 0, 1, SUM (ls_jm_pr)),
                              2
                             ),
                 ROUND (  SUM (zs_cit_pr + ls_cit_pr)
                        / DECODE (SUM (zs_jm_pr + ls_jm_pr),
                                  0, 1,
                                  SUM (zs_jm_pr + ls_jm_pr)
                                 ),
                        2
                       )
                ) AS prumer_rok,
         x.suma_vyk_rok_bez,
         pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                  snor.rok_platnosti,
                                                  snor.os_cislo
                                                 ) as ODECITAT_ZAPOCTY -- kdyz ano tak vypisovat tu hlasku v zakomentovanym decode
         /*DECODE
            (pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                  snor.rok_platnosti,
                                                  snor.os_cislo
                                                 ),
             'A', 'Získáno bez nespl. záp',
             NULL
            ) text_dos_bez*//*,
         DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno*/
    FROM studenti_na_oboru_v_roce snor,
         studijni_plany o,
         (SELECT   z.os_cislo, z.rok_platnosti,
                   SUM
                      (DECODE (z.uznano,
                               'O', 0,
                               'A', 0,
                               DECODE (z.hodnoceni_zk,
                                       2, DECODE (z.slovni_hodnoceni,
                                                  'S', z.poc_kred,
                                                  0
                                                 ),
                                       DECODE (NVL (ABS (z.znamka), 4),
                                               4, 0,
                                               z.poc_kred
                                              )
                                      )
                              )
                      ) AS suma_vyk_rok,
                   DECODE
                      (pg_cti_parametry.cti_retezec_rok_oc
                                                          ('ODECITAT_ZAPOCTY',
                                                           z.rok_platnosti,
                                                           z.os_cislo
                                                          ),
                       'A', SUM
                          (DECODE
                              (z.uznano,
                               'O', 0,
                               'A', 0,
                               DECODE
                                  (z.hodnoceni_zk,
                                   2, DECODE
                                      (NVL (z.slovni_hodnoceni, 'N'),
                                       'N', DECODE
                                          (pg_cti_parametry.cti_retezec_rok_oc
                                                          ('ODECITAT_ZAPOCTY',
                                                           z.rok_platnosti,
                                                           z.os_cislo
                                                          ),
                                           'A', DECODE
                                              (z.typ_zk,
                                               '4', DECODE
                                                  (fn_je_a_predmet
                                                               (z.stplidno,
                                                                z.prac_zkr,
                                                                z.zkr_predm,
                                                                z.rok_varianty
                                                               ),
                                                   'N', DECODE
                                                      (fn_odecist
                                                             (z.os_cislo,
                                                              z.rok_platnosti,
                                                              z.semestr
                                                             ),
                                                       'A', -ROUND
                                                                 (  z.poc_kred
                                                                  / 2
                                                                 ),
                                                       0
                                                      ),
                                                   0
                                                  ),
                                               0
                                              ),
                                           0
                                          ),
                                       z.poc_kred
                                      ),
                                   DECODE (NVL (ABS (z.znamka), 4),
                                           4, 0,
                                           z.poc_kred
                                          )
                                  )
                              )
                          ),
                       NULL
                      ) suma_vyk_rok_bez/*,
                   DECODE (p_vyber_komb, 'K', -1, stpl.oboridno) oboridno*/
              FROM znamky z,
                   studijni_plany stpl,
                   studenti s,
                   studenti_v_roce svor,
                   studijni_programy sp,
                   obory obo
             WHERE z.rok_platnosti = :par_rok_sk
               AND z.semestr LIKE :p_sem
               AND z.stplidno = stpl.stplidno
               AND s.stpridno = sp.stpridno
               AND s.os_cislo = svor.os_cislo
               AND svor.os_cislo = z.os_cislo
               AND svor.rok_platnosti = z.rok_platnosti
               AND stpl.oboridno = obo.oboridno
               AND svor.rok_platnosti LIKE NVL (:par_rok_sk, '%')
               AND s.os_cislo LIKE UPPER (:p_os_cislo)
          GROUP BY z.os_cislo,
                   z.rok_platnosti/*,
                   DECODE (p_vyber_komb, 'K', -1, stpl.oboridno)*/) x,
         (SELECT   z.os_cislo, z.rok_platnosti,
                   SUM
                      (DECODE (z.uznano,
                               'O', 0,
                               'A', 0,
                               DECODE (z.hodnoceni_zk,
                                       2, DECODE (z.slovni_hodnoceni,
                                                  'S', z.poc_kred,
                                                  0
                                                 ),
                                       DECODE (NVL (ABS (z.znamka), 4),
                                               4, 0,
                                               z.poc_kred
                                              )
                                      )
                              )
                      ) AS suma_vyk_rok/*,
                   DECODE (p_vyber_komb, 'K', -1, stpl.oboridno) oboridno*/
              FROM jedznamky z,
                   studijni_plany stpl,
                   studenti s,
                   studenti_v_roce svor,
                   studijni_programy sp,
                   obory obo
             WHERE z.rok_platnosti = :par_rok_sk
               AND z.semestr LIKE :p_sem
               AND z.stplidno = stpl.stplidno
               AND s.stpridno = sp.stpridno
               AND s.os_cislo = svor.os_cislo
               AND svor.os_cislo = z.os_cislo
               AND svor.rok_platnosti = z.rok_platnosti
               AND stpl.oboridno = obo.oboridno
               AND svor.rok_platnosti LIKE NVL (:par_rok_sk, '%')
               AND s.os_cislo LIKE UPPER (:p_os_cislo)
          GROUP BY z.os_cislo,
                   z.rok_platnosti/*,
                   DECODE (p_vyber_komb, 'K', -1, stpl.oboridno)*/) j
   WHERE (    snor.os_cislo = x.os_cislo(+)
          AND snor.rok_platnosti = x.rok_platnosti(+)
          AND snor.os_cislo = j.os_cislo(+)
          AND snor.rok_platnosti = j.rok_platnosti(+)
          AND snor.rok_platnosti = :par_rok_sk
          AND snor.stplidno = o.stplidno
         )
     AND (:p_os_cislo = snor.os_cislo)
     AND (:par_rok_sk = snor.rok_platnosti)
     --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
GROUP BY snor.os_cislo,
         snor.rok_platnosti,
         NVL (x.suma_vyk_rok, 0) + NVL (j.suma_vyk_rok, 0),
         x.suma_vyk_rok_bez,
         pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                  snor.rok_platnosti,
                                                  snor.os_cislo
                                                 )
         /*DECODE (pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                      snor.rok_platnosti,
                                                      snor.os_cislo
                                                     ),
                 'A', 'Získáno bez nespl. záp',
                 NULL
                )*//*,
         DECODE (p_vyber_komb, 'K', -1, o.oboridno)*/