--predmety
SELECT z.PRAC_ZKR||'/'||z.ZKR_PREDM zkratka,
       decode(:lang,'cs',pv.cz_nazev,'sk',pv.cz_nazev,nvl(pv.AN_NAZEV ,pv.cz_nazev)) as nazev,
       z.POC_KRED,
       z.semestr,
       fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
       fn_meaning(z.typ_zk,'TYP_ZK_NEW') || decode(pv.predz_za,'A','+',null) typ_zk,
       decode(z.semestr,'ZS',jednotek_pr,0) zs_pr,
       decode(z.semestr,'ZS',jednotek_cv,0) zs_cv,
       decode(z.semestr,'ZS',jednotek_sem,0) zs_sem,
       decode(z.semestr,'LS',jednotek_pr,0) ls_pr,
       decode(z.semestr,'LS',jednotek_cv,0) ls_cv,
       decode(z.semestr,'LS',jednotek_sem,0) ls_sem,
       os_cislo,
       rok_platnosti,
       lpad(decode(z.semestr,'ZS',jednotek_pr,0),2) ||'+ '|| lpad(decode(z.semestr,'ZS',jednotek_cv,0),2) ||'+ '|| lpad(decode(z.semestr,'ZS',jednotek_sem,0),2) zs_vse,
       lpad(decode(z.semestr,'LS',jednotek_pr,0),2) ||'+ '|| lpad(decode(z.semestr,'LS',jednotek_cv,0),2) ||'+ '|| lpad(decode(z.semestr,'LS',jednotek_sem,0),2) ls_vse
FROM     znamky z, pred_varianty pv
  WHERE ( z.uznano = 'N'
          and z.semestr like nvl ( :p_sem , '%' )
          and z.prac_zkr = pv.prac_zkr
          and z.zkr_predm = pv.zkr_predm
          and z.rok_varianty = pv.rok_varianty
        )
    AND ( :par_rok_sk = rok_platnosti)
    AND ( :os_cislo = os_cislo)
UNION
SELECT JZ.zkratka_predm zkratka,
       decode(:lang,'cs',JZ.cz_nazev_predmetu,'sk',JZ.cz_nazev_predmetu,nvl(JZ.JINY_NAZEV_PREDMETU ,JZ.cz_nazev_predmetu)) as nazev,
       --JZ.cz_nazev_predmetu nazev,
       JZ.poc_kred, JZ.semestr,
       '-' as statut,
       --decode(jz.zkr_predm,null,'C',substr(fn_get_statut_a_stplidno(jz.os_cislo,jz.prac_zkr,jz.zkr_predm,jz.rok_platnosti,jz.rok_platnosti),1,1)) as statut,
       fn_meaning(JZ.typ_zkousky,'TYP_ZK_NEW') typ_zk,
       0 zs_pr,
       0,0,0,0,0,
       JZ.os_cislo,
       JZ.rok_platnosti,
       ' ',' '
FROM jedznamky JZ
  WHERE ( JZ.uznano = 'N'
          and JZ.semestr like nvl ( :p_sem , '%' )
        )
    AND ( :par_rok_sk = JZ.rok_platnosti)
    AND ( :os_cislo = JZ.os_cislo)
order by 4 desc , 1