insert into ss_ucitel_ve_skupine
    select
      skup.skup_idno, up.UCITIDNO, 'A', 'A', 'A'
    from
      ss_skupina_studentu skup,
      ( SELECT DISTINCT * FROM (
        ( SELECT ra.Prac_Zkr AS Prac_Zkr, ra.Zkr_Predm AS Zkr_Predm, ra.Rok_Varianty AS Rok_Varianty, ra.UCITIDNO
          FROM Rozvrh_Akce RA WHERE RA.platnost = 'A'
        ) UNION
        ( SELECT ra.Prac_Zkr AS Prac_Zkr, ra.Zkr_Predm AS Zkr_Predm, ra.Rok_Varianty AS Rok_Varianty, ura.UCITIDNO
          FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty, upx.ucitidno
          FROM UCITELE_PREDMETU UPX
        )
    ) ) UP
    where
      skup.skup_idno = :skup_idno and
      skup.PRAC_ZKR = up.PRAC_ZKR and
      skup.ZKR_PREDM = up.ZKR_PREDM and
      skup.ROK_VARIANTY = up.ROK_VARIANTY and
      skup.default_skupina = 'A' and
      up.UCITIDNO is not null
