select
	p.prac_zkr,
	p.zkr_predm,
	ss.nazev,
	ss.popis,
	ss.semestr,
	ss.rok_varianty,
	ss.skup_idno
from
	ucitele_predmetu up,
	pred_varianty p,
        SS_SKUPINA_STUDENTU ss
where
	up.UCITIDNO = :ucitidno
	and up.ROK_VARIANTY like translate(:rok, '*', '%')
	and p.PRAC_ZKR LIKE TRANSLATE(:pracoviste, '*', '%')
	and p.ZKR_PREDM = up.ZKR_PREDM
	and p.PRAC_ZKR = up.PRAC_ZKR
	and p.ROK_VARIANTY = up.ROK_VARIANTY
        and ss.PRAC_ZKR(+) = up.prac_zkr
        and ss.zkr_predm(+) = up.zkr_predm
