select
	decode(:lang,'cs', adp.TEMA_HLAVNI,'sk', adp.TEMA_HLAVNI, NVL(adp.TEMA_HLAVNI_ANG, adp.TEMA_HLAVNI)) as tema,
	DECODE(:lang, 'cs', c1.rv_meaning, 'sk', c1.rv_meaning, NVL(c1.english, c1.rv_meaning)) AS vztah_k_dp,
	adp.DAT_ZADANI as dat_zadani,
	adp.PLAN_DAT_ODEVZDANI as PLAN_DAT_ODEVZDANI,
	adp.DAT_ODEVZDANI as DAT_ODEVZDANI,
	adp.DAT_OBHAJOBY as DAT_OBHAJOBY,
	adp.ZNAMKA,
	adp.PRAC_ZKR,
	DECODE(:lang, 'cs', c2.rv_meaning, 'sk', c2.rv_meaning, NVL(c2.english, c2.rv_meaning)) AS forma_publikace,
	s.OS_CISLO as fk_os_cislo,
	o.JMENO,
	o.PRIJMENI,
	fn_meaning(o.titul_pred,'TITUL_PRED') as titul_pred,
	fn_meaning(o.titul_za,'TITUL_ZA') as titul_za,
	adp.adipidno as pk_adipidno,
	s.STAV as stav,
	sp.typ as fk_typ

from
	abn_dp_osoby ado,
	abn_diplomove_prace adp,
	cg_ref_codes c1,
	cg_ref_codes c2,
	studenti s,
	studijni_programy sp,
	osoby o
	
where
	ado.UCITIDNO = :ucitidno
@IF(0)  AND adp.prac_zkr = upper(:pracoviste)
	and adp.ADIPIDNO = ado.ADIPIDNO
	and c1.RV_DOMAIN = 'TYP_OSOBY_DP'
	and c1.RV_LOW_VALUE = ado.TYP_OSOBY
	and c2.RV_DOMAIN = 'FORMA_ZPRACOVANI'
	and c2.RV_LOW_VALUE = adp.FORMA_PUBLIKACE
	and s.OS_CISLO = adp.OS_CISLO
@IFNOT(1)	and s.STAV = 'S'
	and o.OSOBIDNO = s.OSOBIDNO
	AND SP.stpridno = S.stpridno
