SELECT
    t.LIMIT_TERMINU termin_plan, 
	t.OBSAZENI_TERMINU termin_obsazeni, 
	DECODE(t.LIMIT_TERMINU, NULL, null, to_char(t.LIMIT_TERMINU - t.OBSAZENI_TERMINU)) termin_zbyva, 
	t.PLATNOST platnost,
	t.PRAC_ZKR,  
	t.ZKR_PREDM,
	t.PRAC_ZKR||'/'||t.ZKR_PREDM predmet,  
	fn_meaning2(t.typ_terminu,'TYP_TERMINU') typ_terminu,  
	fn_get_ucitel(t.UCITIDNO) ucitel,  
	t.BLOK_DATUM datum_blokace,  
	to_char(t.TERMIDNO) termidno,  
	t.semestr AS termin_semestr,  
	t.opravny_termin AS opravny_termin,  
	t.poznamka poznamka, 
	t.platnost platnost, 
	t.blok_datum blok_datum_odhlaseni, 
	t.blok_datum_prihlaseni blok_datum_prihlaseni, 
	t.datum_start datum_start, 
	g.grupa_plan grupa_plan, 
	g.grteidno fk_grteidno 
FROM
	TERMINY t,
	GRUPY_TERMINU g

WHERE
	t.GRTEIDNO = g.GRTEIDNO
	AND g.GRTEIDNO = :grteidno
@IF(0) ORDER BY DECODE(:termidno,T.termidno,1,0) DESC