select
    CS.STAT as stat_narozeni,
    decode(CS.STATIDNO,203,COK.OKRES,nvl(OS.OKRES_NAR_CIZI, 'neuvádí se')) as okres_narozeni,
    decode(CS.STATIDNO,203,COB.NAZEV,'neuvádí se') as obec_narozeni,
    decode(CS.STATIDNO,203,CCO.NAZEV,'neuvádí se') as cast_obce_narozeni,
    os.*
from
    vosoby_studenti_select os,
    cis_statu CS,
    cis_okresu COK,
    cis_obci COB,
    cis_casti_obce CCO
WHERE
       OS.STATIDNO_NARO = CS.STATIDNO(+)
   AND OS.OKRESIDNO_NARO = COK.OKRESIDNO(+)
   AND OS.OBECIDNO_NARO = COB.OBEC_IDNO(+)
   AND OS.CCOBIDNO_NARO = CCO.CCOBIDNO(+)