select distinct fn_get_ucitel(u.ucitidno, 'PJ', 'N')||' - '||upc.rok_platnosti||'/'||(upc.rok_platnosti+1)||' - '||upc.semestr popis,
  upc.*,
  :pracoviste katedra,
  decode(upc.den, 'Po', 1, 'Út', 2, 'St', 3, 'Ct', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8) den_poradi,
  fn_get_ucitel(u.ucitidno, 'PJ', 'N') ucitel_jmeno
from
  ucitele u,
  uc_pozadovane_casy upc
where
  upc.rok_platnosti = to_char(add_months(sysdate, 4), 'YYYY')
  and upc.ucitidno = u.ucitidno
  and upc.autorizovano = 'N'
  and (
@IFNOT(0)    u.prac_zkr = :pracoviste
@IFNOT(0)     OR
@IFNOT(0)     (u.ucitidno in (select z.ucitidno from zamestnanci z
@IFNOT(0)                    where z.prac_zkr = :pracoviste
@IFNOT(0)                    ))
@IF(0)    u.prac_zkr in (select zkr from cis_pracovist where nad_prac_zkr = :pracoviste)
@IF(0)     OR
@IF(0)     (u.ucitidno in (select z.ucitidno from zamestnanci z, cis_pracovist cp
@IF(0)                    where cp.nad_prac_zkr = :pracoviste and z.prac_zkr = cp.zkr
@IF(0)                    ))
    )
order by fn_get_ucitel(u.ucitidno, 'PJ', 'N'), upc.semestr desc, decode(upc.den, 'Po', 1, 'Út', 2, 'St', 3, 'Čt', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8), upc.cas_od
