select * from (
select pv.prac_zkr||'/'||pv.zkr_predm||' - '||pv.rok_varianty||'/'||(pv.rok_varianty+1)||' - '||dm.semestr||', '||fn_meaning2(dm.typ_akce, 'TYP_AKCE') popis,
  dm.*,
  null akcesort,
  dm.typ_akce typakcesort,
  pv.prac_zkr katedra,
  pv.rok_varianty upravovany_rok
from
  pred_varianty pv,
  dop_mist_pro_ra dm
where
  pv.prac_zkr||'/'||pv.zkr_predm in ( :predmety )
  and pg_cti_parametry.CTI_RETEZEC_KAT('ROZVRH_POZADAVKY_RA_PR', pv.prac_zkr) like '%P%'
  and pv.rok_varianty = FN_GET_DALSI_ROK_PRO_POZADAVKY(pv.prac_zkr)
  and dm.prac_zkr = pv.prac_zkr
  and dm.zkr_predm = pv.zkr_predm
  and dm.rok_varianty = pv.rok_varianty
union
select pv.prac_zkr||'/'||pv.zkr_predm||' - '||pv.rok_varianty||'/'||(pv.rok_varianty+1)||' - '||ra.semestr||', '||fn_meaning2(ra.typakce, 'TYP_AKCE')||
  ': '||nvl(ra.den, '')||' '||nvl(to_char(ra.SKUT_HOD_OD, 'HH24:MI'), '')||'-'||nvl(to_char(ra.SKUT_HOD_DO, 'HH24:MI'), '') popis,
  dm.*,
  ra.roakidno akcesort,
  ra.typakce typakcesort,
  pv.prac_zkr katedra,
  pv.rok_varianty upravovany_rok
from
  pred_varianty pv,
  rozvrh_akce ra,
  dop_mist_pro_ra dm
where
  pv.prac_zkr||'/'||pv.zkr_predm in ( :predmety )
  and pg_cti_parametry.CTI_RETEZEC_KAT('ROZVRH_POZADAVKY_RA_PR', pv.prac_zkr) like '%R%'
  and pv.rok_varianty = FN_GET_DALSI_ROK_PRO_POZADAVKY(pv.prac_zkr)
  and ra.prac_zkr = pv.prac_zkr
  and ra.zkr_predm = pv.zkr_predm
  and ra.rok_varianty = pv.rok_varianty
  and ra.roakidno = dm.roakidno
) x
order by
  x.prac_zkr, x.zkr_predm, x.semestr, x.akcesort, x.typakcesort
