select distinct
        u.JMENO,
        u.PRIJMENI,
        u.EMAIL,
        u.PRAC_ZKR,
        fn_vsechna_prac(u.ucitidno) dalsi_prac,
        DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
        DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
        u.ucitidno
FROM
        ucitele u,
        cg_ref_codes c1,
        cg_ref_codes c2
WHERE
        c1.RV_DOMAIN(+) = 'TITUL_PRED'
        AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
        AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
        AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
@IF(0)  and u.ucitidno = :ucitIdno
@IFNOT(0)        and FN_CS_TO_UPPER_ASC(u.prijmeni) LIKE FN_CS_TO_UPPER_ASC(:prijmeni)
@IFNOT(0)        and FN_CS_TO_UPPER_ASC(u.jmeno) LIKE FN_CS_TO_UPPER_ASC(:jmeno)
@IFNOT(0)        and (
@IFNOT(0)         (FN_CS_TO_UPPER_ASC(u.prac_zkr) LIKE FN_CS_TO_UPPER_ASC(:prac)
@IF(1)          AND u.prac_zkr IN (select zkr from cis_pracovist where nad_prac_zkr = :fakulta)
@IFNOT(0)         )
@IFNOT(0)         OR
@IFNOT(0)         (u.ucitidno in (select z.ucitidno from zamestnanci z, cis_pracovist cp
@IFNOT(0)                         where z.prac_zkr = cp.zkr and FN_CS_TO_UPPER_ASC(z.prac_zkr) LIKE FN_CS_TO_UPPER_ASC(:prac)
@IF(1)                         and cp.nad_prac_zkr = :fakulta
@IFNOT(0)                         ))
@IFNOT(0)        )
@IFNOT(0)        and u.PLATNOST like nvl(:platnost,'A')
@IFNOT(0)        and u.ZAMESTNANEC like nvl(:zamestnanec,'A')
ORDER BY 2,1