select
  pv.prac_zkr prac_zkr, pv.zkr_predm zkr_predm,
  (select count(*) from rozvrh_akce where prac_zkr = pv.prac_zkr and zkr_predm = pv.zkr_predm and rok_platnosti = pv.rok_varianty and typakce = 'Př' and platnost <> 'Z' and semestr = :semestr)
   as pocet_pr,
  (select count(*) from rozvrh_akce where prac_zkr = pv.prac_zkr and zkr_predm = pv.zkr_predm and rok_platnosti = pv.rok_varianty and typakce = 'Cv' and platnost <> 'Z' and semestr = :semestr)
   as pocet_cv,
  (select count(*) from rozvrh_akce where prac_zkr = pv.prac_zkr and zkr_predm = pv.zkr_predm and rok_platnosti = pv.rok_varianty and typakce = 'Se' and platnost <> 'Z' and semestr = :semestr)
   as pocet_se
from pred_varianty pv
where
      pv.rok_varianty = :rokPlatnosti
  and pv.PRAC_ZKR||'/'||pv.ZKR_PREDM in ( :predmety )
order by
  pv.prac_zkr, pv.zkr_predm