select
  pv.prac_zkr prac_zkr, pv.zkr_predm zkr_predm,
  ra.typakce,
  nvl(ra.grupidno, -ra.roakidno) grupidno,
  count(*) pocet_v_grupe,
  sum( ( ra.HOD_VYUC_DO - ra.HOD_VYUC_OD + 1 )*decode(ra.TYDEN, 'K', 1, 'J', 1, 'L', 0.5, 'S', 0.5) ) doba_v_grupe
from pred_varianty pv,
     rozvrh_akce ra
where
      pv.rok_varianty = :rokPlatnosti
  and pv.PRAC_ZKR||'/'||pv.ZKR_PREDM in ( :predmety )
  and ra.prac_zkr = pv.prac_zkr
  and ra.zkr_predm = pv.zkr_predm
  and ra.rok_varianty = pv.rok_varianty
  and ra.rok_platnosti = pv.rok_varianty
  and ra.semestr = :semestr
  and ra.HOD_VYUC_OD is not null
  and ra.HOD_VYUC_DO is not null
group by
  pv.prac_zkr, pv.zkr_predm, ra.typakce, nvl(ra.grupidno, -ra.roakidno)
order by
  pv.prac_zkr, pv.zkr_predm, ra.typakce, nvl(ra.grupidno, -ra.roakidno)
