select distinct ra.*, decode(ra.den, 'Po', 1, 'Út', 2, 'St', 3, 'Ct', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8) den_poradi
  from rozvrh_akce ra,
       poradi_segmentu PS,
       segmenty_st_planu SSP,
       bloky BL,
       bloky_predm BP
where
  ra.rok_platnosti = :rokPlatnosti
  and ra.semestr = :semestr
  and ra.den = :den
  and PS.STPLIDNO in ( :plany )
  AND (BP.DOPORROC = :oborRocnik or (BP.DOPORROC is null) )
  and (BP.DOPORSEM = :semestr or (BP.DOPORSEM is null) )
  AND BL.STATUT in ( :oborStatuty )
  AND PS.SESPIDNO = SSP.SESPIDNO
  AND SSP.SESPIDNO = BL.SESPIDNO
  AND BL.BLOKIDNO = BP.BLOKIDNO
  AND BP.PRAC_ZKR = RA.PRAC_ZKR
  AND BP.ZKR_PREDM = RA.ZKR_PREDM
  AND BP.ROK_VARIANTY = :rokPlatnosti
  AND SSP.ROK_PLATNOSTI = :rokPlatnosti
  AND BL.ROK_PLATNOSTI = :rokPlatnosti
@IF(0)   AND FN_PATRI_RA_DO_PLANU(ra.roakidno, ps.stplidno, bp.doporroc) = 1