SELECT distinct pl1.stplidno stplidno, bl2.STATUT statut_akce2, bp2.doporroc doporroc_akce2, bp2.doporsem doporsem_akce2, ra2.*
  FROM
       studijni_plany pl1,
       poradi_segmentu PS1,
       segmenty_st_planu SSP1,
       bloky BL1,
       bloky_predm BP1,
       rozvrh_akce ra1,
       poradi_segmentu PS2,
       segmenty_st_planu SSP2,
       bloky BL2,
       bloky_predm BP2,
       rozvrh_akce ra2
 WHERE
   -- pro dane roakce postupne zjistim stud. plany kde se vyskytuji
   RA1.ROAKIDNO in ( :roakIdno )
   AND BP1.PRAC_ZKR = RA1.PRAC_ZKR
   AND BP1.ZKR_PREDM = RA1.ZKR_PREDM
   AND SSP1.ROK_PLATNOSTI = :rokPlatnosti
   AND BL1.ROK_PLATNOSTI = :rokPlatnosti
   AND BP1.rok_varianty = :rokPlatnosti
@IF(0)   AND (BP1.DOPORROC = :oborRocnik or (BP1.DOPORROC is null) )
   AND (BP1.DOPORSEM = :semestr or (BP1.DOPORSEM is null) )
   AND BL1.STATUT in ( :statuty )
   AND PS1.SESPIDNO = SSP1.SESPIDNO
   AND SSP1.SESPIDNO = BL1.SESPIDNO
   AND BL1.BLOKIDNO = BP1.BLOKIDNO
   AND PS1.STPLIDNO = pl1.STPLIDNO
   AND UPPER(PL1.VERZE) like upper(nvl(:verzePlanu, '%'))
   AND PL1.ROK_PLATNOSTI = :rokPlatnosti
@IF(1)   AND FN_PATRI_RA_DO_PLANU(ra1.roakidno, pl1.STPLIDNO, bp1.doporroc) = 1
   -- pro tyhle plany zas postupne dojedu az na roakce
   AND PS2.STPLIDNO = pl1.STPLIDNO
   AND PS2.SESPIDNO = SSP2.SESPIDNO
   AND SSP2.SESPIDNO = BL2.SESPIDNO
   AND SSP2.ROK_PLATNOSTI = :rokPlatnosti
   AND BL2.STATUT in ( :statuty )
   AND BL2.BLOKIDNO = BP2.BLOKIDNO
   AND BL2.ROK_PLATNOSTI = :rokPlatnosti
   AND BP2.PRAC_ZKR = RA2.PRAC_ZKR
   AND BP2.ZKR_PREDM = RA2.ZKR_PREDM
   AND RA2.ROK_PLATNOSTI = :rokPlatnosti
   AND RA2.SEMESTR = :semestr
   AND BP2.rok_varianty = :rokPlatnosti
@IF(0)   AND (BP2.DOPORROC = :oborRocnik or (BP2.DOPORROC is null) )
@IFNOT(0)  AND ( (BP1.DOPORROC IS NULL) OR (BP2.DOPORROC IS NULL) OR (BP1.DOPORROC = BP2.DOPORROC) )
   AND (BP2.DOPORSEM = :semestr or (BP2.DOPORSEM is null) )
   AND RA2.TYPAKCE in ( :typyAkci )
@IF(1)   AND FN_PATRI_RA_DO_PLANU(ra2.roakidno, pl1.STPLIDNO, bp2.doporroc) = 1
ORDER BY pl1.STPLIDNO, decode(ra2.den, 'Po', 1, 'Út', 2, 'St', 3, 'Čt', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8), ra2.hod_vyuc_od, ra2.hod_vyuc_do