select
  u.ucitidno, u.jmeno, u.prijmeni, u.titul_pred, u.titul_za, u.prac_zkr, u.platnost, u.pracoviste_jine, u.email,
  up.garant,
  up.prednasejici,
  up.cvicici,
  up.seminarici
from
    ucitele_predmetu up,
    ucitele u,
    pred_varianty p
where
  p.PRAC_ZKR = :pracZkr
  and p.ZKR_PREDM = :zkrPredm
  and p.rok_varianty = :rokVarianty
  and p.ZKR_PREDM = up.ZKR_PREDM
  and p.PRAC_ZKR = up.PRAC_ZKR
  and p.ROK_VARIANTY = up.ROK_VARIANTY
  and up.ucitidno = u.ucitidno
order by
  u.prijmeni,
  u.jmeno