select distinct s.os_cislo os_cislo, o.jmeno, o.prijmeni,
         fn_meaning(o.titul_pred, 'TITUL_PRED') titul_pred,
         fn_meaning(o.titul_za, 'TITUL_ZA') titul_za,
         sp.fakulta_sp, sp.kodsp_i,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA')
                   FROM DUAL)) stav,
         (SELECT fn_meaning (sp.typ, 'TYP_OBORU') FROM DUAL) typ, sp.forma,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         sp.celozivotni_vzdelavani,
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    FROM osoby o,
         studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         studenti_na_oboru_v_roce snor,
         studijni_plany stpl,obory ob,
         kombinace k
    WHERE o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND stpl.oboridno = ob.oboridno
     AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     AND k.kombidno(+) = svor.kombidno
@IF(0) and svor.rok_platnosti = fn_rok(s.os_cislo)
     AND sp.fakulta_sp LIKE NVL (upper(:fakulta), '%')
@IF(1)     and FN_CS_TO_UPPER_ASC(o.prijmeni) LIKE FN_CS_TO_UPPER_ASC(:prijmeni)
@IF(2)     and FN_CS_TO_UPPER_ASC(o.jmeno) LIKE FN_CS_TO_UPPER_ASC(:jmeno)
@IF(0) and s.os_cislo like upper(:osCislo)
     and exists (select sz.stzaIdno from vstudenti_zadosti2 sz
                 where sz.os_cislo = s.os_cislo
@IF(3)             and vyrizeno = 'N'
@IF(4)             and stav = :stavZadosti
                 )
